<?php
/*
-----------------------------------------------------------------------------------------------------------
							Archivo sobre la gestión de los campeonatos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Crear campeonato.
			2) Modificar campeonato.
			4) Eliminar campeonato.
										CONDICIONES
			1) Un campeonato oficial solo lo puede crear, modificar, eliminar la federación
			
*/
session_start();
include_once('../../../bbdd/general.php');
//Debe estar registrado en el sistema. Nivel de seguridad 1.
if ((isset($_SESSION['registrado']))&&($_SESSION['registrado']==true)){
	//Debe ser un responsable de la federación o responsable del club. Nivel de seguridad 2.
	if ((isset($_SESSION['tipo']))&&(($_SESSION['tipo']=="federacion")||($_SESSION['tipo']=="club"))){
		//Incluyo la clase de manejo de la base de datos.
		include_once('../../../clases/cMySQL.php');
		$sql= new cMySQL(); 
		$sql->conectar();
		$rol=$_SESSION['tipo'];
		if ($rol=="club") $organization="Club";
		else $organization="Federación";
		$correo=$_SESSION['correo'];
		$sql->query("SELECT * FROM users WHERE correo='$correo'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		$organizacion=$res['organizacion'];
		$sql->query("SELECT creador, pais, region FROM organizacion WHERE nombre='$organizacion'");
		$sql->ejecutarSQL();
		$resCreator=$sql->getUnRegistro();
		//Guardamos al creador de la organización
		$creator=$resCreator['creador'];
		$mundo=$resCreator['pais'];
		$pueblo=$resCreator['region'];
		//Comprobación de que el responsable pertenece a una organización
		if ($organizacion==""){
			echo $noOrganizacion;
		}
		else{
			//Comprobamos que la organización sigue activa actualmente
			$sql->query("SELECT activa, pais, region FROM organizacion WHERE nombre='$organizacion'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$activa=$res['activa'];
			$reggion=$res['region'];
			$paiis=$res['pais'];
			//Si la organización sigue activa, continuamos con las operaciones.
			if ($activa){
				//Comprobamos que la solicitud (en la tabla solicitudes, si no es el creador) sigue aceptada, o se ha rechazado recientemente, por lo que no podrá acceder
				$sql->query("SELECT * FROM solicitudes WHERE solicitor='$correo'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				if (($res['aceptada']==true)||($res['organizacion']=='')){
					echo "<h2 style='text-align:center;'>Gestión de campeonatos "; 
					//Primer caso: Crear campeonato
					if ((isset($_GET['crear']))||(isset($_GET['mod']))){
						if (((isset($_GET['crear']))&&($_GET['crear']==""))||((isset($_GET['mod']))&&($_GET['mod']==""))){
							if ((isset($_GET['crear']))&&($_GET['crear']=="")){	
								echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><small>Crear un campeonato</small></h2><br><p>Seleccione una plantilla para crear el campeonato:</p>";
								if ($rol=="club") echo "<h3>Nuestro club</h3>";
								else echo "<h4>Nuestra federación</h4>";
								$sql->query("SELECT * FROM plantilla WHERE nombre_org='$organizacion'");
								$sql->ejecutarSQL();
								$numRegPl=$sql->getNumRegistros();
								$plantilla=$sql->getTodosRegistro();
								$numReg1=$numRegPl;
								if ($numRegPl > 0){
									echo "<div class=\"well\">
											<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
												<thead>
													<tr>
														<th>Nombre plantilla</th>
														<th>Organización</th>
														<th>País</th>
														<th>Región</th>
														<th>Fecha creación</th>
														<th>Última modificación</th>
													</tr>
												</thead>
												<tbody>";
									foreach ($plantilla as &$valor) {
											$tiempo=strtotime($valor['fecha_creacion']);
											$tiempo2=strtotime($valor['ult_mod']);
											echo "<tr style=\"cursor: pointer;\"><td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$valor['nombre_pl']."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$valor['nombre_org']."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$paises[$valor['pais_pl']]."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$regiones[$valor['pais_pl']][$valor['region_pl']]."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".date('d-m-Y H:i:s',$tiempo)."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".date('d-m-Y H:i:s',$tiempo2)."</td>
												<td onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','ver');\"><span class=\"glyphicon glyphicon-list-alt\" title=\"Previsualizar plantilla\"></span></td></tr>";
									}
											echo "</tbody>
											</table>
										</div>";
								}
								$sql->query("SELECT * FROM plantilla WHERE nombre_org!='$organizacion'");
								$sql->ejecutarSQL();
								$numRegPl=$sql->getNumRegistros();
								$plantilla=$sql->getTodosRegistro();
								$numReg2=$numRegPl;
								if ($numRegPl > 0){
									echo "<h3>Otras organizaciones</h3>
										<div class=\"well\">
											<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
												<thead>
													<tr>
														<th>Nombre plantilla</th>
														<th>Organización</th>
														<th>País</th>
														<th>Región</th>
														<th>Fecha creación</th>
														<th>Última modificación</th>
													</tr>
												</thead>
												<tbody>";
									foreach ($plantilla as &$valor) {
											$tiempo=strtotime($valor['fecha_creacion']);
											$tiempo2=strtotime($valor['ult_mod']);
											echo "<tr style=\"cursor: pointer;\"><td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$valor['nombre_pl']."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$valor['nombre_org']."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$paises[$valor['pais_pl']]."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".$regiones[$valor['pais_pl']][$valor['region_pl']]."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".date('d-m-Y H:i:s',$tiempo)."</td>
												<td onClick=\"seleccionar_plantilla_para_campeonato('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\">".date('d-m-Y H:i:s',$tiempo2)."</td>
												<td onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','ver');\"><span class=\"glyphicon glyphicon-list-alt\" title=\"Previsualizar plantilla\"></span></td></tr>";
									}
											echo "</tbody>
											</table>
										</div>";
									//Si no ha creado ninguna, se le mostrará por pantalla
									if (($numReg1+$numReg2)==0) echo $gesplantOff;;
								}
							}
							if ((isset($_GET['mod']))&&($_GET['mod']=="")){
								echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><script type=\"text/javascript\" src=\"modulos/campeonatos/gestion/funcioneschamps.js\"></script><small>Modificar un campeonato</small></h2><br><p>Seleccione el campeonato:</p>";
								$sql->query("SELECT * FROM campeonato WHERE creadorChamp='$creator'");
								$sql->ejecutarSQL();
								$numRegPl=$sql->getNumRegistros();
								$plantilla=$sql->getTodosRegistro();
								if ($numRegPl > 0){
									echo "<div class=\"well\">
											<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
												<thead>
													<tr>
														<th>Nombre campeonato</th>
														<th>Plantilla utilizada</th>
														<th>Organización</th>
														<th>Fecha creación</th>
														<th>Última modificación</th>
													</tr>
												</thead>
												<tbody>";
									foreach ($plantilla as &$valor) {
											$id_plantilla=$valor['identificadorPlantilla'];
											$sql->query("SELECT * FROM plantilla WHERE id_plantilla='$id_plantilla'");
											$sql->ejecutarSQL();
											$respl=$sql->getUnRegistro();
											$tiempo=strtotime($valor['creacion']);
											$tiempo2=strtotime($valor['ult_modificacion']);
											echo "<tr style=\"cursor: pointer;\"><td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','mod');\">".$valor['nombreChamp']."</td>
												<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','mod');\">".$respl['nombre_pl']."</td>
												<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','mod');\">".$organizacion."</td>
												<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','mod');\">".date('d-m-Y H:i:s',$tiempo)."</td>
												<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','mod');\">".date('d-m-Y H:i:s',$tiempo2)."</td>
												</tr>";
									}
											echo "</tbody>
											</table>
										</div>";
								}
								//Si no ha creado ninguna, se le mostrará por pantalla
								else echo $geschampModOff;
							}
						}
						else{
							if ((isset($_GET['crear']))&&($_GET['crear']!="")){	
								//Creador de la plantilla, que no tiene porque ser el responsable o el creador de la organización que la esté utilizando.
								$creador_plantilla_pl=$_GET['crear'];
								$id_plantilla=$_GET['id'];
								$sql->query("SELECT * FROM plantilla WHERE creador='$creador_plantilla_pl' AND id_plantilla='$id_plantilla'");
								$sql->ejecutarSQL();
								//Cogemos la configuración de la plantilla.
								$numRegPl=$sql->getNumRegistros();
								$plantillaRes=$sql->getUnRegistro();
								if ($numRegPl > 0){
									//Variables temporales
									echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><script type=\"text/javascript\" src=\"modulos/campeonatos/gestion/funcioneschamps.js\">";
									if ($_GET['op']=="crear"){ 
										echo "</script><small>Crear un campeonato</small></h2>";
										$world=$paises[$plantillaRes['pais_pl']];
										$worlLand=$plantillaRes['pais_pl'];
										$land=$regiones[$plantillaRes['pais_pl']][$plantillaRes['region_pl']];
										$village=$plantillaRes['region_pl'];
									}
									else{
										echo "</script><small>Crear una plantilla a partir de otra</small></h2>";
										$world=$paises[$mundo];
										$worlLand=$mundo;
										$land=$regiones[$mundo][$pueblo];
										$village=$pueblo;
									}
									echo "
									<div class=\"well\" id=\"pagina\">
										<form class=\"form-horizontal\" id=\"champ-form\" action=\"modulos/campeonatos/gestion/gestion.php\">
										  <div id=\"pagina1\">
											  <h2 class=\"text-center\">Paso 1 <small>Información básica</small></h2>
											  <legend>Información General</legend><p class=\"help-block\">Información general sobre el evento.</p>
											  <div class=\"form-group\">
												<label class=\"col-lg-2 control-label\">Nombre de la plantilla utilizada</label>
												<div class=\"col-lg-10\">
												  <p class=\"form-control-static\">".$plantillaRes['nombre_pl']."</p><input type=\"hidden\" name=\"id_pl\" value=\"".$plantillaRes['id_plantilla']."\">
												</div>
											  </div>
											  <input type=\"hidden\" name=\"creador_organizacion\" value=\"".$creator."\">
											  <div class=\"form-group\">
												<label for=\"inputNombre\" class=\"col-lg-2 control-label\">Nombre del evento</label>
												<div class=\"col-lg-10\">
												   <input type=\"text\" class=\"form-control\" name=\"nombre_champ\" id=\"inputNombre\" placeholder=\"".$plantillaRes['nombre_pl']."\" required>
												</div>
											  </div>
											  <div class=\"form-group\">
												<label for=\"inputFecha\" class=\"col-lg-2 control-label\">Primer día del evento</label>
												<div class=\"col-lg-10\">
												  <p><input type=\"text\" class=\"form-control\" name=\"fecha\" id=\"inputFecha\" placeholder=\"".date('Y-m-d')."\" required></p>
												</div>
											  </div>
											  <div class=\"form-group\">
												<label for=\"inputFecha2\" class=\"col-lg-2 control-label\">Último día del evento</label>
												<div class=\"col-lg-10\">
												  <p><input type=\"text\" class=\"form-control\" name=\"fecha2\" id=\"inputFecha2\" placeholder=\"".date('Y-m-d')."\" required></p>
												</div>
											  </div>
											  <div class=\"form-group\">
												<label for=\"inputPlace\" class=\"col-lg-2 control-label\">Lugar donde se va a celebrar el evento</label>
												<div class=\"col-lg-10\">
												  <input type=\"text\" class=\"form-control\" name=\"lugar\" id=\"inputPlace\" placeholder=\"".$land."\" required>
												</div>
											  </div>
											   <div class=\"form-group\">
												<span class=\"help-block\">Este campo especifica si se aceptan inscripciones. Se puede modificar más adelante para dejar de aceptar inscripciones.</span>
												<label for=\"inputVisible\" class=\"col-lg-2 control-label\">Inscripciones</label>
												<label class=\"radio-inline\">
													<input type=\"radio\" id=\"inlineradio1\" value=\"1\" name=\"visible\" checked> Abiertas
												</label>
												<label class=\"radio-inline\">
													<input type=\"radio\" id=\"inlineradio2\" value=\"0\" name=\"visible\">Cerradas
												</label>
											  </div>
											  <div class=\"form-group\">
												<label for=\"inputPlace\" class=\"col-lg-2 control-label\">Tipo de evento</label>
												<div class=\"col-lg-8\">
												  <select class=\"form-control\" id=\"select_champion\" onChange=\"select_campeonatos();\">
													<option value=\"default_champ\">Selecciona una opción</option>";
													//Tipo de evento
													//Campeonatos
													$sql->query("SELECT * FROM tipos_campeonato WHERE id_pl='$id_plantilla'");
													$sql->ejecutarSQL();
													$champs=$sql->getTodosRegistro();
													$championArray=array();
													$numChamp=0;
													foreach ($champs as &$campeonato) {
														$numChamp++;
														//Si es array, es que se trata de un campeonato oficial, y solo lo puede seleccionar un responsable de la federación
														if ($campeonato['oficial']==1){
															if ($_SESSION['tipo']=="federacion"){
																echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\">".$campeonato['nombre']."</option>";
															}
														}
														else echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\">".$campeonato['nombre']."</option>";
													}
													echo "
													</select>
												</div> 
											  </div>
										  </div>
										  <div id=\"pagina2\" style=\"display:none;\">
											  <h2 class=\"text-center\">Paso 2 <small>Personalización del evento</small></h2>
											  <legend>Categorías</legend><p class=\"help-block\">Especifica las categorías que van a participar en el campeonato.</p>
											  <div class=\"well\">
												<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Nombre categoría</th>
															<th>Edad mínima</th>
															<th>Edad tope</th>
														</tr>
													</thead>
													<tbody id=\"tablaCat\">";
											  $sql->query("SELECT * FROM categorias WHERE id_pl='$id_plantilla'");
											  $sql->ejecutarSQL();
											  $numCatGeneral=$sql->getNumRegistros();
											  $cats=$sql->getTodosRegistro();
											  $numCat=1;
											  foreach ($cats as &$categoria) {
												echo "<tr id=\"inputCat".$numCat."\" class=\"success\"><td>".$categoria['nombre']."</td><input type=\"hidden\" value=\"".$categoria['nombre']."\" name=\"nombre_categoria\" id=\"nombre_categoria".$numCat."\"/>";
												if ($categoria['desde']=="los") echo "<td>".$categoria['minimo']." años<input type=\"hidden\" value=\"".$categoria['desde']."\" name=\"categoria_desde\" id=\"categoria_desde".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['minimo']."\" name=\"categoria_edad1\" id=\"categoria_edad1".$numCat."\"/></td>";
												else echo "<td>".$categoria['desde']." ".$categoria['minimo']." años<input type=\"hidden\" value=\"".$categoria['desde']."\" name=\"categoria_desde\" id=\"categoria_desde".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['minimo']."\" name=\"categoria_edad1\" id=\"categoria_edad1".$numCat."\"/></td>";
												if ($categoria['hasta']=="los") echo "<td>".$categoria['maximo']." años<input type=\"hidden\" value=\"".$categoria['hasta']."\" name=\"categoria_hasta\" id=\"categoria_hasta".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['maximo']."\" name=\"categoria_edad2\" id=\"categoria_edad2".$numCat."\"/></td>";
												else echo "<td>".$categoria['hasta']." ".$categoria['maximo']." años<input type=\"hidden\" value=\"".$categoria['hasta']."\" name=\"categoria_hasta\" id=\"categoria_hasta".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['maximo']."\" name=\"categoria_edad2\" id=\"categoria_edad2".$numCat."\"/></td>";
												echo "<td><a title=\"Borre la categoría\" onClick=\"borrarCat('".$numCat."','".$categoria['nombre']."','".$categoria['desde']."','".$categoria['minimo']."','".$categoria['hasta']."','".$categoria['maximo']."','".$numCatGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
												echo "</tr>";
												$numCat++;
											  }
											  echo "</tbody></table>";
											  echo "
												<div class=\"accordion\" id=\"accordion2\">
												  <div class=\"accordion-group\">
													<div class=\"accordion-heading\">
													  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseOne\">
														Añadir Categorías
													  </a>
													</div>
													<div id=\"collapseOne\" class=\"accordion-body collapse\">
													  <div class=\"accordion-inner\" id=\"acordeon\">
														<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las categorías que no están incluidas en el evento.</div>";
													  
													  echo "
													  </div>
													</div>
												  </div>
												</div>";
											  echo"
											  </div>
											  <legend>Modalidades</legend><p class=\"help-block\">Especifica las modalidades que participarán en el evento.</p>
											  <div class=\"well\">
												<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Nombre modalidad</th>
															<th>Tipo</th>
														</tr>
													</thead>
													<tbody id=\"tablaMod\">";
													$sql->query("SELECT * FROM modalidades WHERE id_pl='$id_plantilla'");
												    $sql->ejecutarSQL();
												    $numModGeneral=$sql->getNumRegistros();
												    $mods=$sql->getTodosRegistro();
													$numMod=1;
													$sql->query("SELECT * FROM pruebas WHERE id_pl='$id_plantilla' ORDER BY id_mod,id_prueba");
													$sql->ejecutarSQL();
													$numPruebaGeneral=$sql->getNumRegistros();
													foreach ($mods as &$modalidad) {
														echo "<tr id=\"inputMod".$numMod."\" class=\"success\"><td>".$modalidad['nombre']."</td><input type=\"hidden\" value=\"".$modalidad['nombre']."\" name=\"nombre_modalidad\" id=\"nombre_modalidad".$numMod."\"/>";
														if ($modalidad['tipo']=="ind") $tipo="Individual"; 
														if ($modalidad['tipo']=="group") $tipo="Grupo";
														if ($modalidad['tipo']=="par") $tipo="Pareja";
														echo "<td>".$tipo."</td><input type=\"hidden\" value=\"".$tipo."\" name=\"tipo_modalidad\" id=\"tipo_modalidad".$numMod."\"/>";
														echo "<td><a title=\"Borre la modalidad\" onClick=\"borrarMod('".$numMod."','".$modalidad['nombre']."','".$tipo."','".$numModGeneral."','".$numPruebaGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
														echo "</tr>";
														$numMod++;
													}
													echo "</tbody></table>
													<div class=\"accordion\" id=\"accordionMod\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionMod\" href=\"#collapseTwo\">
															Añadir Modalidades
														  </a>
														</div>
														<div id=\"collapseTwo\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeonMod\">
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las modalidades que no están incluidas en el evento.</div>";
														  
														  echo "
														  </div>
														</div>
													  </div>
													</div>
											  </div>
											  <legend>Pruebas</legend><p class=\"help-block\">Especifica las pruebas que participarán en el evento.</p>
											  <div class=\"well\">
												<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Modalidad</th>
															<th>Prueba</th>
														</tr>
													</thead>
													<tbody id=\"tablaPrueba\">";
													$iterador=1;
													$sql->query("SELECT * FROM pruebas WHERE id_pl='$id_plantilla' ORDER BY id_mod,id_prueba");
													$sql->ejecutarSQL();
													$numReg=$sql->getNumRegistros();
													if ($numReg > 0){
														$proofs=$sql->getTodosRegistro();
														//Construimos el vector de pruebas tal y como estaba en la primera versión.
														$mod_actual="";
														$vectorBDPruebas=array();
														foreach ($proofs as &$prueba){
															$var_id_mod=$prueba['id_mod'];
															$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_plantilla' AND id_mod='$var_id_mod'");
															$sql->ejecutarSQL();
															$res=$sql->getUnRegistro();
															$var_nombre_mod=$res['nombre'];
															if ($iterador == 1){
																$vectorBDtemp=array($var_nombre_mod,$prueba['nombre']);
																$mod_actual=$var_nombre_mod;
															}
															//Modalidad distinta, vector nuevo
															if ($mod_actual!=$var_nombre_mod){
																$mod_actual=$var_nombre_mod;
																//Si ya teníamos un vector temporal antes de crear el nuevo, lo insertamos en el general.
																if (isset($vectorBDPruebas)){
																	array_push($vectorBDPruebas,$vectorBDtemp);
																	unset($vectorBDtemp);
																}
																$vectorBDtemp=array($var_nombre_mod,$prueba['nombre']);
															}
															else{
																if ($iterador > 1){
																	array_push($vectorBDtemp,$prueba['nombre']);
																}
															}
															if ($iterador==count($proofs)){
																array_push($vectorBDPruebas,$vectorBDtemp);
																unset($vectorBDtemp);
															}
															$iterador++;
														}
													}
													$proofs=$vectorBDPruebas;
													$iterador=1;
													$numMod=1;
													$numPrueba=1;
													foreach ($proofs as &$prueba) {
														for ($i=1;$i<count($prueba);$i++){
															echo "<tr id=\"inputPrueba".$numPrueba."\" class=\"success\"><td>".$prueba[0]."</td><input type=\"hidden\" value=\"".$prueba[0]."\" name=\"modalidad_prueba\" id=\"modalidad_prueba".$numMod."\"/>";
															echo "<td>".$prueba[$i]."</td><input type=\"hidden\" value=\"".$prueba[$i]."\" name=\"prueba\" id=\"prueba".$numPrueba."\"/>";
															echo "<td><a title=\"Borre la prueba\" onClick=\"borrarPrueba('".$numMod."','".$numPrueba."','".$prueba[0]."','".$prueba[$i]."','".$numPruebaGeneral."','".$numModGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
															echo "</tr>";
															$numPrueba++;
														}
														$numMod++;
													}
													echo "</tbody></table>
													<div class=\"accordion\" id=\"accordionPrueba\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionPrueba\" href=\"#collapseThree\">
															Añadir Pruebas
														  </a>
														</div>
														<div id=\"collapseThree\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeonPrueba\">
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las pruebas que no están incluidas en el evento.</div>";
														  
														  echo "
														  </div>
														</div>
													  </div>
													</div>
											  </div>
											  <legend>Número de jueces</legend><p class=\"help-block\">Número de jueces que participarán en el evento.</p>
											  <div class=\"form-group\">
											  <label class=\"col-lg-2 control-label\">Selecciona: </label>
												<div class=\"col-lg-6\">
													<select class=\"form-control\" id=\"select_numeroJueces\">
														<option value=\"-1\">Selecciona una opción</option>";
													  
													echo "</select>
												</div>
												<div class=\"col-lg-2\">
												  <p class=\"form-control-static\">jueces.</p>
												  <div id=\"pepito\"></div>
												</div>
											  </div>";
											  
										  //Div de la página 2
										  //Podrán unirse a un evento todos los gestores de papeles que estén registrados en el sistema
										  $sql->query("SELECT * FROM users WHERE tipo='gestor'");
										  $sql->ejecutarSQL();
										  $numRegGestores=$sql->getNumRegistros();
										  $resulGestores=$sql->getTodosRegistro();
										  echo "
										  </div>
										  <div id=\"pagina3\" style=\"display:none;\">
											  <h2 class=\"text-center\">Paso 3 <small>Asginación de jueces y gestores</small></h2>
											  <legend>Asignar gestor de documentos</legend><p class=\"help-block\">Selecciona los gestores que van a encargarse de realizar los documentos para el evento.</p>";
												if ($numRegGestores>0){
												echo "<div class=\"well\">
													<table id=\"tablaGestores\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Nombre</th>
															<th>Correo</th>
															<th>Tipo</th>
														</tr>
													</thead>
													<tbody id=\"tablaGestorestbody\">
													</tbody></table>
													<div class=\"accordion\" id=\"accordionGestor\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionGestor\" href=\"#collapseFour\">
															Añadir Gestores de papeles
														  </a>
														</div>
														<div id=\"collapseFour\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeonGestor\">
														  <table class=\"table table-condensed table-bordered table-responsive\">
															<thead>
																<tr>
																	<th>Nombre</th>
																	<th>Correo</th>
																	<th>Tipo</th>
																</tr>
															</thead>
															<tbody id=\"gestorBorrar\">";
															$numGestores=1;
															foreach ($resulGestores as &$resultado) {
																echo "<tr id=\"inputGestor".$numGestores."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																echo "<td>".$resultado["correo"]."</td><td>Gestor de papeles</td>";
																echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addGestor('".$numGestores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegGestores."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir gestor de documentos </button></td>";
																echo "</tr>";
																$numGestores++;
															}
															echo "
															</tbody></table>
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los gestores de documentos que no han sido asignados al evento.</div>
														  </div>
														</div>
													  </div>
													</div>
												</div>";
												}
												//Podrán unirse a un evento todos los clasificadores que estén registrados en el sistema
												$sql->query("SELECT * FROM users WHERE tipo='clasificador'");
												$sql->ejecutarSQL();
												$numRegClasificadores=$sql->getNumRegistros();
												$resulClasificadores=$sql->getTodosRegistro();
												echo "
												<legend>Asignar gestor de clasificaciones</legend><p class=\"help-block\">Selecciona los gestores que van a manejar las clasificaciones del evento.</p>";
												if ($numRegClasificadores>0){
												echo "<div class=\"well\">
													<table id=\"tablaClasificadores\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Nombre</th>
															<th>Correo</th>
															<th>Tipo</th>
														</tr>
													</thead>
													<tbody id=\"tablaClasificadorestbody\">
													</tbody></table>
													<div class=\"accordion\" id=\"accordionClasificadores\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionClasificadores\" href=\"#collapseFive\">
															Añadir Gestores de clasificación
														  </a>
														</div>
														<div id=\"collapseFive\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeonClasificadores\">
														  <table class=\"table table-condensed table-bordered table-responsive\">
															<thead>
																<tr>
																	<th>Nombre</th>
																	<th>Correo</th>
																	<th>Tipo</th>
																</tr>
															</thead>
															<tbody id=\"clasificadoresBorrar\">";
															$numClasificadores=1;
															foreach ($resulClasificadores as &$resultado) {
																echo "<tr id=\"inputClasificador".$numClasificadores."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																echo "<td>".$resultado["correo"]."</td><td>Gestor de clasificaciones</td>";
																echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addClasificador('".$numClasificadores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegClasificadores."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir gestor de clasificaciones </button></td>";
																echo "</tr>";
																$numClasificadores++;
															}
															echo "
															</tbody></table>
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los gestores de clasificaciones que no han sido asignados al evento.</div>
														  </div>
														</div>
													  </div>
													</div>
												</div>";
												}
												//Podrán unirse a un evento aquellos jueces que pertenezcan a una organización
												$sql->query("SELECT * FROM users WHERE tipo='juez' AND organizacion!=''");
												$sql->ejecutarSQL();
												$numRegJueces=$sql->getNumRegistros();
												$resulJueces=$sql->getTodosRegistro();
												echo "
												<legend>Asignar jueces</legend><p class=\"help-block\">Selecciona los jueces que van a asistir al evento.</p>";
												if ($numRegJueces>0){
												echo "<div class=\"well\">
													<table id=\"tablaJueces\" class=\"table table-condensed table-bordered table-responsive\">
													<thead>
														<tr>
															<th>Nombre</th>
															<th>Correo</th>
															<th>Tipo</th>
														</tr>
													</thead>
													<tbody id=\"tablaJuecestbody\">
													</tbody></table>
													<div class=\"accordion\" id=\"accordionJueces\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionJueces\" href=\"#collapseSix\">
															Añadir Jueces
														  </a>
														</div>
														<div id=\"collapseSix\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeonJueces\">
														  <table class=\"table table-condensed table-bordered table-responsive\">
															<thead>
																<tr>
																	<th>Nombre</th>
																	<th>Correo</th>
																	<th>Tipo</th>
																</tr>
															</thead>
															<tbody id=\"juecesBorrar\">";
															$numJueces=1;
															foreach ($resulJueces as &$resultado) {
																if ($resultado['tipo_ext']=="juez") $tipo_juez="Juez regional";
																if ($resultado['tipo_ext']=="juez2") $tipo_juez="Juez nacional";
																if ($resultado['tipo_ext']=="juez3") $tipo_juez="Juez internacional";
																echo "<tr id=\"inputJuez".$numJueces."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																echo "<td>".$resultado["correo"]."</td><td>".$tipo_juez."</td>";
																echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addJuez('".$numJueces."','".$resultado["username"]." ".$resultado["apellidos"]."','".$resultado["correo"]."','".$tipo_juez."','".$numRegJueces."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir juez </button></td>";
																echo "</tr>";
																$numJueces++;
															}
															echo "
															</tbody></table>
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los gestores de clasificaciones que no han sido asignados al evento.</div>
														  </div>
														</div>
													  </div>
													</div>
												</div>";
												}
												//Div de la página 3
												echo "
										  </div>
										  <div id=\"pagina4\" style=\"display:none;\">
											  <legend>Guardar evento</legend><p class=\"help-block\">Si ha terminado de configurar su evento, sólo falta guardarla.</p>
											  <div class=\"well well-lg\">
												<div class=\"form-group\">
													<div class=\"col-lg-offset-2 col-lg-5\">
													  <button type=\"submit\" class=\"btn btn-primary pull-left\" disabled=\"disabled\" id=\"botonEventos\">Guardar</button>&nbsp;
													  <button type=\"button\" class=\"btn btn-default\" onClick=\"ver_campeonato();\" data-toggle=\"modal\" data-target=\"#myModal2\">Ver planificación del evento</button>
													</div>
													<div class=\"modal fade\" id=\"myModal2\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\" style=\"text-align:left;\">
													  <div class=\"modal-dialog\">
														<div class=\"modal-content\">
														  <div class=\"modal-header\" id=\"cabecera\">
														  </div>
														  <div class=\"modal-body\" id=\"cuerpoModal\">
														  </div>
														  <div class=\"modal-footer\">
															<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cerrar</button>
														  </div>
														</div>
													  </div>
													</div>
												</div>
											  </div>
										  </div>
										</form>
									</div>
									
									<div class=\"progress\" id=\"barra_progreso_champ\">
									  <div class=\"progress-bar progress-bar-danger\" role=\"progressbar\" aria-valuenow=\"0\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width: 100%;\" >
										<span class=\"sr-only\">0% Completado.</span>
									  </div>
									</div>
									<ul class=\"pagination\" id=\"paginacion2\">
									  <li class=\"active\"><a href=\"#\">1</a></li>
									  <li><a href=\"#\">2</a></li>
									  <li><a href=\"#\">3</a></li>
									  <li><a href=\"#\">4</a></li>
									</ul>
								</div>";
											
									echo "		  
										  </div>
										</form>
									</div>
									<script>
									$('#select_numeroJueces').change(function(){
										$('#tablaJuecestbody').empty();
										var cuerpo='';
										";
										$numJueces=1;
										foreach ($resulJueces as &$resultado) {
											if ($resultado['tipo_ext']=="juez") $tipo_juez="Juez regional";
											if ($resultado['tipo_ext']=="juez2") $tipo_juez="Juez nacional";
											if ($resultado['tipo_ext']=="juez3") $tipo_juez="Juez internacional";
											echo "cuerpo=cuerpo + '<tr id=\"inputJuez".$numJueces."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>';";
											echo "cuerpo=cuerpo + '<td>".$resultado["correo"]."</td><td>".$tipo_juez."</td>';";
											echo "cuerpo=cuerpo + '<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addJuez(\'".$numJueces."\',\'".$resultado["username"]." ".$resultado["apellidos"]."\',\'".$resultado["correo"]."\',\'".$tipo_juez."\',\'".$numRegJueces."\');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir juez </button></td>';";
											echo "cuerpo=cuerpo + '</tr>';";
											$numJueces++;
										}
										echo "
										$('#juecesBorrar').empty().append(cuerpo);
									});
									//Datepicker para seleccionar la fecha
									$(function() {
									  $( \"#inputFecha\" ).datepicker({
										  //Descomentar si se quiere poner botón
										  //showOn: \"button\",
										  //buttonImage: \"images/calendar.gif\",
										  //buttonImageOnly: true,
										  //Traducción al español y otras cosas
										  dayNamesMin: [\"Do\", \"Lu\", \"Ma\", \"Mi\", \"Ju\", \"Vi\", \"Sa\"],
										  dayNamesShort: [\"Dom\", \"Lun\", \"Mar\", \"Mie\", \"Jue\", \"Vie\", \"Sab\"],
										  dateFormat: \"yy-mm-dd\",
										  firstDay: 1,
										  monthNames: 
											[\"Enero\", \"Febrero\", \"Marzo\", \"Abril\", \"Mayo\", \"Junio\", \"Julio\",
											\"Agosto\", \"Septiembre\", \"Octubre\", \"Noviembre\", \"Diciembre\"],
										  monthNamesShort: 
											[\"Ene\", \"Feb\", \"Mar\", \"Abr\", \"May\", \"Jun\",
											\"Jul\", \"Ago\", \"Sep\", \"Oct\", \"Nov\", \"Dic\"]
									  });
									  $( \"#inputFecha2\" ).datepicker({
										  //Traducción al español y otras cosas
										  dayNamesMin: [\"Do\", \"Lu\", \"Ma\", \"Mi\", \"Ju\", \"Vi\", \"Sa\"],
										  dayNamesShort: [\"Dom\", \"Lun\", \"Mar\", \"Mie\", \"Jue\", \"Vie\", \"Sab\"],
										  dateFormat: \"yy-mm-dd\",
										  firstDay: 1,
										  monthNames: 
											[\"Enero\", \"Febrero\", \"Marzo\", \"Abril\", \"Mayo\", \"Junio\", \"Julio\",
											\"Agosto\", \"Septiembre\", \"Octubre\", \"Noviembre\", \"Diciembre\"],
										  monthNamesShort: 
											[\"Ene\", \"Feb\", \"Mar\", \"Abr\", \"May\", \"Jun\",
											\"Jul\", \"Ago\", \"Sep\", \"Oct\", \"Nov\", \"Dic\"]
									  });
									});
									function select_campeonatos(){
										//Construimos el array en javascript
										var vectorNumJueces=new Array();
										var select='#select_champion';
										var string='';
										";
										$numJueces=1;
										$sql->query("SELECT * FROM num_jueces WHERE id_pl='$id_plantilla' ORDER BY id_tipoChamp");
										$sql->ejecutarSQL();
										$num_jueces=$sql->getTodosRegistro();
										foreach ($num_jueces as &$num_juez) {
											echo "var temp".$numJueces."= new Array();";
											//Nombre del campeonato
											$var_id_tipoChamp=$num_juez['id_tipoChamp'];
											$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$id_plantilla' AND id_tipoChamp='$var_id_tipoChamp'");
											$sql->ejecutarSQL();
											$result=$sql->getUnRegistro();
											$nombre_champ=$result['nombre'];
											echo "temp".$numJueces."[0]='".$nombre_champ."';";
											//Número mínimo de jueces
											echo "temp".$numJueces."[1]='".$num_juez['minimo']."';";
											//Número máximo de jueces
											echo "temp".$numJueces."[2]='".$num_juez['maximo']."';";
											echo "vectorNumJueces[".$numJueces."]=temp".$numJueces.";";
											$numJueces++;
										}
										echo "
										//Ahora añadimos los elementos option que nos interesan
										var seleccion=select + ' option:selected';
										var idEvento=$(seleccion).attr(\"id\");
										string=string + '<option value=\"-1\">Selecciona una opción</option>';
										for (i=vectorNumJueces[idEvento][1];i<=vectorNumJueces[idEvento][2];i++){
											string=string + '<option value=\"' + i + '\">' + i + '</option>';
										}
										$('#select_numeroJueces').empty().append(string);
										string='<input type=\"hidden\" value=\"' + vectorNumJueces[idEvento][0] + '\" name=\"num_juez_campeonato\" id=\"num_juez_campeonato\"/>';
										$('#pepito').empty().append(string);
									}
									$('#champ-form').submit(function(event) {
									  //Evita que se ejecute el botón de submit
									  event.preventDefault();
									  actualizarBarraChamp('#barra_progreso_champ');
									  //Serializamos el formulario
									  arr= $(this).serializeArray();
									  data = JSON.stringify(arr);
									  //Recoge ciertos valores del formulario
									  var form = $( this ),
										  //Primer término será el identificador de la plantilla
										  term1 = form.find( 'input[name=\"id_pl\"]' ).val(),
										  //Segundo término será el nombre del evento
										  term2 = form.find( 'input[name=\"nombre_champ\"]' ).val(),
										  //Tercero será la fecha de inicio
										  term3 = form.find( 'input[name=\"fecha\"]' ).val(),
										   //Décimo será la fecha del último día
										  term10 = form.find( 'input[name=\"fecha2\"]' ).val(),
										  //Cuarto será el creador
										  term4 = form.find( 'input[name=\"creador_organizacion\"]' ).val(),
										  //Quinto será el lugar donde se celebra
										  term5 = form.find( 'input[name=\"lugar\"]' ).val(),
										  term9 = form.find( 'input[name=\"visible\"]' ).val(),
										  url = form.attr( 'action' );";
									  if ($_GET['op']=="modificar") echo "var term6='mod';";
									  echo "
									  //Séptimo será el tipo de evento
									  term7 = $( '#select_champion option:selected' ).val();
									  //Octavo será el número de jueces
									  term8 = $( '#select_numeroJueces option:selected' ).val();
									  var error,fechaInicio,fechaFin;
									  error=0;
									  fechaInicio = term3.split('-');
									  fechaFin = term10.split('-');
									  if (fechaFin[2]<fechaInicio[2]) error=3;
									  if (fechaInicio[1]!=fechaFin[1]) error=2;
								      if (fechaInicio[0]!=fechaFin[0]) error=1;
									  if (error==0){
										  //Envía los datos mediante jquery y json
										  var posting = $.post( url, { id: term1, nombre: term2, fecha: term3, fecha2: term10, creador: term4, lugar: term5, tipo_evento: term7, NumJueces: term8, visible: term9, datos: data";
										  if ($_GET['op']=="modificar") echo ", state : term6";
										  echo " } );
										  //Devuelve los resultados en data.
										  posting.done(function( data ) {
												if (data == -1) alert('El nombre de la plantilla ya está siendo usado.');
												if (data == -2) alert('Debe añadir un tipo de prueba, como mínimo.');
												if (data == -3) alert('Debe añadir un tipo de categoría, como mínimo.');
												if (data == -4) alert('Debe añadir una modalidad, como mínimo.');
												if (data == 0){
													alert('Datos guardados correctamente.');
													actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?crear');
												}
										  });
									  }
									  else{
										if (error==1) alert('Debes seleccionar el mismo año tanto en el Primer día del Evento como en el Último.');
										else{
											if (error==2) alert('Debes seleccionar el mismo mes tanto en el Primer día del Evento como en el Último.');
											else
												if (error==3) alert('El día de finalización del evento tiene que ser después del inicio del evento.');
										}
									  }
									});
									</script>";
								}
								else echo $geschampModPl;
							}
							if ((isset($_GET['mod']))&&($_GET['mod']!="")){
								//Id del campeonato y de la plantilla
								$id_champ=$_GET['mod'];
								$id_plantilla=$_GET['id'];
								$sql->query("SELECT * FROM plantilla WHERE id_plantilla='$id_plantilla'");
								$sql->ejecutarSQL();
								//Cogemos la configuración de la plantilla.
								$numRegPl=$sql->getNumRegistros();
								$plantillaRes=$sql->getUnRegistro();
								if ($numRegPl > 0){
									//Variables temporales
									//Variable que determina si un campeonato es o no es oficial
									$oficial=0;
									$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
									$sql->ejecutarSQL();
									//Cogemos la configuración de la plantilla.
									$numRegChamp=$sql->getNumRegistros();
									$champRes=$sql->getUnRegistro();
									if ($numRegChamp > 0){
										echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><script type=\"text/javascript\" src=\"modulos/campeonatos/gestion/funcioneschamps.js\">";
										echo "</script><small>Modificar un campeonato</small></h2>";
										$world=$paises[$plantillaRes['pais_pl']];
										$worlLand=$plantillaRes['pais_pl'];
										$land=$regiones[$plantillaRes['pais_pl']][$plantillaRes['region_pl']];
										$village=$plantillaRes['region_pl'];
										echo "
										<div class=\"well\" id=\"pagina\">
											<form class=\"form-horizontal\" id=\"champ-form\" action=\"modulos/campeonatos/gestion/gestion.php\">
											  <div id=\"pagina1\">
												  <h2 class=\"text-center\">Paso 1 <small>Información básica</small></h2>
												  <legend>Información General</legend><p class=\"help-block\">Información general sobre el evento.</p>
												  <div class=\"form-group\">
													<label class=\"col-lg-2 control-label\">Nombre de la plantilla utilizada</label>
													<div class=\"col-lg-10\">
													  <p class=\"form-control-static\">".$plantillaRes['nombre_pl']."</p><input type=\"hidden\" name=\"id_pl\" value=\"".$plantillaRes['id_plantilla']."\">
													</div>
												  </div>
												  <input type=\"hidden\" name=\"creador_organizacion\" value=\"".$creator."\">
												  <div class=\"form-group\">
													<label for=\"inputNombre\" class=\"col-lg-2 control-label\">Nombre del evento</label>
													<div class=\"col-lg-10\">
													   <input type=\"text\" class=\"form-control\" name=\"nombre_champ\" id=\"inputNombre\" placeholder=\"".$plantillaRes['nombre_pl']."\" value=\"".$champRes['nombreChamp']."\" required>
													   <input type=\"hidden\" class=\"form-control\" name=\"id_champ\" value=\"".$champRes['id_campeonato']."\" required>
													</div>
												  </div>
												  <div class=\"form-group\">
													<label for=\"inputFecha\" class=\"col-lg-2 control-label\">Primer día del evento</label>
													<div class=\"col-lg-10\">
													  <p><input type=\"text\" class=\"form-control\" name=\"fecha\" id=\"inputFecha\" placeholder=\"".date('Y-m-d')."\" value=\"".$champRes['fecha']."\" required></p>
													</div>
												  </div>
												  <div class=\"form-group\">
													<label for=\"inputFecha2\" class=\"col-lg-2 control-label\">Último día del evento</label>
													<div class=\"col-lg-10\">
													  <p><input type=\"text\" class=\"form-control\" name=\"fecha2\" id=\"inputFecha2\" placeholder=\"".date('Y-m-d')."\" value=\"".$champRes['fecha_fin']."\" required></p>
													</div>
												  </div>
												  <div class=\"form-group\">
													<label for=\"inputPlace\" class=\"col-lg-2 control-label\">Lugar donde se va a celebrar el evento</label>
													<div class=\"col-lg-10\">
													  <input type=\"text\" class=\"form-control\" name=\"lugar\" id=\"inputPlace\" placeholder=\"".$land."\" value=\"".$champRes['lugar']."\" required>
													</div>
												  </div>
												  <div class=\"form-group\">
													<span class=\"help-block\">Este campo especifica si se aceptan inscripciones. Se puede modificar más adelante para dejar de aceptar inscripciones.</span>
													<label for=\"inputVisible\" class=\"col-lg-2 control-label\">Inscripciones</label>
													<label class=\"radio-inline\">";
													if ($champRes['visible']==1) echo "<input type=\"radio\" id=\"inlineradio1\" value=\"1\" name=\"visible\" checked> Abiertas";
													else echo "<input type=\"radio\" id=\"inlineradio1\" value=\"1\" name=\"visible\"> Abiertas";
													echo "
													</label>
													<label class=\"radio-inline\">";
													if ($champRes['visible']==0) echo "<input type=\"radio\" id=\"inlineradio2\" value=\"0\" name=\"visible\" checked>Cerradas";
													else echo "<input type=\"radio\" id=\"inlineradio2\" value=\"0\" name=\"visible\">Cerradas";
													echo "
													</label>
												  </div>
												  <div class=\"form-group\">
													<label for=\"inputPlace\" class=\"col-lg-2 control-label\">Tipo de evento</label>
													<div class=\"col-lg-8\">
													  <select class=\"form-control\" id=\"select_champion\" onChange=\"select_campeonatos();\">
														<option value=\"default_champ\">Selecciona una opción</option>";
														//Tipo de evento
														$sql->query("SELECT * FROM tipos_campeonato WHERE id_pl='$id_plantilla'");
														$sql->ejecutarSQL();
														$champs=$sql->getTodosRegistro();
														$championArray=array();
														$numChamp=0;
														foreach ($champs as &$campeonato) {
															$numChamp++;
															//Si es array, es que se trata de un campeonato oficial, y solo lo puede seleccionar un responsable de la federación
															if ($campeonato['oficial']==1){
																if ($_SESSION['tipo']=="federacion"){
																	if ($champRes['tipo_evento']==$campeonato['id_tipoChamp']) echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\" selected>".$campeonato['nombre']."</option>";
																	else echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\">".$campeonato['nombre']."</option>";
																}
															}
															else{
																if ($champRes['tipo_evento']==$campeonato['id_tipoChamp']) echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\" selected>".$campeonato['nombre']."</option>";
																else echo "<option value=\"".$campeonato['nombre']."\" id=\"".$numChamp."\">".$campeonato['nombre']."</option>";
															}
														}
														echo "
														</select>
													</div> 
												  </div>
											  </div>
											  <div id=\"pagina2\" style=\"display:none;\">
												  <h2 class=\"text-center\">Paso 2 <small>Personalización del evento</small></h2>
												  <legend>Categorías</legend><p class=\"help-block\">Especifica las categorías que van a participar en el campeonato.</p>
												  <div class=\"well\">
													<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Nombre categoría</th>
																<th>Edad mínima</th>
																<th>Edad tope</th>
															</tr>
														</thead>
														<tbody id=\"tablaCat\">";
												  $sql->query("SELECT * FROM categorias WHERE id_pl='$id_plantilla'");
												  $sql->ejecutarSQL();
											      $numCatGeneral=$sql->getNumRegistros();
												  $cats=$sql->getTodosRegistro();
												  $sql->query("SELECT * FROM categorias_campeonato WHERE id_champ='$id_champ'");
												  $sql->ejecutarSQL();
												  $cats2=$sql->getTodosRegistro();
												  $numCat=1;
												  $tieneCat=0;
												  $vectorCats=array();
												  foreach ($cats as &$categoria) {
													foreach ($cats2 as &$categoria2) if ($categoria['id_cat']==$categoria2['id_cat']) $tieneCat=1;
													if ($tieneCat==1){
														echo "<tr id=\"inputCat".$numCat."\" class=\"success\"><td>".$categoria['nombre']."</td><input type=\"hidden\" value=\"".$categoria['nombre']."\" name=\"nombre_categoria\" id=\"nombre_categoria".$numCat."\"/>";
														if ($categoria['desde']=="los") echo "<td>".$categoria['minimo']." años<input type=\"hidden\" value=\"".$categoria['desde']."\" name=\"categoria_desde\" id=\"categoria_desde".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['minimo']."\" name=\"categoria_edad1\" id=\"categoria_edad1".$numCat."\"/></td>";
														else echo "<td>".$categoria['desde']." ".$categoria['minimo']." años<input type=\"hidden\" value=\"".$categoria['desde']."\" name=\"categoria_desde\" id=\"categoria_desde".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['minimo']."\" name=\"categoria_edad1\" id=\"categoria_edad1".$numCat."\"/></td>";
														if ($categoria['hasta']=="los") echo "<td>".$categoria['maximo']." años<input type=\"hidden\" value=\"".$categoria['hasta']."\" name=\"categoria_hasta\" id=\"categoria_hasta".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['maximo']."\" name=\"categoria_edad2\" id=\"categoria_edad2".$numCat."\"/></td>";
														else echo "<td>".$categoria['hasta']." ".$categoria['maximo']." años<input type=\"hidden\" value=\"".$categoria['hasta']."\" name=\"categoria_hasta\" id=\"categoria_hasta".$numCat."\"/><input type=\"hidden\" value=\"".$categoria['maximo']."\" name=\"categoria_edad2\" id=\"categoria_edad2".$numCat."\"/></td>";
														echo "<td><a title=\"Borre la categoría\" onClick=\"borrarCat('".$numCat."','".$categoria['nombre']."','".$categoria['desde']."','".$categoria['minimo']."','".$categoria['hasta']."','".$categoria['maximo']."','".$numCatGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
														echo "</tr>";
													}
													else array_push($vectorCats,$numCat);
													$numCat++;
													$tieneCat=0;
												  }
												  echo "</tbody></table>";
												  echo "
													<div class=\"accordion\" id=\"accordion2\">
													  <div class=\"accordion-group\">
														<div class=\"accordion-heading\">
														  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseOne\">
															Añadir Categorías
														  </a>
														</div>
														<div id=\"collapseOne\" class=\"accordion-body collapse\">
														  <div class=\"accordion-inner\" id=\"acordeon\">
															<table class=\"table table-condensed table-bordered table-responsive\"><thead><tr><th>Nombre categoría</th><th>Edad mínima</th><th>Edad tope</th></tr></thead><tbody id=\"catBorrar\">";
															  $numVectorCat=0;
															  $tieneCat=0;
															  foreach ($cats as &$categoria) {
																foreach ($cats2 as &$categoria2) if ($categoria['id_cat']==$categoria2['id_cat']) $tieneCat=1;
																if ($tieneCat==0){
																	echo "<tr id=\"inputCat".$vectorCats[$numVectorCat]."\" class=\"danger\"><td>".$categoria['nombre']."</td>";
																	if ($categoria['desde']=="los") echo "<td>".$categoria['minimo']." años</td>";
																	else echo "<td>".$categoria['desde']." ".$categoria['minimo']." años</td>";
																	if ($categoria['hasta']=="los") echo "<td>".$categoria['maximo']." años</td>";
																	else echo "<td>".$categoria['hasta']." ".$categoria['maximo']." años</td>";
																	echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addCat('".$vectorCats[$numVectorCat]."','".$categoria['nombre']."','".$categoria['desde']."','".$categoria['minimo']."','".$categoria['hasta']."','".$categoria['maximo']."','".$numCatGeneral."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir categoría </button></td>";
																	echo "</tr>";
																	$numVectorCat++;
																}
																$tieneCat=0;
															  }
															  echo "
															  </tbody></table>
															<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las categorías que no están incluidas en el evento.</div>";
														  
														  echo "
														  </div>
														</div>
													  </div>
													</div>";
												  echo"
												  </div>
												  <legend>Modalidades</legend><p class=\"help-block\">Especifica las modalidades que participarán en el evento.</p>
												  <div class=\"well\">
													<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Nombre modalidad</th>
																<th>Tipo</th>
															</tr>
														</thead>
														<tbody id=\"tablaMod\">";
														$sql->query("SELECT * FROM modalidades WHERE id_pl='$id_plantilla'");
														$sql->ejecutarSQL();
														$numModGeneral=$sql->getNumRegistros();
														$mods=$sql->getTodosRegistro();
														$sql->query("SELECT * FROM modalidades_campeonato WHERE id_champ='$id_champ'");
														$sql->ejecutarSQL();
														$mods2=$sql->getTodosRegistro();
														$numMod=1;
														$sql->query("SELECT * FROM pruebas WHERE id_pl='$id_plantilla' ORDER BY id_mod,id_prueba");
														$sql->ejecutarSQL();
														$numPruebaGeneral=$sql->getNumRegistros();
														$tieneMod=0;
														$vectorMods=array();
														foreach ($mods as &$modalidad) {
															foreach ($mods2 as &$modalidad2) if ($modalidad['id_mod']==$modalidad2['id_mod']) $tieneMod=1;
															if ($tieneMod==1){
																echo "<tr id=\"inputMod".$numMod."\" class=\"success\"><td>".$modalidad['nombre']."</td><input type=\"hidden\" value=\"".$modalidad['nombre']."\" name=\"nombre_modalidad\" id=\"nombre_modalidad".$numMod."\"/>";
																if ($modalidad['tipo']=="ind") $tipo="Individual"; 
																if ($modalidad['tipo']=="group") $tipo="Grupo";
																if ($modalidad['tipo']=="par") $tipo="Pareja";
																echo "<td>".$tipo."</td><input type=\"hidden\" value=\"".$tipo."\" name=\"tipo_modalidad\" id=\"tipo_modalidad".$numMod."\"/>";
																echo "<td><a title=\"Borre la modalidad\" onClick=\"borrarMod('".$numMod."','".$modalidad['nombre']."','".$tipo."','".$numModGeneral."','".$numPruebaGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
																echo "</tr>";
															}
															else array_push($vectorMods,$numMod);
															$numMod++;
															$tieneMod=0;
														}
														echo "</tbody></table>
														<div class=\"accordion\" id=\"accordionMod\">
														  <div class=\"accordion-group\">
															<div class=\"accordion-heading\">
															  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionMod\" href=\"#collapseTwo\">
																Añadir Modalidades
															  </a>
															</div>
															<div id=\"collapseTwo\" class=\"accordion-body collapse\">
															  <div class=\"accordion-inner\" id=\"acordeonMod\">
																<table class=\"table table-condensed table-bordered table-responsive\"><thead><tr><th>Nombre modalidad</th><th>Tipo</th></tr></thead><tbody id=\"modBorrar\">";
															    $numVectorMod=0;
																$tieneMod==0;
																foreach ($mods as &$modalidad) {
																	foreach ($mods2 as &$modalidad2) if ($modalidad['id_mod']==$modalidad2['id_mod']) $tieneMod=1;
																	if ($tieneMod==0){
																		echo "<tr id=\"inputMod".$vectorMods[$numVectorMod]."\" class=\"danger\"><td>".$modalidad['nombre']."</td>";
																		if ($modalidad['tipo']=="ind") $tipo="Individual"; 
																		if ($modalidad['tipo']=="group") $tipo="Grupo";
																		if ($modalidad['tipo']=="par") $tipo="Pareja";
																		echo "<td>".$tipo."</td>";
																		echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addMod('".$vectorMods[$numVectorMod]."','".$modalidad['nombre']."','".$tipo."','".$numModGeneral."','".$numPruebaGeneral."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir Modalidad </button>";
																		echo "</tr>";
																		$numVectorMod++;
																	}
																	$tieneMod=0;
																}
															  echo "
																	</tbody></table>
																<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las modalidades que no están incluidas en el evento.</div>";
															  
															  echo "
															  </div>
															</div>
														  </div>
														</div>
												  </div>
												  <legend>Pruebas</legend><p class=\"help-block\">Especifica las pruebas que participarán en el evento.</p>
												  <div class=\"well\">
													<table id=\"tabla\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Modalidad</th>
																<th>Prueba</th>
															</tr>
														</thead>
														<tbody id=\"tablaPrueba\">";
														$iterador=1;
														$sql->query("SELECT * FROM pruebas WHERE id_pl='$id_plantilla' ORDER BY id_mod,id_prueba");
														$sql->ejecutarSQL();
														$numReg=$sql->getNumRegistros();
														if ($numReg > 0){
															$proofs=$sql->getTodosRegistro();
															//Construimos el vector de pruebas tal y como estaba en la primera versión.
															$mod_actual="";
															$vectorBDPruebas=array();
															foreach ($proofs as &$prueba){
																$var_id_mod=$prueba['id_mod'];
																$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_plantilla' AND id_mod='$var_id_mod'");
																$sql->ejecutarSQL();
																$res=$sql->getUnRegistro();
																$var_nombre_mod=$res['nombre'];
																if ($iterador == 1){
																	$vectorBDtemp=array($var_nombre_mod,$prueba['nombre']);
																	$mod_actual=$var_nombre_mod;
																}
																//Modalidad distinta, vector nuevo
																if ($mod_actual!=$var_nombre_mod){
																	$mod_actual=$var_nombre_mod;
																	//Si ya teníamos un vector temporal antes de crear el nuevo, lo insertamos en el general.
																	if (isset($vectorBDPruebas)){
																		array_push($vectorBDPruebas,$vectorBDtemp);
																		unset($vectorBDtemp);
																	}
																	$vectorBDtemp=array($var_nombre_mod,$prueba['nombre']);
																}
																else{
																	if ($iterador > 1){
																		array_push($vectorBDtemp,$prueba['nombre']);
																	}
																}
																if ($iterador==count($proofs)){
																	array_push($vectorBDPruebas,$vectorBDtemp);
																	unset($vectorBDtemp);
																}
																$iterador++;
															}
														}
														$proofs=$vectorBDPruebas;
														$sql->query("SELECT * FROM pruebas_campeonato WHERE id_champ='$id_champ'");
														$sql->ejecutarSQL();
														$proofs2=$sql->getTodosRegistro();
														$numMod=1;
														$numPrueba=1;
														$tienePrueba=0;
														foreach ($proofs as &$prueba) {
															for ($i=1;$i<count($prueba);$i++){
																foreach ($proofs2 as &$prueba2){
																	$var_nombre_mod=$prueba[0];
																	$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id_plantilla'");
																	$sql->ejecutarSQL();
																	$resultado=$sql->getUnRegistro();
																	$var_id_mod=$resultado['id_mod'];
																	$var_nombre_prueba=$prueba[$i];
																	$sql->query("SELECT id_prueba FROM pruebas WHERE id_mod='$var_id_mod' AND nombre='$var_nombre_prueba' AND id_pl='$id_plantilla'");
																	$sql->ejecutarSQL();
																	$resultado=$sql->getUnRegistro();
																	$var_id_prueba=$resultado['id_prueba'];
																	$var_id_prueba2=$prueba2['id_prueba'];
																	if ($var_id_prueba==$var_id_prueba2) $tienePrueba=1;
																}
																if ($tienePrueba==1){
																	echo "<tr id=\"inputPrueba".$numPrueba."\" class=\"success\"><td>".$prueba[0]."</td><input type=\"hidden\" value=\"".$prueba[0]."\" name=\"modalidad_prueba\" id=\"modalidad_prueba".$numMod."\"/>";
																	echo "<td>".$prueba[$i]."</td><input type=\"hidden\" value=\"".$prueba[$i]."\" name=\"prueba\" id=\"prueba".$numPrueba."\"/>";
																	echo "<td><a title=\"Borre la prueba\" onClick=\"borrarPrueba('".$numMod."','".$numPrueba."','".$prueba[0]."','".$prueba[$i]."','".$numPruebaGeneral."','".$numModGeneral."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
																	echo "</tr>";
																}
																$numPrueba++;
																$tienePrueba=0;
															}
															$numMod++;
														}
														echo "</tbody></table>
														<div class=\"accordion\" id=\"accordionPrueba\">
														  <div class=\"accordion-group\">
															<div class=\"accordion-heading\">
															  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionPrueba\" href=\"#collapseThree\">
																Añadir Pruebas
															  </a>
															</div>
															<div id=\"collapseThree\" class=\"accordion-body collapse\">
															  <div class=\"accordion-inner\" id=\"acordeonPrueba\">
															  <table class=\"table table-condensed table-bordered table-responsive\"><thead><tr><th>Modalidad</th><th>Prueba</th></tr></thead><tbody id=\"pruebaBorrar\">";
																$numPrueba=1;
																$numMod=1;
																$tienePrueba=0;
																foreach ($proofs as &$prueba) {
																	for ($i=1;$i<count($prueba);$i++){
																		foreach ($proofs2 as &$prueba2){
																			$var_nombre_mod=$prueba[0];
																			$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id_plantilla'");
																			$sql->ejecutarSQL();
																			$resultado=$sql->getUnRegistro();
																			$var_id_mod=$resultado['id_mod'];
																			$var_nombre_prueba=$prueba[$i];
																			$sql->query("SELECT id_prueba FROM pruebas WHERE id_mod='$var_id_mod' AND nombre='$var_nombre_prueba' AND id_pl='$id_plantilla'");
																			$sql->ejecutarSQL();
																			$resultado=$sql->getUnRegistro();
																			$var_id_prueba=$resultado['id_prueba'];
																			$var_id_prueba2=$prueba2['id_prueba'];
																			if ($var_id_prueba==$var_id_prueba2) $tienePrueba=1;
																		}
																		if ($tienePrueba==0){
																			echo "<tr id=\"inputPrueba".$numPrueba."\" class=\"danger\"><td>".$prueba[0]."</td>";
																			echo "<td>".$prueba[$i]."</td>";
																			echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addPrueba('".$numMod."','".$numPrueba."','".$prueba[0]."','".$prueba[$i]."','".$numPruebaGeneral."','".$numModGeneral."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir Prueba </button>";
																			echo "</tr>";
																		}
																		$numPrueba++;
																		$tienePrueba=0;
																	}
																	$numMod++;
																}
															  echo "
																	</tbody></table>
																<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las pruebas que no están incluidas en el evento.</div>";
															  
															  echo "
															  </div>
															</div>
														  </div>
														</div>
												  </div>
												  <legend>Número de jueces</legend><p class=\"help-block\">Número de jueces que participarán en el evento.</p>
												  <div class=\"form-group\">
												  <label class=\"col-lg-2 control-label\">Selecciona: </label>
													<div class=\"col-lg-6\">
														<select class=\"form-control\" id=\"select_numeroJueces\">
															<option value=\"-1\">Selecciona una opción</option>";
															$sql->query("SELECT * FROM num_jueces WHERE id_pl='$id_plantilla' ORDER BY id_tipoChamp");
															$sql->ejecutarSQL();
															$num_jueces=$sql->getTodosRegistro();
															foreach ($num_jueces as &$num_juez) {
																//Nombre del campeonato
																$var_id_tipoChamp=$num_juez['id_tipoChamp'];
																$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$id_plantilla' AND id_tipoChamp='$var_id_tipoChamp'");
																$sql->ejecutarSQL();
																$result=$sql->getUnRegistro();
																$nombre_champ=$result['nombre'];
																$var_id_tipo_champ=$champRes['tipo_evento'];
																$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$var_id_tipo_champ' AND id_pl='$id_plantilla'");
																$sql->ejecutarSQL();
																$resultadoTipoChamp=$sql->getUnRegistro();
																$nombre_tipoChamp=$resultadoTipoChamp['nombre'];
																if ($nombre_champ==$nombre_tipoChamp){
																	for ($i=$num_juez['minimo'];$i<=$num_juez['maximo'];$i++){
																		if ($i==$champRes['num_jueces']) echo "<option value=\"".$champRes["num_jueces"]."\" selected>".$champRes["num_jueces"]."</option>";
																		else echo "<option value=\"".$i."\">".$i."</option>";
																	}
																}
															}
														echo "
														</select>
													</div>
													<div class=\"col-lg-2\">
													  <p class=\"form-control-static\">jueces.</p>
													  <div id=\"pepito\"></div>
													</div>
												  </div>";
												  
											  //Div de la página 2
											  //Podrán unirse a un evento todos los gestores de papeles que estén registrados en el sistema
											  $sql->query("SELECT * FROM users WHERE tipo='gestor'");
											  $sql->ejecutarSQL();
											  $numRegGestores=$sql->getNumRegistros();
											  $resulGestores=$sql->getTodosRegistro();
											  echo "
											  </div>
											  <div id=\"pagina3\" style=\"display:none;\">
												  <h2 class=\"text-center\">Paso 3 <small>Asginación de jueces y gestores</small></h2>
												  <legend>Asignar gestor de documentos</legend><p class=\"help-block\">Selecciona los gestores que van a encargarse de realizar los documentos para el evento.</p>";
													if ($numRegGestores>0){
													echo "<div class=\"well\">
														<table id=\"tablaGestores\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Nombre</th>
																<th>Correo</th>
																<th>Tipo</th>
															</tr>
														</thead>
														<tbody id=\"tablaGestorestbody\">";
																$numRegistro=0;
																$numGestores=1;
																foreach ($resulGestores as &$resultado) {
																	$correoGestor=$resultado['correo'];
																	$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																	$sql->ejecutarSQL();
																	$numRegistro=$sql->getNumRegistros();
																	if ($numRegistro>0){
																		echo "<tr id=\"inputGestor".$numGestores."\" class=\"success\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																		echo "<td>".$resultado["correo"]."</td><input type=\"hidden\" value=\"".$resultado["correo"]."\" name=\"gestor\" id=\"gestor".$numGestores."\"/><td>Gestor de papeles</td>";
																		echo "<td><a title=\"Desasignar el gestor del evento\" onClick=\"borrarGestor('".$numGestores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegGestores."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
																		echo "</tr>";
																	}
																	$numGestores++;
																}
														echo "
														</tbody></table>
														<div class=\"accordion\" id=\"accordionGestor\">
														  <div class=\"accordion-group\">
															<div class=\"accordion-heading\">
															  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionGestor\" href=\"#collapseFour\">
																Añadir Gestores de papeles
															  </a>
															</div>
															<div id=\"collapseFour\" class=\"accordion-body collapse\">
															  <div class=\"accordion-inner\" id=\"acordeonGestor\">
															  <table class=\"table table-condensed table-bordered table-responsive\">
																<thead>
																	<tr>
																		<th>Nombre</th>
																		<th>Correo</th>
																		<th>Tipo</th>
																	</tr>
																</thead>
																<tbody id=\"gestorBorrar\">";
																$numRegistro=0;
																$numGestores=1;
																foreach ($resulGestores as &$resultado) {
																	$correoGestor=$resultado['correo'];
																	$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																	$sql->ejecutarSQL();
																	$numRegistro=$sql->getNumRegistros();
																	if ($numRegistro==0){
																		echo "<tr id=\"inputGestor".$numGestores."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																		echo "<td>".$resultado["correo"]."</td><td>Gestor de papeles</td>";
																		echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addGestor('".$numGestores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegGestores."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir gestor de documentos </button></td>";
																		echo "</tr>";
																	}
																	$numGestores++;
																}
																echo "
																</tbody></table>
																<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los gestores de documentos que no han sido asignados al evento.</div>
															  </div>
															</div>
														  </div>
														</div>
													</div>";
													}
													//Podrán unirse a un evento todos los clasificadores que estén registrados en el sistema
													$sql->query("SELECT * FROM users WHERE tipo='clasificador'");
													$sql->ejecutarSQL();
													$numRegClasificadores=$sql->getNumRegistros();
													$resulClasificadores=$sql->getTodosRegistro();
													echo "
													<legend>Asignar gestor de clasificaciones</legend><p class=\"help-block\">Selecciona los gestores que van a manejar las clasificaciones del evento.</p>";
													if ($numRegClasificadores>0){
													echo "<div class=\"well\">
														<table id=\"tablaClasificadores\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Nombre</th>
																<th>Correo</th>
																<th>Tipo</th>
															</tr>
														</thead>
														<tbody id=\"tablaClasificadorestbody\">";
															$numRegistro=0;
															$numClasificadores=1;
															foreach ($resulClasificadores as &$resultado) {
																$correoGestor=$resultado['correo'];
																$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																$sql->ejecutarSQL();
																$numRegistro=$sql->getNumRegistros();
																if ($numRegistro>0){
																	echo "<tr id=\"inputClasificador".$numClasificadores."\" class=\"success\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																	echo "<td>".$resultado["correo"]."</td><input type=\"hidden\" value=\"".$resultado["correo"]."\" name=\"clasificador\" id=\"clasificador".$numClasificadores."\"/><td>Gestor de clasificaciones</td>";
																	echo "<td><a title=\"Desasignar el gestor del evento\" onClick=\"borrarClasificador('".$numClasificadores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegClasificadores."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
																	echo "</tr>";
																}
																$numClasificadores++;
															}
															echo "
														</tbody></table>
														<div class=\"accordion\" id=\"accordionClasificadores\">
														  <div class=\"accordion-group\">
															<div class=\"accordion-heading\">
															  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionClasificadores\" href=\"#collapseFive\">
																Añadir Gestores de clasificación
															  </a>
															</div>
															<div id=\"collapseFive\" class=\"accordion-body collapse\">
															  <div class=\"accordion-inner\" id=\"acordeonClasificadores\">
															  <table class=\"table table-condensed table-bordered table-responsive\">
																<thead>
																	<tr>
																		<th>Nombre</th>
																		<th>Correo</th>
																		<th>Tipo</th>
																	</tr>
																</thead>
																<tbody id=\"clasificadoresBorrar\">";
																$numRegistro=0;
																$numClasificadores=1;
																foreach ($resulClasificadores as &$resultado) {
																	$correoGestor=$resultado['correo'];
																	$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																	$sql->ejecutarSQL();
																	$numRegistro=$sql->getNumRegistros();
																	if ($numRegistro==0){
																		echo "<tr id=\"inputClasificador".$numClasificadores."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																		echo "<td>".$resultado["correo"]."</td><td>Gestor de clasificaciones</td>";
																		echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addClasificador('".$numClasificadores."','".$resultado["username"]."','".$resultado["apellidos"]."','".$resultado["correo"]."','".$numRegClasificadores."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir gestor de clasificaciones </button></td>";
																		echo "</tr>";
																	}
																	$numClasificadores++;
																}
																echo "
																</tbody></table>
																<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los gestores de clasificaciones que no han sido asignados al evento.</div>
															  </div>
															</div>
														  </div>
														</div>
													</div>";
													}
													//Podrán unirse a un evento aquellos jueces que pertenezcan a una organización
													$sql->query("SELECT * FROM users WHERE tipo='juez' AND organizacion!=''");
													$sql->ejecutarSQL();
													$numRegJueces=$sql->getNumRegistros();
													$resulJueces=$sql->getTodosRegistro();
													echo "
													<legend>Asignar jueces</legend><p class=\"help-block\">Selecciona los jueces que van a asistir al evento.</p>";
													if ($numRegJueces>0){
													echo "<div class=\"well\">
														<table id=\"tablaJueces\" class=\"table table-condensed table-bordered table-responsive\">
														<thead>
															<tr>
																<th>Nombre</th>
																<th>Correo</th>
																<th>Tipo</th>
															</tr>
														</thead>
														<tbody id=\"tablaJuecestbody\">";
															$numRegistro=0;
															$numJueces=1;
															foreach ($resulJueces as &$resultado) {
																$correoGestor=$resultado['correo'];
																if ($resultado['tipo_ext']=="juez") $tipo_juez="Juez regional";
																if ($resultado['tipo_ext']=="juez2") $tipo_juez="Juez nacional";
																if ($resultado['tipo_ext']=="juez3") $tipo_juez="Juez internacional";
																$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																$sql->ejecutarSQL();
																$numRegistro=$sql->getNumRegistros();
																if ($numRegistro>0){
																	echo "<tr id=\"inputJuez".$numJueces."\" class=\"success\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																	echo "<td>".$resultado["correo"]."</td><input type=\"hidden\" value=\"".$resultado["correo"]."\" name=\"juez\" id=\"juez".$numJueces."\"/><td>".$tipo_juez."</td>";
																	echo "<td><a title=\"Quitar al juez\" onClick=\"borrarJuez('".$numJueces."','".$resultado["username"]." ".$resultado["apellidos"]."','".$resultado["correo"]."','".$tipo_juez."','".$numRegJueces."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
																	echo "</tr>";
																}
																$numJueces++;
															}
															echo "
														</tbody></table>
														<div class=\"accordion\" id=\"accordionJueces\">
														  <div class=\"accordion-group\">
															<div class=\"accordion-heading\">
															  <a class=\"accordion-toggle\" data-toggle=\"collapse\" data-parent=\"#accordionJueces\" href=\"#collapseSix\">
																Añadir Jueces
															  </a>
															</div>
															<div id=\"collapseSix\" class=\"accordion-body collapse\">
															  <div class=\"accordion-inner\" id=\"acordeonJueces\">
															  <table class=\"table table-condensed table-bordered table-responsive\">
																<thead>
																	<tr>
																		<th>Nombre</th>
																		<th>Correo</th>
																		<th>Tipo</th>
																	</tr>
																</thead>
																<tbody id=\"juecesBorrar\">";
																$numRegistro=0;
																$numJueces=1;
																foreach ($resulJueces as &$resultado) {
																	$correoGestor=$resultado['correo'];
																	if ($resultado['tipo_ext']=="juez") $tipo_juez="Juez regional";
																	if ($resultado['tipo_ext']=="juez2") $tipo_juez="Juez nacional";
																	if ($resultado['tipo_ext']=="juez3") $tipo_juez="Juez internacional";
																	$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoGestor'");
																	$sql->ejecutarSQL();
																	$numRegistro=$sql->getNumRegistros();
																	if ($numRegistro==0){
																		echo "<tr id=\"inputJuez".$numJueces."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>";
																		echo "<td>".$resultado["correo"]."</td><td>".$tipo_juez."</td>";
																		echo "<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addJuez('".$numJueces."','".$resultado["username"]." ".$resultado["apellidos"]."','".$resultado["correo"]."','".$tipo_juez."','".$numRegJueces."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir juez </button></td>";
																		echo "</tr>";
																	}
																	$numJueces++;
																}
																echo "
																</tbody></table>
																<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los jueces que no han sido asignados al evento.</div>
															  </div>
															</div>
														  </div>
														</div>
													</div>";
													}
													//Div de la página 3
													echo "
											  </div>
											  <div id=\"pagina4\" style=\"display:none;\">
												  <legend>Guardar evento</legend><p class=\"help-block\">Si ha terminado de configurar su evento, sólo falta guardarla.</p>
												  <div class=\"well well-lg\">
													<div class=\"form-group\">
														<div class=\"col-lg-offset-2 col-lg-5\">
														  <button type=\"submit\" class=\"btn btn-primary pull-left\" disabled=\"disabled\" id=\"botonEventos\">Guardar</button>&nbsp;
														  <button type=\"button\" class=\"btn btn-default\" onClick=\"ver_campeonato();\" data-toggle=\"modal\" data-target=\"#myModal2\">Ver planificación del evento</button>
														</div>
														<div class=\"modal fade\" id=\"myModal2\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\" style=\"text-align:left;\">
														  <div class=\"modal-dialog\">
															<div class=\"modal-content\">
															  <div class=\"modal-header\" id=\"cabecera\">
															  </div>
															  <div class=\"modal-body\" id=\"cuerpoModal\">
															  </div>
															  <div class=\"modal-footer\">
																<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cerrar</button>
															  </div>
															</div>
														  </div>
														</div>
													</div>
												  </div>
											  </div>
											</form>
										</div>
										
										<div class=\"progress\" id=\"barra_progreso_champ\">
										  <div class=\"progress-bar progress-bar-danger\" role=\"progressbar\" aria-valuenow=\"0\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width: 100%;\" >
											<span class=\"sr-only\">0% Completado.</span>
										  </div>
										</div>
										<ul class=\"pagination\" id=\"paginacion2\">
										  <li class=\"active\"><a href=\"#\">1</a></li>
										  <li><a href=\"#\">2</a></li>
										  <li><a href=\"#\">3</a></li>
										  <li><a href=\"#\">4</a></li>
										</ul>
									</div>";
												
										echo "		  
											  </div>
											</form>
										</div>
										<script>
										$('#select_numeroJueces').change(function(){
											$('#tablaJuecestbody').empty();
											var cuerpo='';
											";
											$numJueces=1;
											foreach ($resulJueces as &$resultado) {
												echo "cuerpo=cuerpo + '<tr id=\"inputJuez".$numJueces."\" class=\"danger\"><td>".$resultado["username"]." ".$resultado["apellidos"]."</td>';";
												echo "cuerpo=cuerpo + '<td>".$resultado["correo"]."</td><td>Juez</td>';";
												echo "cuerpo=cuerpo + '<td><button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"addJuez(\'".$numJueces."\',\'".$resultado["username"]." ".$resultado["apellidos"]."\',\'".$resultado["correo"]."\',\'".$numRegJueces."\');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir juez </button></td>';";
												echo "cuerpo=cuerpo + '</tr>';";
												$numJueces++;
											}
											echo "
											$('#juecesBorrar').empty().append(cuerpo);
										});
										//Datepicker para seleccionar la fecha
										$(function() {
										  $( \"#inputFecha\" ).datepicker({
											  //Descomentar si se quiere poner botón
											  //showOn: \"button\",
											  //buttonImage: \"images/calendar.gif\",
											  //buttonImageOnly: true,
											  //Traducción al español y otras cosas
											  dayNamesMin: [\"Do\", \"Lu\", \"Ma\", \"Mi\", \"Ju\", \"Vi\", \"Sa\"],
											  dayNamesShort: [\"Dom\", \"Lun\", \"Mar\", \"Mie\", \"Jue\", \"Vie\", \"Sab\"],
											  dateFormat: \"yy-mm-dd\",
											  firstDay: 1,
											  monthNames: 
												[\"Enero\", \"Febrero\", \"Marzo\", \"Abril\", \"Mayo\", \"Junio\", \"Julio\",
												\"Agosto\", \"Septiembre\", \"Octubre\", \"Noviembre\", \"Diciembre\"],
											  monthNamesShort: 
												[\"Ene\", \"Feb\", \"Mar\", \"Abr\", \"May\", \"Jun\",
												\"Jul\", \"Ago\", \"Sep\", \"Oct\", \"Nov\", \"Dic\"]
										  });
										  $( \"#inputFecha2\" ).datepicker({
											  //Traducción al español y otras cosas
											  dayNamesMin: [\"Do\", \"Lu\", \"Ma\", \"Mi\", \"Ju\", \"Vi\", \"Sa\"],
											  dayNamesShort: [\"Dom\", \"Lun\", \"Mar\", \"Mie\", \"Jue\", \"Vie\", \"Sab\"],
											  dateFormat: \"yy-mm-dd\",
											  firstDay: 1,
											  monthNames: 
												[\"Enero\", \"Febrero\", \"Marzo\", \"Abril\", \"Mayo\", \"Junio\", \"Julio\",
												\"Agosto\", \"Septiembre\", \"Octubre\", \"Noviembre\", \"Diciembre\"],
											  monthNamesShort: 
												[\"Ene\", \"Feb\", \"Mar\", \"Abr\", \"May\", \"Jun\",
												\"Jul\", \"Ago\", \"Sep\", \"Oct\", \"Nov\", \"Dic\"]
										  });
										});
										function select_campeonatos(){
											//Construimos el array en javascript
											var vectorNumJueces=new Array();
											var select='#select_champion';
											var string='';
											";
											$numJueces=1;
											foreach ($num_jueces as &$num_juez) {
												echo "var temp".$numJueces."= new Array();";
												//Nombre del campeonato
												$var_id_tipoChamp=$num_juez['id_tipoChamp'];
												$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$id_plantilla' AND id_tipoChamp='$var_id_tipoChamp'");
												$sql->ejecutarSQL();
												$result=$sql->getUnRegistro();
												$nombre_champ=$result['nombre'];
												echo "temp".$numJueces."[0]='".$nombre_champ."';";
												//Número mínimo de jueces
												echo "temp".$numJueces."[1]='".$num_juez['minimo']."';";
												//Número máximo de jueces
												echo "temp".$numJueces."[2]='".$num_juez['maximo']."';";
												echo "vectorNumJueces[".$numJueces."]=temp".$numJueces.";";
												$numJueces++;
											}
											echo "
											//Ahora añadimos los elementos option que nos interesan
											var seleccion=select + ' option:selected';
											var idEvento=$(seleccion).attr(\"id\");
											string=string + '<option value=\"-1\">Selecciona una opción</option>';
											for (i=vectorNumJueces[idEvento][1];i<=vectorNumJueces[idEvento][2];i++){
												string=string + '<option value=\"' + i + '\">' + i + '</option>';
											}
											$('#select_numeroJueces').empty().append(string);
											string='<input type=\"hidden\" value=\"' + vectorNumJueces[idEvento][0] + '\" name=\"num_juez_campeonato\" id=\"num_juez_campeonato\"/>';
											$('#pepito').empty().append(string);
										}
										$('#champ-form').submit(function(event) {
										  //Evita que se ejecute el botón de submit
										  event.preventDefault();
										  actualizarBarraChamp('#barra_progreso_champ');
										  //Serializamos el formulario
										  arr= $(this).serializeArray();
										  data = JSON.stringify(arr);
										  //Recoge ciertos valores del formulario
										  var form = $( this ),
											  //Primer término será el identificador de la plantilla
											  term1 = form.find( 'input[name=\"id_pl\"]' ).val(),
											  //Segundo término será el nombre del evento
											  term2 = form.find( 'input[name=\"nombre_champ\"]' ).val(),
											  //Tercero será la fecha cuando se celebra
											  term3 = form.find( 'input[name=\"fecha\"]' ).val(),
											   //Décimo será la fecha del último día
											  term11 = form.find( 'input[name=\"fecha2\"]' ).val(),
											  //Cuarto será el creador
											  term4 = form.find( 'input[name=\"creador_organizacion\"]' ).val(),
											  //Quinto será el lugar donde se celebra
											  term5 = form.find( 'input[name=\"lugar\"]' ).val(),
											  term9 = form.find( 'input[name=\"visible\"]' ).val(),
											  term10 = form.find( 'input[name=\"id_champ\"]' ).val(),
											  url = form.attr( 'action' );";
										  if ($_GET['op']=="mod") echo "var term6='mod';";
										  echo "
										  //Séptimo será el tipo de evento
										  term7 = $( '#select_champion option:selected' ).val();
										  //Octavo será el número de jueces
										  term8 = $( '#select_numeroJueces option:selected' ).val();
										   var error,fechaInicio,fechaFin;
										   error=0;
										   fechaInicio = term3.split('-');
										   fechaFin = term11.split('-');
										   if (fechaFin[2]<fechaInicio[2]) error=3;
										   if (fechaInicio[1]!=fechaFin[1]) error=2;
										   if (fechaInicio[0]!=fechaFin[0]) error=1;
										   if (error==0){
											  //Envía los datos mediante jquery y json
											  var posting = $.post( url, { id: term1, nombre: term2, fecha: term3, fecha2: term11, creador: term4, lugar: term5, tipo_evento: term7, NumJueces: term8, visible:term9, id_champ:term10, datos: data";
											  if ($_GET['op']=="mod") echo ", state : term6";
											  echo " } );
											  //Devuelve los resultados en data.
											  posting.done(function( data ) {
													if (data == -1) alert('El nombre de la plantilla ya está siendo usado.');
													if (data == -2) alert('Debe añadir un tipo de prueba, como mínimo.');
													if (data == -3) alert('Debe añadir un tipo de categoría, como mínimo.');
													if (data == -4) alert('Debe añadir una modalidad, como mínimo.');
													if (data == 0){
														alert('Datos guardados correctamente.');
														actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?mod');
													}
											  });
										  }
										   else{
											if (error==1) alert('Debes seleccionar el mismo año tanto en el Primer día del Evento como en el Último.');
											else{
												if (error==2) alert('Debes seleccionar el mismo mes tanto en el Primer día del Evento como en el Último.');
												else
													if (error==3) alert('El día de finalización del evento tiene que ser después del inicio del evento.');
											}
										  }
										});
										</script>";
									}
									else echo $geschampModPl;
								}
								else echo $gesplantModPl;
							}
						}
					}
					//Tercer caso: Eliminar plantilla
					if (isset($_GET['sup'])){
						if ($_GET['sup']==""){
							echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><script type=\"text/javascript\" src=\"modulos/campeonatos/gestion/funcioneschamps.js\"></script><small>Eliminar un campeonato</small></h2><br><p>Seleccione el campeonato:</p>";
							$sql->query("SELECT * FROM campeonato WHERE creadorChamp='$creator'");
							$sql->ejecutarSQL();
							$numRegPl=$sql->getNumRegistros();
							$plantilla=$sql->getTodosRegistro();
							if ($numRegPl > 0){
								echo "<div class=\"well\">
										<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
											<thead>
												<tr>
													<th>Nombre campeonato</th>
													<th>Plantilla utilizada</th>
													<th>Organización</th>
													<th>Fecha creación</th>
													<th>Última modificación</th>
												</tr>
											</thead>
											<tbody>";
								foreach ($plantilla as &$valor) {
										$id_plantilla=$valor['identificadorPlantilla'];
										$sql->query("SELECT * FROM plantilla WHERE id_plantilla='$id_plantilla'");
										$sql->ejecutarSQL();
										$respl=$sql->getUnRegistro();
										$tiempo=strtotime($valor['creacion']);
										$tiempo2=strtotime($valor['ult_modificacion']);
										echo "<tr style=\"cursor: pointer;\"><td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','sup');\">".$valor['nombreChamp']."</td>
											<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','sup');\">".$respl['nombre_pl']."</td>
											<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','sup');\">".$organizacion."</td>
											<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','sup');\">".date('d-m-Y H:i:s',$tiempo)."</td>
											<td onClick=\"seleccionar_campeonato('".$valor['nombreChamp']."','".$valor['id_campeonato']."','".$id_plantilla."','sup');\">".date('d-m-Y H:i:s',$tiempo2)."</td>
											</tr>";
								}
										echo "</tbody>
										</table>
									</div>";
							}
							//Si no ha creado ninguna, se le mostrará por pantalla
							else echo $geschampModOff;
						}
						else{
							$idABorrar=$_GET['sup'];
							$sql->ejecutarSQL("DELETE FROM campeonato WHERE id_campeonato='$idABorrar'");
							echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Campeonato eliminado.</div>";
						}
					}
				}
				//En el caso de que la solicitud de este usuario haya sido denegada...
				else{
					echo $ingreso;
				}
			}
			else echo $organizacionRechazada;
		}
	}
	else{
		echo $responsable;
	}
}
else{
	echo $noRegistrado;
}
?>
