<?php
/*

			Módulo de gestión de campeonatos
Comprobación de los datos del formulario para la gestión de campeonatos.
Inserta en la bbdd de campeonato y asignaciones los campos correspondientes.
Modifica la bbdd de campeonato y asignaciones cuando lo solicita el usuario.
		
*/
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
if ((isset($_POST['id']))&&(isset($_POST['nombre']))&&(isset($_POST['fecha']))&&(isset($_POST['fecha2']))&&(isset($_POST['visible']))&&(isset($_POST['creador']))&&(isset($_POST['lugar']))&&(isset($_POST['datos']))&&(isset($_POST['tipo_evento']))&&(isset($_POST['NumJueces']))){
	$id=$_POST['id'];
	$nombre_champ=$_POST['nombre'];
	$fecha=$_POST['fecha'];
	$fecha2=$_POST['fecha2'];
	$lugar=$_POST['lugar'];
	$creador=$_POST['creador'];
	$tipoEvento=$_POST['tipo_evento'];
	$NumJueces=$_POST['NumJueces'];
	$visible=$_POST['visible'];
	$error=0;
	//Recibimos en la variable $data los valores del array serializado con los campos del formulario dinámicos (tipos de campeonatos, categorías, etc)
	$data = json_decode(stripslashes($_POST['datos']),true);
	foreach ($data as $valor=>$datos) {
		$campoValue="Default";
		foreach ($datos as $campo=>$value) {
			//Para el array de categorías
			//Si en el campo "name" del array tenemos que es un tipo de categoría
			if (($campo=="name")&&(($value=="nombre_categoria")||($value=="categoria_desde")||($value=="categoria_edad1")||($value=="categoria_hasta"))) $campoValue="categoria";
			if (($campo=="value")&&($campoValue=="categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($categoria_temp)) $categoria_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($categoria_temp,$value);
			}
			//Si nos encontramos con el último valor de la categoría (categoria_hasta), entonces tenemos que cerrar el array y añadirlo al general
			if (($campo=="name")&&($value=="categoria_edad2")) $campoValue="categoria_fin";
			if (($campo=="value")&&($campoValue=="categoria_fin")){
				//Terminamos el array y lo sumamos al general, es decir, el que contiene las categorías
				array_push($categoria_temp,$value);
				if (!isset($categoria)) $categoria= array($categoria_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($categoria,$categoria_temp);
				//Vaciamos el array temporal
				unset($categoria_temp);
			}
			//Para el array de modalidades
			//Si en el campo "name" del array tenemos que es mod
			if (($campo=="name")&&($value=="nombre_modalidad")) $campoValue="mod";
			if (($campo=="value")&&($campoValue=="mod")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($mod_temp)) $mod_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($mod_temp,$value);
			}
			//Si nos encontramos con el último valor de la modalidad (mod_radio), entonces tenemos que cerrar el array y añadirlo al general
			if (($campo=="name")&&($value=="tipo_modalidad")) $campoValue="mod_fin";
			if (($campo=="value")&&($campoValue=="mod_fin")){
				//Terminamos el array y lo sumamos al general, es decir, el que contiene las categorías
				array_push($mod_temp,$value);
				if (!isset($mod)) $mod= array($mod_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($mod,$mod_temp);
				//Vaciamos el array temporal
				unset($mod_temp);
			}
			//Para el array de pruebas
			//Si en el campo "name" encontramos "modalidad_prueba", comenzamos a guardar en el vector prueba_temp
			if (($campo=="name")&&($value=="modalidad_prueba")) $campoValue="modalidad_prueba";
			if (($campo=="value")&&($campoValue=="modalidad_prueba")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
				if (!isset($prueba_temp)) $prueba_temp= array($value);
			}
			//Segundo control que va añadiendo elementos al vector de pruebas y lo finaliza
			if (($campo=="name")&&($value=="prueba")) $campoValue="prueba";
			if (($campo=="value")&&($campoValue=="prueba")){
				array_push($prueba_temp,$value);
				if (!isset($prueba)) $prueba= array($prueba_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($prueba,$prueba_temp);
				//Vaciamos el array temporal
				unset($prueba_temp);
			}
			//Para el array de gestores de papeles
			//Si en el campo "name" encontramos "gestor", guardamos el correo del gestor de papeles en el vector gestor1
			if (($campo=="name")&&($value=="gestor")) $campoValue="gestor";
			if (($campo=="value")&&($campoValue=="gestor")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
				if (!isset($gestor1)) $gestor1= array($value);
				else array_push($gestor1,$value);
			}
			//Para el array de gestores de clasificaciones
			//Si en el campo "name" encontramos "clasificador", guardamos el correo del gestor de clasificaciones en el vector gestor2
			if (($campo=="name")&&($value=="clasificador")) $campoValue="clasificador";
			if (($campo=="value")&&($campoValue=="clasificador")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
				if (!isset($gestor2)) $gestor2= array($value);
				else array_push($gestor2,$value);
			}
			//Para el array de jueces
			//Si en el campo "name" encontramos "juez", guardamos el correo del juez en el vector juez
			if (($campo=="name")&&($value=="juez")) $campoValue="juez";
			if (($campo=="value")&&($campoValue=="juez")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
				if (!isset($juez)) $juez= array($value);
				else array_push($juez,$value);
			}
		}
	}
	//Comprobación para que no existan dos campeonatos con el mismo nombre.
	$sql= new cMySQL(); 
	$sql->conectar();
	$sql->query("SELECT * FROM campeonato WHERE nombreChamp='$nombre_champ'");
	$sql->ejecutarSQL();
	$resultadoPl=$sql->getUnRegistro();
	if (!(isset($_POST['state']))){ 
		if ($resultadoPl['nombreChamp'] !='') $error=-1;
	}
	else{
		if (isset($_POST['id_champ']))
			$id_champ=$_POST['id_champ'];
		else $id_champ=$resultadoPl['id_campeonato'];
	}
	if ($prueba==NULL) $error=-2;
	if ($categoria==NULL) $error=-3;
	if ($mod==NULL) $error=-4;
	if ($error==0){
		//Modificar
		if ((isset($_POST['state'])&&($_POST['state']=="mod"))){
			//Actualización de las tablas de categorías, modalidades y pruebas
			
			//Categorías
			//Primero borro aquellas que se encuentren en la base de datos pero no en la nueva lista
			$sql->query("SELECT * FROM categorias_campeonato WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$numCatGeneral=$sql->getNumRegistros();
			if ($numCatGeneral){
				$cats2=$sql->getTodosRegistro();
				foreach ($cats2 as &$cat){
					$borrar=true;
					$var_id_categoria=$cat['id_cat'];
					$id_bbdd=$cat['id_catChamp'];
					$sql->query("SELECT nombre FROM categorias WHERE id_cat='$var_id_categoria' AND id_pl='$id'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_categoria=$resultado['nombre'];
					foreach ($categoria as &$cat){
						$var_nombre_cat_temp=$cat[0];
						if ($var_nombre_cat_temp==$var_nombre_categoria) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM categorias_campeonato WHERE id_catChamp='$id_bbdd'");
				}
			}
			foreach ($categoria as &$cat){
				$var_nombre_cat=$cat[0];
				$sql->query("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_categoria=$resultado['id_cat'];
				$sql->query("SELECT id_cat FROM categorias_campeonato WHERE id_cat='$var_id_categoria' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Inserto si no estaba esta categoría
				if ($res['id_cat']=="")
					$sql->ejecutarSQL("INSERT INTO `categorias_campeonato`(`id_catChamp`, `id_champ`, `id_cat`) VALUES ('', '$id_champ', '$var_id_categoria')") or DIE(mysql_error());
			}
			
			//Modalidades
			//Primero borro aquellas que se encuentren en la base de datos pero no en la nueva lista
			$sql->query("SELECT * FROM modalidades_campeonato WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$numModGeneral=$sql->getNumRegistros();
			if ($numModGeneral){
				$mods2=$sql->getTodosRegistro();
				foreach ($mods2 as &$modus){
					$borrar=true;
					$var_id_mod=$modus['id_mod'];
					$id_bbdd=$modus['id_mod_champ'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_mod=$resultado['nombre'];
					foreach ($mod as &$modals){
						$var_nombre_mod_temp=$modals[0];
						if ($var_nombre_mod_temp==$var_nombre_mod) $borrar=false;
					}
					if ($borrar) 
						$sql->ejecutarSQL("DELETE FROM modalidades_campeonato WHERE id_mod_champ='$id_bbdd'");
				}
			}
			foreach ($mod as &$modalidad){
				$var_nombre_mod=$modalidad[0];
				$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_mod=$resultado['id_mod'];
				$sql->query("SELECT id_mod FROM modalidades_campeonato WHERE id_mod='$var_id_mod' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Inserto si no estaba esta categoría
				if ($res['id_mod']=="")
					$sql->ejecutarSQL("INSERT INTO `modalidades_campeonato`(`id_mod_champ`, `id_champ`, `id_mod`) VALUES ('', '$id_champ', '$var_id_mod')") or DIE(mysql_error());
			}
			
			//Pruebas
			//Primero borro aquellas que se encuentren en la base de datos pero no en la nueva lista
			$sql->query("SELECT * FROM pruebas_campeonato WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$numProofGeneral=$sql->getNumRegistros();
			if ($numProofGeneral){
				$proofs2=$sql->getTodosRegistro();
				foreach ($proofs2 as &$proubas){
					$borrar=true;
					$var_id_proof=$proubas['id_prueba'];
					$id_bbdd=$proubas['id_prueba_champ'];
					$sql->query("SELECT id_mod,nombre FROM pruebas WHERE id_prueba='$var_id_proof' AND id_pl='$id'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_proof=$resultado['nombre'];
					$var_id_mod=$resultado['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_mod=$resultado['nombre'];
					foreach ($prueba as &$proof){
						$var_nombre_mod_temp=$proof[0];
						$var_nombre_proof_temp=$proof[1];
						if (($var_nombre_mod_temp==$var_nombre_mod)&&($var_nombre_proof_temp==$var_nombre_proof)) $borrar=false;
					}
					if ($borrar) 
						$sql->ejecutarSQL("DELETE FROM pruebas_campeonato WHERE id_prueba_champ='$id_bbdd'");
				}
			}
			//Pruebas
			foreach ($prueba as &$proof){
				$var_nombre_mod=$proof[0];
				$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_mod=$resultado['id_mod'];
				$var_nombre_proof=$proof[1];
				$sql->query("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_proof' AND id_pl='$id' AND id_mod='$var_id_mod'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_proof=$resultado['id_prueba'];
				$sql->query("SELECT id_prueba FROM pruebas_campeonato WHERE id_prueba='$var_id_proof' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Inserto si no estaba esta categoría
				if ($res['id_prueba']=="")
					$sql->ejecutarSQL("INSERT INTO `pruebas_campeonato`(`id_prueba_champ`, `id_champ`, `id_prueba`) VALUES ('', '$id_champ', '$var_id_proof')") or DIE(mysql_error());
			}
			
			$sql->query("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$tipoEvento' AND id_pl='$id'");
			$sql->ejecutarSQL();
			$resultadoTipoChamp=$sql->getUnRegistro();
			$id_tipoChamp=$resultadoTipoChamp['id_tipoChamp'];
			//Actualizamos la tabla campeonato en la base de datos
			$resu=$sql->ejecutarSQL("UPDATE campeonato SET nombreChamp='$nombre_champ', creadorChamp='$creador', tipo_evento='$id_tipoChamp', fecha='$fecha', fecha_fin='$fecha2', lugar='$lugar', visible='$visible', num_jueces='$NumJueces', ult_modificacion=now() WHERE id_campeonato='$id_champ'") or DIE(mysql_error());
			//Actualizamos los gestores y jueces involucrados en el evento
			$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ'");
			$sql->ejecutarSQL();
			$numRegistros=$sql->getNumRegistros();
			$borrarRegistro=$sql->getTodosRegistro();
			//Primero borramos aquellos gestores y/o jueces que no estén ya involucrados en el evento, es decir, los que no estén en los vectores de los gestores y los jueces, pero sí en la base de datos.
			$borrar=1;
			if ($numRegistros>0){
				foreach ($borrarRegistro as $fila) {
					$correoABorrar=$fila['correoGestor'];
					if ((isset($gestor1))&&($gestor1!='')){
						foreach ($gestor1 as $valor) if ($valor==$correoABorrar) $borrar=0;
					}
					if ((isset($gestor2))&&($gestor2!='')){
						foreach ($gestor2 as $valor) if ($valor==$correoABorrar) $borrar=0;
					}
					if ((isset($juez))&&($juez!='')){
						foreach ($juez as $valor) if ($valor==$correoABorrar) $borrar=0;
					}
					if ($borrar==1) $sql->ejecutarSQL("DELETE FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoABorrar'");
					$borrar=1;
				}
			}
			$sql->query("SELECT tipo FROM organizacion WHERE creador='$creador'");
			$sql->ejecutarSQL();
			$resultadoTipo=$sql->getUnRegistro();
			$rol=$resultadoTipo['tipo'];
			if ($rol=="club") $tipo="todo";
			if ($rol=="federacion") $tipo="resto";
			//Ahora actualizamos los gestores/jueces que se hayan añadido en la última modificación. Lo que ya estén en la base de datos, no se tocan
			//Inserta las asignaciones en la tabla del mismo nombre según los gestores de papeles
			if ((isset($gestor1))&&($gestor1!='')){
				foreach ($gestor1 as $valor) {
					$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$valor' AND identificadorCampeonato='$id_champ'");
					$sql->ejecutarSQL();
					$numRegistro=$sql->getNumRegistros();
					if ($numRegistro==0)
						$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_champ', '$tipo','gestor1','$creador', '$valor', '1')") or DIE("No se puede crear.");
				}
			}
			//Inserta las asignaciones en la tabla del mismo nombre según los gestores de clasificaciones
			if ((isset($gestor2))&&($gestor2!='')){
				foreach ($gestor2 as $valor) {
					$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$valor' AND identificadorCampeonato='$id_champ'");
					$sql->ejecutarSQL();
					$numRegistro=$sql->getNumRegistros();
					if ($numRegistro==0)
						$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_champ', '$tipo' , 'gestor2','$creador','$valor', '1')") or DIE("No se puede crear.");
				}
			}
			//Inserta las asignaciones en la tabla del mismo nombre según los jueces
			if ((isset($juez))&&($juez!='')){
				foreach ($juez as $valor) {
					$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$valor' AND identificadorCampeonato='$id_champ'");
					$sql->ejecutarSQL();
					$numRegistro=$sql->getNumRegistros();
					if ($numRegistro==0)
						$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_champ', '$tipo', 'juez','$creador', '$valor', '0')") or DIE("No se puede crear.");
				}
			}
		}
		//Insertar
		else{
			$sql->query("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$tipoEvento' AND id_pl='$id'");
			$sql->ejecutarSQL();
			$resultadoTipoChamp=$sql->getUnRegistro();
			$id_tipoChamp=$resultadoTipoChamp['id_tipoChamp'];
			//Inserta en la tabla de campeonato el evento.
			$sql->ejecutarSQL("INSERT INTO `campeonato`(`id_campeonato`, `identificadorPlantilla`, `nombreChamp`, `creadorChamp`, `tipo_evento`, `fecha`, `fecha_fin`, `lugar`, `visible`, `num_jueces`, `creacion`, `ult_modificacion`) VALUES ('', '$id', '$nombre_champ', '$creador', '$id_tipoChamp', '$fecha', '$fecha2', '$lugar', '$visible', '$NumJueces', now(), now())") or DIE(mysql_error());
			$sql->query("SELECT id_campeonato FROM campeonato WHERE nombreChamp='$nombre_champ'");
			$sql->ejecutarSQL();
			$resultadoPl=$sql->getUnRegistro();
			$id_campeonato=$resultadoPl['id_campeonato'];
			//Categorías
			foreach ($categoria as &$cat){
				$var_nombre_cat=$cat[0];
				$sql->query("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_categoria=$resultado['id_cat'];
				//Una vez tenemos el identificador de la tabla categorias referente a la plantilla, insertamos
				$sql->ejecutarSQL("INSERT INTO `categorias_campeonato`(`id_catChamp`, `id_champ`, `id_cat`) VALUES ('', '$id_campeonato', '$var_id_categoria')") or DIE(mysql_error());
			}
			
			//Modalidades
			foreach ($mod as &$modalidad){
				$var_nombre_mod=$modalidad[0];
				$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_mod=$resultado['id_mod'];
				//Una vez tenemos el identificador de la tabla modalidades referente a la plantilla, insertamos
				$sql->ejecutarSQL("INSERT INTO `modalidades_campeonato`(`id_mod_champ`, `id_champ`, `id_mod`) VALUES ('', '$id_campeonato', '$var_id_mod')") or DIE(mysql_error());
			}
			
			//Pruebas
			foreach ($prueba as &$proof){
				$var_nombre_mod=$proof[0];
				$sql->query("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_mod=$resultado['id_mod'];
				$var_nombre_proof=$proof[1];
				$sql->query("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_proof' AND id_pl='$id' AND id_mod='$var_id_mod'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_id_proof=$resultado['id_prueba'];
				//Una vez tenemos el identificador de la tabla pruebas referente a la plantilla, insertamos
				$sql->ejecutarSQL("INSERT INTO `pruebas_campeonato`(`id_prueba_champ`, `id_champ`, `id_prueba`) VALUES ('', '$id_campeonato', '$var_id_proof')") or DIE(mysql_error());
			}
			//Selecciono qué tipo de papeles va a realizar el gestor. Todo = todos los papeles. Resto = todos los papeles, excepto las inscripciones. Inscripciones = solo realiza la inscripciones al campeonato.
			//Los clubes pueden inscribir a sus propios alumnos en sus eventos. Las federaciones no lo hacen, solo hacen el resto de papeles. Por eso existe esta diferencia.
			$sql->query("SELECT tipo FROM organizacion WHERE creador='$creador'");
			$sql->ejecutarSQL();
			$resultadoTipo=$sql->getUnRegistro();
			$rol=$resultadoTipo['tipo'];
			if ($rol=="club") $tipo="todo";
			if ($rol=="federacion") $tipo="resto";
			//Inserta las asignaciones en la tabla del mismo nombre según los gestores de papeles
			if ((isset($gestor1))&&($gestor1!='')){
				foreach ($gestor1 as $valor) {
					$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_campeonato', '$tipo','gestor1','$creador', '$valor', '1')") or DIE("No se puede crear.");
				}
			}
			//Inserta las asignaciones en la tabla del mismo nombre según los gestores de clasificaciones
			if ((isset($gestor2))&&($gestor2!='')){
				foreach ($gestor2 as $valor) {
					$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_campeonato', '$tipo' , 'gestor2','$creador','$valor', '1')") or DIE("No se puede crear.");
				}
			}
			//Inserta las asignaciones en la tabla del mismo nombre según los jueces
			if ((isset($juez))&&($juez!='')){
				foreach ($juez as $valor) {
					$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_campeonato', '$tipo', 'juez','$creador', '$valor', '0')") or DIE("No se puede crear.");
				}
			}
		}
	}
	echo $error;
}
else echo 2;

?>