<?php
/*

			Módulo de gestión de clasificaciones
					Guardar clasificaciones
		
*/
session_start();
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp(); 
//Función que comprueba si se está registrado y se es un gestor de clasificaciones.
$resultado=$sCphp->controlRegistro('clasificador',1);
if ($resultado==1){
	//Guardar dítpicos
	if ((isset($_POST['id']))&&(isset($_POST['datos']))){
		$id_champ=$_POST['id'];
		$data = json_decode(stripslashes($_POST['datos']),true);
		//Tendremos el array clasificaciones con las clasificaciones que recibimos del formulario.
		$clasificaciones=array();
		foreach ($data as $valor=>$datos) {
			$campoValue="Default";
			foreach ($datos as $campo=>$value) {
				//clasificaciones
				//Si en el campo "name" encontramos "id_ins", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="id_ins")) $campoValue="nuevoTipo";
				if (($campo=="value")&&($campoValue=="nuevoTipo")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor.
					if (!isset($temp_array)) $temp_array= array($value);
				}
				//Si en el campo "name" encontramos "id_clas", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="id_clas")) $campoValue="begin_calc";
				if (($campo=="value")&&($campoValue=="begin_calc")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor.
					if (!isset($temp_calc_array)) $temp_calc_array= array($value);
				}
				if (($campo=="name")&&(($value=="id_calc")||($value=="posicion"))) $campoValue="posicion";
				if (($campo=="value")&&($campoValue=="posicion")){
					//Añadimos mas elementos al vector
					if (isset($temp_calc_array)) array_push($temp_calc_array,$value);
				}
				//Cerramos el vector temp_calc
				if (($campo=="name")&&($value=="puntuacion")) $campoValue="puntuacion";
				if (($campo=="value")&&($campoValue=="puntuacion")){
					//Añadimos mas elementos al vector
					if ((isset($temp_calc_array))&&($value!="")) array_push($temp_calc_array,$value);
					if ((isset($temp_array))&&(count($temp_calc_array)>3)){
						array_push($temp_array,$temp_calc_array);
					}
					unset($temp_calc_array);
				}
				//Si en el campo "name" encontramos "victoria", lo añadimos al vector temporal
				if (($campo=="name")&&($value=="victoria")) $campoValue="victoria";
				if (($campo=="value")&&($campoValue=="victoria")){
					if ((isset($temp_array))&&($value!="")) array_push($temp_array,$value);
				}
				//Si en el campo "name" encontramos "plaza", lo añadimos al vector temporal y lo cerramos.
				if (($campo=="name")&&($value=="plaza")) $campoValue="plaza";
				if (($campo=="value")&&($campoValue=="plaza")){
					if ((isset($temp_array))&&($value!="")) array_push($temp_array,$value);
					if ((isset($temp_array))&&(count($temp_array)>1)){
						$clasificaciones[]=$temp_array;
					}
					unset($temp_array);
				}
			}
		}
		$error=0;
		if ($clasificaciones=='') $error=1;
		if ($error==0){
			//Primero borramos aquellos elementos que estén en la base de datos, pero no estén en la nueva tabla.
			$sql->ejecutarSQL("SELECT * FROM clasificaciones LEFT JOIN inscripcion ON (inscripcion.id_ins=clasificaciones.id_ins) WHERE id_champ='$id_champ'");
			$numRegClas=$sql->getNumRegistros();
			if ($numRegClas>0){
				$resulClas=$sql->getTodosRegistro();
				//Necesito borrar aquellos registros que ya no estén en la tabla.
				foreach ($resulClas as $clasBD){
					$id_clasBorrar=$clasBD['id_clas'];
					$encontrado=false;
					//Lo busco en el programa que me pasan nuevo.
					foreach ($clasificaciones as $resultado){
						for ($i=0;$i<count($resultado);){
							//Tenemos calificación
							if (is_array($resultado[$i])){
								//[$i][0] --> id_clas
								$id_clasClas=$resultado[$i][0];
								if ($id_clasClas==$id_clasBorrar) $encontrado=true;
							}
							$i=$i+1;
						}
					}
					if (!$encontrado)
						$sql->ejecutarSQL("DELETE FROM clasificaciones WHERE id_clas='$id_clasBorrar'");
				}
			}
			foreach ($clasificaciones as $resultado){
				for ($i=0;$i<count($resultado);){
					//Tenemos calificación
					if (is_array($resultado[$i])){
						//[$i][0] --> id_clas
						$id_clas=$resultado[$i][0];
						//Identificador del tipo de puntuación
						$id_calc=$resultado[$i][1];
						//Posición del juez
						$pos=$resultado[$i][2];
						//Calificación
						$calificacion=$resultado[$i][3];
						$sql->ejecutarSQL("SELECT * FROM clasificaciones WHERE id_clas='$id_clas'");
						$actualizar=0;
						$actualizar=$sql->getNumRegistros();
						if ($actualizar > 0)
							$sql->ejecutarSQL("UPDATE clasificaciones SET calificacion='$calificacion' WHERE id_clas='$id_clas'");
						else
							$sql->ejecutarSQL("INSERT INTO `clasificaciones`(`id_clas`, `id_ins`, `id_calc`, `posicion`, `calificacion`) VALUES ('', '$id_ins', '$id_calc', '$pos', '$calificacion');");
					}
					else{
						//$i==0 --> id_ins
						if ($i==0){
							$id_ins=$resultado[$i];
						}
						//$i será el número de victorias, $i+1 será la plaza
						if ($i>0){
							$victoria=$resultado[$i];
							$plaza=$resultado[$i+1];
							$sql->ejecutarSQL("UPDATE inscripcion SET victorias='$victoria', plaza='$plaza' WHERE id_ins='$id_ins'") or DIE(mysql_error());
							$i=$i+1;
						}
					}
					$i=$i+1;
				}
			}
		}
		echo $error;
	}
}
else echo $resultado;
?>