<?php
/*
-----------------------------------------------------------------------------------------------------------
							VER CLASIFICACIONES
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Ver las clasificaciones de un campeonato concreto.
										CONDICIONES
			1) Este documento es público.
			
*/
session_start();
include_once('../../bbdd/general.php');
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp(); 
if ((isset($_GET['crear']))&&($_GET['crear']=='')){
	$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.visible='1' ORDER BY fecha DESC") or DIE("No");
	$numRegistrosJOIN=$sql->getNumRegistros();
	if ($numRegistrosJOIN > 0){
		$registroJOIN=$sql->getTodosRegistro();
		echo "<h2 style='text-align:center;'>Clasificaciones ";
		echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script></h2><br><p>Seleccione el evento que desea visualizar:</p>";
		echo "<div class=\"well\">
		<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
			<thead>
				<tr>
					<th>Nombre campeonato</th>
					<th>Tipo</th>
					<th>Organido por</th>
					<th>Fecha celebración</th>
					<th>País</th>
					<th>Región</th>
				</tr>
			</thead>
			<tbody>";
		foreach ($registroJOIN as &$resultado){
			$pieces1 = explode("-", $resultado['fecha']);
			$pieces2 = explode("-", $resultado['fecha_fin']);
			$PrimerDia=$pieces1[2];
			$Mes=$pieces1[1];
			$Year=$pieces2[0];
			$UltimoDia=$pieces2[2];
			$creator=$resultado['creadorChamp'];
			$id_champ=$resultado['id_campeonato'];
			$tiempo=strtotime($resultado['fecha']);
			$id_tipoChamp=$resultado['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
			$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
			$org_name=$sql->getCampoN();
			echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
			<td>".$tipo_evento."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
			<td>".$org_name."</td>";
			if ($PrimerDia==$UltimoDia) echo "<td>".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
			else echo "<td>Del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
			echo "<td>".$paises[$resultado['pais']]."</td>
			<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
			<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
			</tr>";	
		}
		echo "</tbody>
			</table>
		</div>";
		echo "<script>
		$('#tablas tr:not(:first)').click(function(){
			var correOrg = $(this).find(\"input[id=correOrg]\").val();
			var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
			var id_champ = $(this).find(\"input[id=id_champ]\").val();
			var id_pl = $(this).find(\"input[id=id_pl]\").val();
			var pl='modulos/clasificaciones/verClasificaciones.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
			var texto='¿Deseas ver las clasificaciones de este evento: ' + nombre_champ + '?';
			if (confirm(texto)) actualizar('#centro', pl);
		});
		</script>";
	}
	else echo $noChamps;
}
//Ya hemos seleccionado el campeonato en el que vamos a trabajar
if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
	$id_champ=$_GET['crear'];
	$id_pl=$_GET['id'];
	echo "<h2 style='text-align:center;'>Clasificaciones ";
	echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script></h2><br>";
	//Se generan automáticamente la lista de inscritos.
	$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1'");
	$sql->ejecutarSQL();
	$numRegistro=$sql->getNumRegistros();
	if ($numRegistro > 0){
		$inscripciones=$sql->getTodosRegistro();
		//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
		$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
		$sql->ejecutarSQL();
		$resulChamp=$sql->getUnRegistro();
		$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
		$sql->ejecutarSQL();
		$mods=$sql->getTodosRegistro();
		$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
		$sql->ejecutarSQL();
		$proofs=$sql->getTodosRegistro();
		//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
		$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
		$sql->ejecutarSQL();
		$cats=$sql->getTodosRegistro();
		$id_tipoChamp=$resulChamp['tipo_evento'];
		$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
		$sql->ejecutarSQL();
		$resulTipoEvento=$sql->getUnRegistro();
		$tipo_evento=$resulTipoEvento['nombre'];
		$numeroJueces=$resulChamp['num_jueces'];
		//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
		$numeracion=1;
		$alumnos=array();
		$insertados_alumnos=array();
		$numeracion=1;
		foreach ($inscripciones as &$alumno){
			$id_user=$alumno['id_user'];
			$id_relacion=$alumno['id_relacion'];
			//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
			$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
			$resultadoAlumno=$sql->getUnRegistro();
			//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
			foreach ($mods as &$modalidad){
				if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
			}
			//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
			if ($tipo=="par"){
				//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
				$insertado=false;
				$i=0;
				//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
				if (array_key_exists($id_user,$insertados_alumnos)){
					if (array_key_exists($id_relacion,$insertados_alumnos)){
						$insertado=true;
						$clave=$i;
					}
				}
				//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
				if (!$insertado){
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					//Busco a su relacionado para insertarlo también
					$clave=0;
					$i=0;
					foreach ($inscripciones as &$alumno_relacion){
						if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
						$i++;
					}
					$id_user2=$inscripciones[$clave]['id_user'];
					$id_ins2=$inscripciones[$clave]['id_ins'];
					//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
					$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
					$resultadoAlumno2=$sql->getUnRegistro();
					$alumno['id_user2']=$id_user2;
					$alumno['licencia2']=$resultadoAlumno2['licencia'];
					//Nombre
					$alumno['nombre2']=$resultadoAlumno2['username'];
					//Apellidos
					$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
					//Año
					$date2 = strtotime($resultadoAlumno2['nacimiento']);
					$alumno['year2']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo2']=$resultadoAlumno2['sexo'];
					$alumnos[]=$alumno;
					$numeracion++;
					$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
					$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
				}
			}
			if ($tipo=="ind"){
				$i=0;
				//Numeración
				$alumno['numeracion']=$numeracion;
				//Licencia
				$alumno['licencia']=$resultadoAlumno['licencia'];
				//Nombre
				$alumno['nombre']=$resultadoAlumno['username'];
				//Apellidos
				$alumno['apellidos']=$resultadoAlumno['apellidos'];
				//Año
				$date = strtotime($resultadoAlumno['nacimiento']);
				$alumno['year']=date("Y", $date);
				//Categoría ya la tengo en alumno
				//Género
				$alumno['sexo']=$resultadoAlumno['sexo'];
				//Tipo lo busco en el vector $mods
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
				}
				//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
				$mod=$alumno['modalidad'];
				$alumno[$mod]=$alumno['prueba'];
				//Club hay que buscar el nombre en la bd
				$id_org=$alumno['id_org'];
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
				$alumno['org']=$sql->getCampoN();
				$alumnos[]=$alumno;
				$numeracion++;
			}
		}
		$contador=0;
		$string0="Categorías: ";
		foreach ($cats as &$cat){
			$string0.=$cat['nombre'];
			if (($contador+1)==count($cats)) $string0.=".";
			else $string0.=", ";
			$contador++;
		}
		$contador=0;
		$string="Modalidades: ";
		foreach ($proofs as &$prueba){
			$var_id_mod=$prueba['id_mod'];
			$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
			$sql->ejecutarSQL();
			$resultado=$sql->getUnRegistro();
			$var_nombre_mod=$resultado['nombre'];
			$string.=$var_nombre_mod." ";
			$string.=$prueba['nombre'];
			if (($contador+1)==count($proofs)) $string.=".";
			else $string.=", ";
			$contador++;
		}
		$fecha_inicio=$resulChamp['fecha'];
		$fecha_fin=$resulChamp['fecha_fin'];
		echo "<div class=\"jumbotron\">
			<h1>".$resulChamp['nombreChamp']."</h1>
			<div class=\"row\">
				<div class=\"col-md-6\">
					<p>Lugar celebración: ".$resulChamp['lugar']."</p>
					<p>Fecha Inicio: ".$fecha_inicio."</p>
					<p>Fecha Fin: ".$fecha_fin."</p>
				</div>
				<div class=\"col-md-6\">
					<p>".$string0."</p>
					<p>".$string."</p>
				</div>
			</div>
		</div>";
		$alumnos_ordenados=array();
		//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
		$position = array();
		$newRow = array();
		$inverse=false;
		foreach ($alumnos as $key => $row) {
				$position[$key]  = $row['plaza'];
				$newRow[$key] = $row;
		}
		if ($inverse) {
			arsort($position);
		}
		else {
			asort($position);
		}
		$alumnos_ordenados = array();
		foreach ($position as $key => $pos) {     
			$alumnos_ordenados[] = $newRow[$key];
		}
		$alumnos=$alumnos_ordenados;
		
		//Necesito una tabla por cada prueba de cada modalidad.
		$numeracionTabla=1;
		foreach ($mods as &$modalidad){
			$mod=$modalidad['id_mod_champ'];
			$tipo=$modalidad['tipo'];
			$nombreMod=$modalidad['nombre'];
			$var_id_mod=$modalidad['id_mod'];
			$existePrueba=false;
			$existeCategoria=false;
			$existeModalidad=false;
			$existe=false;
			//Comprobamos que haya algún alumno con esa modalidad
			foreach ($alumnos as &$alumno){
				if (array_key_exists($mod,$alumno)) $existeModalidad=true;
			}
			if ($existeModalidad){
				$modMayus = strtoupper($nombreMod);
				echo "<div class=\"panel panel-primary\">
						<div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus."</div>
							<table class='table table-bordered table-responsive' id=\"tablaClasificaciones".$numeracionTabla."\">
								<tr>
									<th>CLASIFICACIÓN</th>
									<th>Patinador</th>
									<th>Club</th>
								</tr>";
				foreach ($proofs as &$prueba){
					if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
					else $proof="";
					$nombreProof=$prueba['nombre'];
					$var_id_proof=$prueba['id_prueba'];
					//Comprobamos que haya algún alumno con esa modalidad
					foreach ($alumnos as &$alumno){
						if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
					}
					if ($existePrueba){
						$proofMayus = strtoupper($nombreProof);
						echo"
							<tr>
								<th class=\"info\" style=\"text-align:center;\" COLSPAN=3>PRUEBA ".$proofMayus."</th>
							</tr>
							";
						$numCategoria=1;
						foreach ($cats as &$scatergory){
							$id_cat=$scatergory['id_catChamp'];
							$nombreCat=$scatergory['nombre'];
							foreach ($alumnos as &$alumno){
								if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
							}
							if ($existeCategoria){
								$catMayus = strtoupper($nombreCat);
								$numeracion=1;
								echo "<tr class=\"active\"><th style=\"text-align:center;\" COLSPAN=3>".$catMayus."</th></tr>					
								<tbody>
								";
								foreach ($alumnos as &$alumno){
									if ($tipo=='ind'){
										if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
											echo "<tr><td>".$numeracion."</td>";
											if ($alumno['plaza']!=NULL){
												echo "<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
											}
											else echo "<td></td><td></td>";
											echo "</tr>";
											$numeracion++;
										}
									}
									if ($tipo=='par'){
										if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
											echo "<tr><td ROWSPAN=2>".$numeracion."</td>";
											if ($alumno['plaza']!=NULL){
												echo "
												<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
											}
											else echo "<td></td><td></td>";
											echo "<tr>";
											if ($alumno['plaza']!=NULL){
											echo "
												<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>
												<td>".$alumno['org']."</td>";
											}
											else echo "<td></td><td></td>";
											echo "
											</tr>";
											$numeracion++;
										}
									}
								}
								$numCategoria++;
							}
							$existeCategoria=false;
						}
						$numeracionTabla++;
					}
					$existePrueba=false;
				}
					echo "
					</tbody>
				  </table>
				</div>";
			}
			$existeModalidad=false;
		}
	}
	else echo $noInscripcion;
}
?>
