<?php
/*

			Módulo de gestión de documentos
				Guardar dípticos
		
*/
session_start();
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp(); 
//Función que comprueba si se está registrado y se es un responsable del club., de la federacion, o un gestor.
$resultado=$sCphp->controlRegistro(array('federacion','club','gestor'),4);
if ($resultado==1){
	//Guardar dítpicos
	if ((isset($_POST['id']))&&(isset($_POST['datos']))){
		$id_champ=$_POST['id'];
		$creador=$sCphp->val('creador');
		$data = json_decode(stripslashes($_POST['datos']),true);
		//Tendremos el array inscripciones con las inscripciones ordenadas y el array programa con el programa del campeonato.
		$inscripciones=array();
		$programa=array();
		foreach ($data as $valor=>$datos) {
			$campoValue="Default";
			foreach ($datos as $campo=>$value) {
				//Inscripciones
				//Si en el campo "name" encontramos "tipo", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="tipo")) $campoValue="nuevoTipo";
				if (($campo=="value")&&($campoValue=="nuevoTipo")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor, el tipo de la inscripción (individual, pareja).
					if (!isset($temp_array)) $temp_array= array($value);
				}
				if (($campo=="name")&&(($value=="id_user")||($value=="id_user2")||($value=="mod")||($value=="prueba")||($value=="numeracion"))) $campoValue="medium";
				if (($campo=="value")&&($campoValue=="medium")){
					//Añadimos mas elementos al vector
					array_push($temp_array,$value);
				}
				if (($campo=="name")&&($value=="fin")) $campoValue="last";
				if (($campo=="value")&&($campoValue=="last")){
					//Finalizamos el vector temporal y lo añadimos al general
					if (isset($temp_array)){
						$inscripciones[]=$temp_array;
						unset($temp_array);
					}
				}
				
				//Programa
				//Si en el campo "name" encontramos "dia", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="dia")) $campoValue="nuevoDia";
				if (($campo=="value")&&($campoValue=="nuevoDia")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor, el tipo de la inscripción (individual, pareja).
					if (!isset($temp_array)) $temp_array= array($value);
				}
				//Si encontramos un nuevo minutos1, tenemos una nueva hora a añadir
				if (($campo=="name")&&($value=="minutos1")) $campoValue="nuevoMinutos";
				if (($campo=="value")&&($campoValue=="nuevoMinutos")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor, el tipo de la inscripción (individual, pareja).
					if (!isset($temp_array2)) $temp_array2= array($value);
				}
				if (($campo=="name")&&(($value=="segundos1")||($value=="minutos2")||($value=="segundos2")||($value=="id_programa")||($value=="grupo")||($value=="modprogram")||($value=="pruebaprogram")||($value=="catprogram"))) $campoValue="programa2";
				if (($campo=="value")&&($campoValue=="programa2")){
					//Añadimos mas elementos al vector
					array_push($temp_array2,$value);
				}
				if (($campo=="name")&&($value=="finMinuten")) $campoValue="finMinutos";
				if (($campo=="value")&&($campoValue=="finMinutos")){
					//Finalizamos el vector temporal y lo añadimos al general
					if (isset($temp_array2)){
						$temp_array[]=$temp_array2;
						unset($temp_array2);
					}
				}
				if (($campo=="name")&&($value=="fin2")) $campoValue="last2";
				if (($campo=="value")&&($campoValue=="last2")){
					//Finalizamos el vector temporal y lo añadimos al general
					if (isset($temp_array)){
						$programa[]=$temp_array;
						unset($temp_array);
					}
				}
			}
		}
		//print_r($programa);
		$error=0;
		if ($inscripciones=='') $error=1;
		if ($error==0){
			foreach ($inscripciones as $inscripcion){
				if ($inscripcion[0]=='individual'){
					$id_user=$inscripcion[1];
					$mod=$inscripcion[2];
					$prueba=$inscripcion[3];
					$ord=$inscripcion[4];
					$sql->ejecutarSQL("UPDATE inscripcion SET orden='$ord' WHERE id_user='$id_user' AND modalidad='$mod' AND prueba='$prueba' AND id_champ='$id_champ'");
				}
				if ($inscripcion[0]=='pareja'){
					$mod=$inscripcion[1];
					$prueba=$inscripcion[2];
					$id_user=$inscripcion[3];
					$id_user2=$inscripcion[5];
					$ord=$inscripcion[4];
					$sql->ejecutarSQL("UPDATE inscripcion SET orden='$ord' WHERE id_user='$id_user' AND modalidad='$mod' AND prueba='$prueba' AND id_champ='$id_champ'");
					$sql->ejecutarSQL("UPDATE inscripcion SET orden='$ord' WHERE id_user='$id_user2' AND modalidad='$mod' AND prueba='$prueba' AND id_champ='$id_champ'");
				}
			}
			$hoy="";
			//Primero borramos aquellos dias, horas y grupos que no estén en el programa, pero sí estén en la base de datos.
			$sql->ejecutarSQL("SELECT id_programa FROM programa WHERE id_champ='$id_champ'");
			$numRegPrograma=$sql->getNumRegistros();
			if ($numRegPrograma>0){
				$resulPrograma=$sql->getTodosRegistro();
				//Necesito borrar aquellos registros que no tengan el día, las horas, y si tienen ambas cosas, que no tengan el grupo.
				foreach ($resulPrograma as $programaBD){
					$id_programaBorrar=$programaBD['id_programa'];
					$encontrado=false;
					//Lo busco en el programa que me pasan nuevo.
					foreach ($programa as $program){
						foreach ($program as $dia){
							if (is_array($dia)){
								for ($i=4;$i<count($dia);){
									$id_temp=$dia[$i];
									if ($id_programaBorrar==$id_temp) $encontrado=true;
									if (($i+5)>count($dia)) break;
									else $i=$i+5;
								}
							}
						}
					}
					if (!$encontrado)
						$sql->ejecutarSQL("DELETE FROM programa WHERE id_programa='$id_programaBorrar'");
				}
			}
			$hoy="";
			$hora_inicio="";
			$minutos_inicio="";
			$hora_fin="";
			$minutos_fin="";
			$grupo="";
			foreach ($programa as $program){
				foreach ($program as $dia){
					if (is_array($dia)){
						$hora_inicio=$dia[0];
						$minutos_inicio=$dia[1];
						$hora_fin=$dia[2];
						$minutos_fin=$dia[3];
						for ($i=4;$i<count($dia);){
							$id_temp=$dia[$i];
							$grupo=$dia[$i+1];
							$modalidad=$dia[$i+2];
							$prueba=$dia[$i+3];
							$categoria=$dia[$i+4];
							$sql->ejecutarSQL("SELECT id_programa FROM programa WHERE hora_inicio='$hora_inicio' AND minutos_inicio='$minutos_inicio' AND hora_fin='$hora_fin' AND minutos_fin='$minutos_fin' AND id_champ='$id_champ' AND dia='$hoy' AND grupo='$grupo' AND modalidad='$modalidad' AND prueba='$prueba' AND categoria='$categoria'");
							$resultado=$sql->getUnRegistro();
							//Si ya tenemos ese resultado horario en el programa, no hacemos nada. Si no, insertamos.
							if ($resultado['id_programa']==''){
								$sql->query("INSERT INTO `programa` (`id_programa`, `id_champ`, `dia`, `hora_inicio`,`minutos_inicio`, `hora_fin`, `minutos_fin`, `grupo`, `modalidad`, `prueba`, `categoria`) VALUES (NULL, '$id_champ', '$hoy', '$hora_inicio', '$minutos_inicio', '$hora_fin', '$minutos_fin', '$grupo', '$modalidad', '$prueba', '$categoria');");
								$sql->ejecutarSQL();
							}
							if (($i+5)>count($dia)) break;
							else $i=$i+5;
						}
					}
					else $hoy=$dia;
				}
			}
		}
		echo $error;
	}
}
else echo $resultado;
?>