<?php
/*

			Módulo de gestión de documentos
				Realizar inscripciones
		
*/
session_start();
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp(); 
//Función que comprueba si se está registrado y se es un responsable del club., de la federacion, o un gestor.
$resultado=$sCphp->controlRegistro(array('federacion','club','gestor'),4);
if ($resultado==1){
	//Guardar borrador de inscripciones
	if ((isset($_POST['id_champ']))&&(isset($_POST['id_org']))&&(isset($_POST['datos']))){
		$enviada=0;
		if (isset($_POST['state'])) $accion=$_POST['state'];
		else $accion='crear';
		$id_champ=$_POST['id_champ'];
		$id_org=$_POST['id_org'];
		$creador=$sCphp->val('creador');
		$data = json_decode(stripslashes($_POST['datos']),true);
		$alumnos=array();
		foreach ($data as $valor=>$datos) {
			$campoValue="Default";
			foreach ($datos as $campo=>$value) {
				//Arrays con los datos de los usuarios
				//Si en el campo "name" encontramos "id_user", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="id_user")) $campoValue="first";
				if (($campo=="value")&&($campoValue=="first")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor del alumno, el id_user (identificador de usuario).
					if (!isset($temp_array)) $temp_array= array($value);
				}
				if (($campo=="name")&&(($value=="categoria")||($value=="modalidad")||($value=="prueba")||($value=="relacion"))) $campoValue="medium";
				if (($campo=="value")&&($campoValue=="medium")){
					//Añadimos mas elementos al vector
					array_push($temp_array,$value);
				}
				if (($campo=="name")&&($value=="enviada")) $campoValue="last";
				if (($campo=="value")&&($campoValue=="last")){
					//Finalizamos el vector temporal y lo añadimos al general
					array_push($temp_array,$value);
					$alumnos[]=$temp_array;
					unset($temp_array);
				}
			}
		}
		$error=0;
		//Comprobamos que el campeonato a la hora de crear o modificar sea visible
		$sql->query("SELECT visible FROM campeonato WHERE id_campeonato='$id_champ'");
		$sql->ejecutarSQL() or mysql_error();
		$visible=$sql->getCampoN();
		if ($visible!=1) $error=-1;
		if ($error==0){
			if ($accion=='crear'){
				//Insertamos los nuevos usuarios.
				foreach ($alumnos as $alumno){
					$id_user=$alumno[0];
					$categoria=$alumno[1];
					$modalidad=$alumno[2];
					$prueba=$alumno[3];
					$relacion=$alumno[4];
					if ($relacion==-1) $relacion=$alumno[0];
					if ($accion=='send') $enviada=1;
					else $enviada=$alumno[5];
					$sql->query("INSERT INTO `inscripcion` (`id_ins`, `id_user`, `id_org`, `id_champ`,`id_relacion`, `categoria`, `modalidad`, `prueba`, `orden`, `victorias`, `plaza`, `fecha_ins`, `visible`) VALUES (NULL, '$id_user', '$id_org', '$id_champ', '$relacion', '$categoria', '$modalidad', '$prueba', -1, NULL, NULL, CURRENT_TIMESTAMP, '$enviada');");
					$sql->ejecutarSQL() or DIE(mysql_error());
				}
			}
			if (($accion=='mod')||($accion=='send')){
				$array1=$alumnos;
				//Primero borro los que no estén en el vector nuevo de inscritos.
				//Borro aquellos que no estén en array 1.
				$sql->query("SELECT id_ins, id_user, modalidad, prueba FROM inscripcion WHERE id_org='$id_org' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$numRegistroAlumInscritos=$sql->getNumRegistros();
				if ($numRegistroAlumInscritos > 0){
					$array2=$sql->getTodosRegistro();
					//Borramos los usuarios que no se encuentren en la nueva lista de inscritos
					foreach ($array2 as $alumno_bdd){
						$estaInscrito=false;
						$id_ins=$alumno_bdd['id_ins'];
						foreach ($array1 as $alumno_nuevo_inscrito){
							if (($alumno_nuevo_inscrito[0]==$alumno_bdd['id_user'])&&($alumno_nuevo_inscrito[2]==$alumno_bdd['modalidad'])) $estaInscrito=true;
						}
						if (!$estaInscrito)
							$sql->ejecutarSQL("DELETE FROM inscripcion WHERE id_ins='$id_ins'");
					}
				}
				$sql->ejecutarSQL("SELECT id_ins, id_user, modalidad, prueba FROM inscripcion WHERE id_org='$id_org' AND id_champ='$id_champ'");
				$numRegistroAlumInscritos=$sql->getNumRegistros();
				if ($numRegistroAlumInscritos > 0)
					$array2=$sql->getTodosRegistro();
				//Actualizo la base de datos con los nuevos alumnos
				foreach ($array1 as $alumno_nuevo_inscrito){
					//Si tengo alumnos inscritos que coinciden con la nueva lista de alumnos que estoy insertando, entonces actualizo sus ocurrencias.
					$id_ins=-1;
					$id_user=$alumno_nuevo_inscrito[0];
					$categoria=$alumno_nuevo_inscrito[1];
					$modalidad=$alumno_nuevo_inscrito[2];
					$prueba=$alumno_nuevo_inscrito[3];
					$relacion=$alumno_nuevo_inscrito[4];
					if ($relacion==-1) $relacion=$alumno_nuevo_inscrito[0];
					if ($accion=='send') $enviada=1;
					else $enviada=$alumno_nuevo_inscrito[5];
					//Si encuentro alumnos ya insertados en la base de datos, actualizo
					if ($numRegistroAlumInscritos > 0){
						foreach ($array2 as $alumno_bdd){
							if (($alumno_nuevo_inscrito[0]==$alumno_bdd['id_user'])&&($alumno_nuevo_inscrito[2]==$alumno_bdd['modalidad'])) $id_ins=$alumno_bdd['id_ins'];
						}
						//Si lo encuentra, actualizo
						if ($id_ins>-1){
							$resu=$sql->ejecutarSQL("UPDATE inscripcion SET id_user='$id_user', id_org='$id_org', id_champ='$id_champ', id_relacion='$relacion', categoria='$categoria', modalidad='$modalidad', prueba='$prueba', fecha_ins=now(), visible='$enviada' WHERE id_ins='$id_ins'");
						}
						//Si no lo encuentra, inserto
						else{
							$sql->query("INSERT INTO `inscripcion` (`id_ins`, `id_user`, `id_org`, `id_champ`,`id_relacion`, `categoria`, `modalidad`, `prueba`, `orden`, `victorias`, `plaza`, `fecha_ins`, `visible`) VALUES (NULL, '$id_user', '$id_org', '$id_champ', '$relacion', '$categoria', '$modalidad', '$prueba', -1, NULL, NULL, CURRENT_TIMESTAMP, '$enviada');");
							$sql->ejecutarSQL();
						}
					}
					//Si no, inserto los nuevos
					else{
						$sql->query("INSERT INTO `inscripcion` (`id_ins`, `id_user`, `id_org`, `id_champ`,`id_relacion`, `categoria`, `modalidad`, `prueba`, `orden`, `victorias`, `plaza`, `fecha_ins`, `visible`) VALUES (NULL, '$id_user', '$id_org', '$id_champ', '$relacion', '$categoria', '$modalidad', '$prueba', -1, NULL, NULL, CURRENT_TIMESTAMP, '$enviada');");
						$sql->ejecutarSQL();
					}
				}
			}
			if ($accion=='delete'){
				//Primero recojo todas las inscripciones de esa organización a ese campeonato (evento).
				$sql->query("SELECT id_ins FROM inscripcion WHERE id_org='$id_org' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$numRegistroAlumInscritos=$sql->getNumRegistros();
				if ($numRegistroAlumInscritos > 0){
					$resultado=$sql->getTodosRegistro();
					//Borramos todos los usuarios encontrados en la base de datos de inscripcion
					foreach ($resultado as $alumno_inscrito){
						$id_ins=$alumno_inscrito['id_ins'];
						$sql->ejecutarSQL("DELETE FROM inscripcion WHERE id_ins='$id_ins'");
					}
				}
			}
		}
		switch($accion){
			case "mod":
				$oper="Modificar";
				break;
			case "send":
				$oper="Enviar";
				break;
			case "delete":
				$oper="Eliminar";
				break;
		}
		if (($accion=='mod')||($accion=='send')||($accion=='delete')){
			if ($enviada){
				$correo=$sCphp->val('correo');
				$tipoRol=$sCphp->val('tipo');
				switch($tipoRol){
					case "alumno":
						$rol="Alumno";
						break;
					case "club":
						$rol="Responsable del club";
						break;
					case "federacion":
						$rol="Responsable de la federación";
						break;
					case "juez":
						$rol="Juez";
						break;
					case "administrador":
						$rol="Administrador";
						break;
					case "gestor":
						$rol="Gestor de documentos";
						break;
					case "clasificador":
						$rol="Gestor de clasificaciones";
						break;
				}
				$name=$sCphp->val('name');
				$fecha=date("d-m-Y H:i:s");
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
				$resGa=$sql->getUnRegistro();
				$orgGa=$resGa['nombre'];
				$sql->ejecutarSQL("SELECT apellidos FROM users WHERE correo='$correo'");
				$resApell=$sql->getUnRegistro();
				$Apell=$resApell['apellidos'];
				$txt="Usuario: ".$correo.". Nombre: ".$name." ".$Apell.". Rol que desempeña: ".$rol.". Club al que realice la operación: ".$orgGa.". Operación: ".$oper." las inscripciones. Fecha: ".$fecha.". \r\n";
				$ar= fopen("logs/".$id_champ,"a+");
				fwrite($ar,$txt);
				fclose($ar);
			}
		}
		echo $error;
	}
	//Asignación de gestores
	if ((isset($_POST['id']))&&(isset($_POST['datos']))){
		$id_champ=$_POST['id'];
		$creador=$sCphp->val('creador');
		$data = json_decode(stripslashes($_POST['datos']),true);
		foreach ($data as $valor=>$datos) {
			$campoValue="Default";
			foreach ($datos as $campo=>$value) {
				//Para el array de gestores de papeles
				//Si en el campo "name" encontramos "gestor", guardamos el correo del gestor de papeles en el vector gestor1
				if (($campo=="name")&&($value=="gestor")) $campoValue="gestor";
				if (($campo=="value")&&($campoValue=="gestor")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
					if (!isset($gestor1)) $gestor1= array($value);
					else array_push($gestor1,$value);
				}
			}
		}
		//Actualizamos los gestores involucrados en el evento
		$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoCreador='$creador'");
		$sql->ejecutarSQL();
		$numRegistros=$sql->getNumRegistros();
		$borrarRegistro=$sql->getTodosRegistro();
		//Primero borramos aquellos gestores que no estén ya involucrados en el evento, es decir, los que no estén en los vectores de los gestores, pero sí en la base de datos.
		$borrar=1;
		if ($numRegistros>0){
			foreach ($borrarRegistro as $fila) {
				$correoABorrar=$fila['correoGestor'];
				if ((isset($gestor1))&&($gestor1!='')){
					foreach ($gestor1 as $valor) if ($valor==$correoABorrar) $borrar=0;
				}
				if ($borrar==1) $sql->ejecutarSQL("DELETE FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoGestor='$correoABorrar' AND correoCreador='$creador'");
				$borrar=1;
			}
		}
		
		if ($sCphp->manejaCampeonato($id_champ)) $tipo="todo";
		else $tipo="inscripciones";
		//Ahora actualizamos los gestores que se hayan añadido en la última modificación. Lo que ya estén en la base de datos, no se tocan
		//Inserta las asignaciones en la tabla del mismo nombre según los gestores de papeles
		if ((isset($gestor1))&&($gestor1!='')){
			foreach ($gestor1 as $valor) {
				$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$valor' AND identificadorCampeonato='$id_champ' AND correoCreador='$creador'");
				$sql->ejecutarSQL();
				$numRegistro=$sql->getNumRegistros();
				if ($numRegistro==0)
					$sql->ejecutarSQL("INSERT INTO `asignaciones` (`id_asginacion`, `identificadorCampeonato`,`accion`, `tipo`, `correoCreador`, `correoGestor`, `validado`) VALUES ('', '$id_champ', '$tipo','gestor1','$creador', '$valor', '1')") or DIE("No se puede crear.");
			}
		}
		echo 0;
	}
}
else echo $resultado;
?>