<?php
session_start();
include_once('clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable de la federación. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable de la federación.
$resultado=$sCphp->controlRegistro(array('club','federacion','alumno','juez'),4);
if ($resultado==1){
	$correo=$sCphp->val('correo');
	$rol=$sCphp->val('tipo');
	$organizacion=$sCphp->val('org');
	$creador=$sCphp->val('creador');
	$mundo=$sCphp->val('pais');
	$pueblo=$sCphp->val('region');
	echo "
	<br>
	<div class=\"jumbotron\">
	  <h1>Bienvenido al Sistema de gestión de campeonatos</h1>
	  <p>Campeonatos de patinaje artístico sobre ruedas</p>
	</div>
	";
	//ÚLTIMOS CAMPEONATOS
	$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE (organizacion.pais='$mundo' AND campeonato.visible='1') ORDER BY creacion LIMIT 5") or DIE("No");
	$numReg=$sql->getNumRegistros();
	if ($numReg > 0){
		echo "<div class=\"well\">
			<div class=\"well well-sm\" style=\"text-align:center;\">Últimos campeonatos</div>
			<div class=\"col-md-3\">
			</div>
			<div id=\"carousel-example-generic\" class=\"carousel slide\" data-ride=\"carousel\" style=\"display:inline-block;\">
			  <ol class=\"carousel-indicators\">";
			  $campeonatos=$sql->getTodosRegistro();
				$i=0;
				foreach ($campeonatos as &$campeonato){
					if ($i==0) echo "<li data-target=\"#carousel-example-generic\" data-slide-to=\"".$i."\" class=\"active\"></li>";
					else echo "<li data-target=\"#carousel-example-generic\" data-slide-to=\"".$i."\"></li>";
					$i++;
				}
				echo "
			  </ol>

			  ";
			
			$i=0;
			foreach ($campeonatos as &$campeonato){
				$pieces1 = explode("-", $campeonato['fecha']);
				$pieces2 = explode("-", $campeonato['fecha_fin']);
				$PrimerDia=$pieces1[2];
				$Mes=$pieces1[1];
				$Year=$pieces2[0];
				$UltimoDia=$pieces2[2];
				if ($i==0){
				echo "
				  <div class=\"carousel-inner\" style=\"text-align:center;\">
					<div class=\"item active\">
					  <img src=\"images/oficial.jpg\" class=\"img-responsive\" style=\"width:700px;height:500px;\">
					  <div class=\"carousel-caption\">
						<h1>".$campeonato['nombreChamp']."</h1>
						<p>En ".$campeonato['lugar']." del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." del ".$Year."</p>
					  </div>
					</div>";
				}
				else{
					$imagen="camp".$i;
					echo "<div class=\"item\">
					  <img src=\"images/".$imagen.".jpg\" class=\"img-responsive\" style=\"width:700px;height:500px;\">
					  <div class=\"carousel-caption\">
						<h1>".$campeonato['nombreChamp']."</h1>
						<p>En ".$campeonato['lugar']." del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." del ".$Year."</p>
					  </div>
					</div>";
				}
				$i++;
			}
				echo "
			  </div>
			  <a class=\"left carousel-control\" href=\"#carousel-example-generic\" data-slide=\"prev\">
				<span class=\"glyphicon glyphicon-chevron-left\"></span>
			  </a>
			  <a class=\"right carousel-control\" href=\"#carousel-example-generic\" data-slide=\"next\">
				<span class=\"glyphicon glyphicon-chevron-right\"></span>
			  </a>
			</div>
		</div>";
	}
	//ÚLTIMOS COMUNICADOS
	//Recibidos (responsable del club, alumno)
	if ($sCphp->esRol(array('club','alumno'))){
		if ($sCphp->esRol('club')){
			//((tipo='all' OR tipo='club') AND from='$creador') --> Muéstrame los mensajes que vayan dirigidos a mi club (todos o solo los responsables) desde mi club.
			$sql->query("SELECT * FROM comunicados WHERE ((tipo='all' OR tipo='club') AND `from`='$creador') OR ((tipo='allotro' OR tipo='clubotro' OR tipo='fedeclubotro') AND to2='$creador') ORDER by fecha_envio DESC LIMIT 2");
			$sql->ejecutarSQL() or DIE(mysql_error());
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$resVector=$sql->getTodosRegistro();
				$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$nombreOrg=$resal['afiliadoA'];
				$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$correoAfiliado=$resal['creador'];
				//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
				$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC LIMIT 2");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector2=$sql->getTodosRegistro();
					$resVector=array_merge((array)$resVector,(array)$resVector2);
					$position = array();
					$newRow = array();
					$inverse=true;
					foreach ($resVector as $key => $row) {
							$position[$key]  = $row['fecha_envio'];
							$newRow[$key] = $row;
					}
					if ($inverse) {
						arsort($position);
					}
					else {
						asort($position);
					}
					$resVector0 = array();
					foreach ($position as $key => $pos) {     
						$resVector0[] = $newRow[$key];
					}
					$resVector=$resVector0;
				}
				echo "<div class=\"well\">
				<div class=\"well well-sm\" style=\"text-align:center;\">Últimos comunicados</div>";
				foreach ($resVector as &$mensaje){
					$id_user=$mensaje['escritor'];
					if ($id_user!=NULL){
						$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
						$sql->ejecutarSQL();
						$resIdUser=$sql->getUnRegistro();
					}
					if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
					if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
					if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
					if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
					echo "
							<div class=\"panel-heading\">
								<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
							</div>
							<div class=\"panel-body\">
								<p>".$mensaje['mensaje']."</p>
							</div>
							<div class=\"panel-footer\">";
								if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
								echo "
								<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
							</div>
						</div>";
				}
				echo "</div>";
			}
		}
		if ($sCphp->esRol('alumno')){
			//((tipo='all' OR tipo='club') AND from='$creador') --> Muéstrame los mensajes que vayan dirigidos a mi club (todos o solo los responsables) desde mi club.
			$sql->query("SELECT * FROM comunicados WHERE ((tipo='all' OR tipo='alumnos') AND `from`='$creador') OR ((tipo='allotro' OR tipo='alumnosotro' OR tipo='fedeclubotro') AND to2='$creador') ORDER by fecha_envio DESC LIMIT 2");
			$sql->ejecutarSQL() or DIE(mysql_error());
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$resVector=$sql->getTodosRegistro();
				$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$nombreOrg=$resal['afiliadoA'];
				$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$correoAfiliado=$resal['creador'];
				//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
				$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC LIMIT 2");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector2=$sql->getTodosRegistro();
					$resVector=array_merge((array)$resVector,(array)$resVector2);
					$position = array();
					$newRow = array();
					$inverse=true;
					foreach ($resVector as $key => $row) {
							$position[$key]  = $row['fecha_envio'];
							$newRow[$key] = $row;
					}
					if ($inverse) {
						arsort($position);
					}
					else {
						asort($position);
					}
					$resVector0 = array();
					foreach ($position as $key => $pos) {     
						$resVector0[] = $newRow[$key];
					}
					$resVector=$resVector0;
				}
				echo "<div class=\"well\">
				<div class=\"well well-sm\" style=\"text-align:center;\">Últimos comunicados</div>";
				foreach ($resVector as &$mensaje){
					$id_user=$mensaje['escritor'];
					if ($id_user!=NULL){
						$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
						$sql->ejecutarSQL();
						$resIdUser=$sql->getUnRegistro();
					}
					if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
					if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
					if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
					if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
					echo "
							<div class=\"panel-heading\">
								<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
							</div>
							<div class=\"panel-body\">
								<p>".$mensaje['mensaje']."</p>
							</div>
							<div class=\"panel-footer\">";
								if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
								echo "
								<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
							</div>
						</div>";
				}
				echo "</div>";
			}
		}
	}
	//Recibidos (responsable de la federación, juez)
	if ($sCphp->esRol(array('federacion','juez'))){
		if ($sCphp->esRol('federacion')){
			//Se verán los mensajes enviados a mi federación, y cuando se incluya la federación al enviar a otras federaciones.
			$sql->query("SELECT * FROM comunicados WHERE (tipo='federacion' AND `from`='$creador') OR (tipo='federacionotro' AND to2='$creador') ORDER by fecha_envio DESC LIMIT 2");
			$sql->ejecutarSQL() or DIE(mysql_error());
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$resVector=$sql->getTodosRegistro();
				$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$nombreOrg=$resal['afiliadoA'];
				$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$correoAfiliado=$resal['creador'];
				//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
				$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='federacionafil' ORDER by fecha_envio DESC LIMIT 2");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector2=$sql->getTodosRegistro();
					$resVector=array_merge((array)$resVector,(array)$resVector2);
					$position = array();
					$newRow = array();
					$inverse=true;
					foreach ($resVector as $key => $row) {
							$position[$key]  = $row['fecha_envio'];
							$newRow[$key] = $row;
					}
					if ($inverse) {
						arsort($position);
					}
					else {
						asort($position);
					}
					$resVector0 = array();
					foreach ($position as $key => $pos) {     
						$resVector0[] = $newRow[$key];
					}
					$resVector=$resVector0;
				}
				echo "<div class=\"well\">
				<div class=\"well well-sm\" style=\"text-align:center;\">Últimos comunicados</div>";
				foreach ($resVector as &$mensaje){
					$id_user=$mensaje['escritor'];
					if ($id_user!=NULL){
						$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
						$sql->ejecutarSQL();
						$resIdUser=$sql->getUnRegistro();
					}
					if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
					if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
					if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
					if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
					echo "
							<div class=\"panel-heading\">
								<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
							</div>
							<div class=\"panel-body\">
								<p>".$mensaje['mensaje']."</p>
							</div>
							<div class=\"panel-footer\">";
								if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
								echo "
								<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
							</div>
						</div>";
				}
				echo "</div>";
			}
		}
		if ($sCphp->esRol('juez')){
			//Mostrará los mensajes que vayan dirigidos a mi federación (todos o solo los responsables) desde mi federación, y aquellos dirigidos a mi federación cuando es seleccionada por otro responsable de la federación.
			$sql->query("SELECT * FROM comunicados WHERE ((tipo='federacion' OR tipo='juez') AND `from`='$creador') OR (tipo='federacionotro' AND to2='$creador') ORDER by fecha_envio DESC LIMIT 2");
			$sql->ejecutarSQL() or DIE(mysql_error());
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$resVector=$sql->getTodosRegistro();
				$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$nombreOrg=$resal['afiliadoA'];
				$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$resal=$sql->getUnRegistro();
				$correoAfiliado=$resal['creador'];
				//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
				$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC LIMIT 2");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector2=$sql->getTodosRegistro();
					$resVector=array_merge((array)$resVector,(array)$resVector2);
					$position = array();
					$newRow = array();
					$inverse=true;
					foreach ($resVector as $key => $row) {
							$position[$key]  = $row['fecha_envio'];
							$newRow[$key] = $row;
					}
					if ($inverse) {
						arsort($position);
					}
					else {
						asort($position);
					}
					$resVector0 = array();
					foreach ($position as $key => $pos) {     
						$resVector0[] = $newRow[$key];
					}
					$resVector=$resVector0;
				}
				echo "<div class=\"well\">
				<div class=\"well well-sm\" style=\"text-align:center;\">Últimos comunicados</div>";
				foreach ($resVector as &$mensaje){
					$id_user=$mensaje['escritor'];
					if ($id_user!=NULL){
						$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
						$sql->ejecutarSQL();
						$resIdUser=$sql->getUnRegistro();
					}
					if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
					if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
					if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
					if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
					echo "
							<div class=\"panel-heading\">
								<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
							</div>
							<div class=\"panel-body\">
								<p>".$mensaje['mensaje']."</p>
							</div>
							<div class=\"panel-footer\">";
								if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
								echo "
								<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
							</div>
						</div>";
				}
				echo "</div>";
			}
		}
	}
}
else{
	echo "
	<br>
	<div class=\"jumbotron\">
	  <h1>Bienvenido al Sistema de gestión de campeonatos</h1>
	  <p>Campeonatos de patinaje artístico sobre ruedas</p>
	</div>
	";
}
?>

