/*!
 * utiles JavaScript Library v0.1
 *
 * Date: 2013-2-7
 */
 function cargo(){
	actualizar('#a','panel.php');
 }
//Carga principal de la página
function cargar(){
	actualizar('#centro','inicio.php');
	$('#menu-iz-uno').load('menu.php?inicio');
	$('#conexion').load('modulos/acceso/conexion.php');
}
//Actualiza el <div> indicado en idDiv con el contenido de ruta. Actualiza un trozo de la página con otra página, sin recargar la página entera. Usa bootstrap y jquery.
function actualizar(idDiv,ruta){
	$(idDiv).empty().append('<div class="jumbotron" style="background:white;"><p class="text-center">CARGANDO MÓDULO...</p><center><img src="images/loading.gif" /></center></div>');
	//Se carga la página
	$(idDiv).load(ruta);
}
//Esconde o muestra un elemento indicado en la variable idDiv. Normalmente es el id de un <div>. Usa bootstrap.
 function menu(idDiv){
	$(idDiv).toggle();
 }
//Cierra la sesión del usuario acudiendo a conexion.php y actualizando la página.
function cerrar_sesion(idDiv,ruta){
	$(idDiv).load(ruta, function() {
		location.reload();
	});
}
//Script que borra el usuario en borrarUsuario.
function borrarUsuario(correo,tipo){
	if (tipo=='usuario'){
		var string='Va a borrar al usuario cuyo correo es: ' + correo + '\n¿Está seguro?';
		var borraUser=confirm(string);
		var ruta='modulos/usuarios/borrarUsuario.php?name='+ correo;
		if (borraUser){
			$('#centro').empty().append('<div class="jumbotron" style="background:white;"><p class="text-center">Eliminando usuario...</p><center><img src="images/loading.gif" /></center></div>');
			$('#centro').load(ruta);
		}
	}
	if (tipo=='organizacion'){
		var string='Va a borrar la organización cuyo correo del creador responsable es: ' + correo + '\n¿Está seguro?';
		var borraUser=confirm(string);
		var ruta='modulos/usuarios/borrarUsuario.php?org='+ correo;
		if (borraUser){
			$('#centro').empty().append('<div class="jumbotron" style="background:white;"><p class="text-center">Eliminando organización...</p><center><img src="images/loading.gif" /></center></div>');
			$('#centro').load(ruta);
		}
	}
	if (tipo=='campeonato'){
		var string='Va a borrar el evento.\n¿Está seguro?';
		var borraUser=confirm(string);
		var ruta='modulos/usuarios/borrarUsuario.php?champ='+ correo;
		if (borraUser){
			$('#centro').empty().append('<div class="jumbotron" style="background:white;"><p class="text-center">Eliminando evento...</p><center><img src="images/loading.gif" /></center></div>');
			$('#centro').load(ruta);
		}
	}
}
//Función para el menú superior
function cambiaMenu(tipo){
	$('#menu').fadeOut();
	var text='menu.php?'+ tipo;
	if (tipo!="inicio") $('#menu-iz-uno').empty().append('<div><img src="images/cargando.gif" /></div>');
	$('#menu-iz-uno').load(text,function(){
		$('#menu').hide();
		$('#menu').fadeIn();
	});
}
