<?php
/* Menús de la izquierda*/
session_start();
//Incluyo la clase de manejo de la base de datos.
include_once('clases/cMySQL.php');
include_once('clases/sCphp.php');
$sCphp= new sCphp();
$sql= new cMySQL(); 
$sql->conectar();
$resultado=$sCphp->controlRegistro('',0);
if ($resultado==1){
	if (!isset($_GET['inicio'])){
		$correo=$sCphp->val('correo');
		$organizacion=$sCphp->val('org');
		$creador=$sCphp->val('creador');
		/* 					Menú de usuario
			Mostramos el menú si el usuario está registrado
		 */
		echo "
		<div class=\"well sidebar-nav\" id=\"menu\">
			<ul class=\"nav nav-pills nav-stacked\">";
		if (isset($_GET['admin'])){
			if ($sCphp->esRol('administrador')){
				echo "
					<li class=\"nav-header\">Administrador</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/usuarios/addUser.php');\" data-toggle=\"pill\">Añadir usuario</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/usuarios/borrarUsuario.php?ver');\" data-toggle=\"pill\">Ver sistema</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/usuarios/borrarUsuario.php');\" data-toggle=\"pill\">Eliminar</a>
					</li>
					<li class=\"divider\"></li>";
			}
			if ($sCphp->esRol('administrador')){
				$sql->query("SELECT * FROM organizacion WHERE validada=false AND tipo='federacion'");
				$sql->ejecutarSQL();
				$numRegFederacion=$sql->getNumRegistros();
				$sql->query("SELECT * FROM organizacion WHERE validada=false AND tipo='club'");
				$sql->ejecutarSQL();
				$numRegClub=$sql->getNumRegistros();
				echo "
					<li class=\"nav-header\">Validaciones</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/validaciones.php?club');\" data-toggle=\"pill\">Validar Club   ";
						if ($numRegClub > 0) echo "<span class=\"badge pull-right\">".$numRegClub."</span>";
						echo "</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/validaciones.php?federacion');\" data-toggle=\"pill\">Validar Federación   ";
						if ($numRegFederacion > 0) echo "<span class=\"badge pull-right\">".$numRegFederacion."</span>";
						echo "</a>
					</li>
					
				";
			}
		}
		/* 									Menú de organización (Clubes/Federaciones)
			Mostramos el menú si el usuario está registrado y es un responsable (federación o club), alumno o juez
		*/
		if (isset($_GET['organizacion'])){
			if ($sCphp->esRol( array('federacion','alumno','juez','club') )){
				/* 									Menú de federación
					Mostramos el menú si el usuario está registrado y es un responsable de la federación o un juez
				*/
				if ($sCphp->esRol( array('federacion','juez') )){
					echo "
						<li class=\"nav-header\">Federación</li>";
					if ($sCphp->esRol('federacion')){
						//Creación de la federación
						//En caso de que el responsable de la federación ya esté unido a una federación, no debería salir esta opción en el menú
						if ($organizacion==''){
							echo "
							<li>
								<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/crearOrg.php');\" data-toggle=\"pill\">Crear federación</a>
							</li>";
						}
						//Solicitud y unión a una federación para un responsable
						//En caso de que el responsable de la federación ya esté unido a una federación, no deberían salir estas opción en el menú
						//En caso de que el responsable de la federación haya mandado una solicitud para crear federación, no debería salir la opción de solicitar federación
						$sql->query("SELECT * FROM organizacion WHERE creador='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$creacion=$res['nombre'];
						if ($organizacion==''){
							//Si tenemos una federación en espera de ser validada, no aparece solicitar federación
							if ($creacion==''){
								echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitarOrg.php');\" data-toggle=\"pill\">Solicitar federación</a>
								</li>";
							}
						}
						else{
							//Solicitudes y afiliaciones que tiene que tratar el responsable de la federación
							$sql->query("SELECT * FROM solicitudes WHERE validada=false AND tipo='federacion' AND organizacion='$organizacion'");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							$sql->query("SELECT * FROM afiliaciones WHERE validada=false AND organizacion='$organizacion'");
							$sql->ejecutarSQL();
							$numRegAfil=$sql->getNumRegistros();
							$numRegTotal=$numReg+$numRegAfil;
							echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitudes.php');\" data-toggle=\"pill\">Solicitudes ";
									if ($numRegTotal > 0) echo "<span class=\"badge pull-right\">".$numRegTotal."</span>";
									echo "</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/verOrg.php');\" data-toggle=\"pill\">Mi federación</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/gestMember.php');\" data-toggle=\"pill\">Gestionar Usuarios</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/interconexion/gestAfiliaciones.php');\" data-toggle=\"pill\">Gestionar Afiliaciones</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/comunicados/comunicados.php');\" data-toggle=\"pill\">Comunicados</a>
								</li>
							";
						}
						//Para modificar información del alumno, necesito que el club donde está registrado el alumno esté afiliado a esa federación
						$sql->query("SELECT idUser FROM users LEFT JOIN organizacion ON (users.organizacion=organizacion.nombre) LEFT JOIN afiliaciones ON (organizacion.afiliadoA=afiliaciones.organizacion) WHERE users.tipo='alumno' AND afiliaciones.organizacion='$organizacion'");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							echo "<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/interconexion/mod_inf_alu.php');\" data-toggle=\"pill\">Modificar información alumno</a>
								</li>";
						}
					}
					if ($sCphp->esRol('juez')){
						//Solicitud y unión a una federación para el juez
						//En caso de que el juez ya esté unido a una federación, no deberían salir esta opción en el menú
						$sql->query("SELECT * FROM users WHERE correo='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$organizacion=$res['organizacion'];
						if ($organizacion==''){
							echo "
							<li>
								<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitarOrg.php');\" data-toggle=\"pill\">Solicitar federación</a>
							</li>
							";
						}
						else{
							$sql->query("SELECT * FROM asignaciones WHERE tipo='juez' AND validado='0' AND correoGestor='$correo'");
							$sql->ejecutarSQL();
							$numRegJuez=$sql->getNumRegistros();
							echo "
							<li>
								<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitudes.php');\" data-toggle=\"pill\">Solicitudes ";
									if ($numRegJuez > 0) echo "<span class=\"badge pull-right\">".$numRegJuez."</span>";
								echo "</a>
							</li>
							<li>
								<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/verOrg.php');\" data-toggle=\"pill\">Mi federación</a>
							</li>
							<li>
								<a href=\"#\" onClick=\"actualizar('#centro','modulos/comunicados/comunicados.php');\" data-toggle=\"pill\">Comunicados</a>
							</li>
							";
						}
					}
				}
				/* 									Menú de club
					Mostramos el menú si el usuario está registrado y es un responsable del club o un alumno
				*/
				if ($sCphp->esRol( array('club','alumno')) ){
					echo "
						<li class=\"nav-header\">Club</li>";
					if (($_SESSION['tipo']=='club')){
						//Creación del club
						//En caso de que el responsable del club ya esté unido a un club, no debería salir esta opción en el menú
						$sql->query("SELECT * FROM users WHERE correo='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$organizacion=$res['organizacion'];
						if ($organizacion==''){
							echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/crearOrg.php');\" data-toggle=\"pill\">Crear Club</a>
								</li>";
						}
						//Solicitud y unión a un club
						//En caso de que el responsable del club ya esté unido a un club no deberían salir estas opciones en el menú
						//En caso de que el responsable del club haya mandado una solicitud para crear club, no debería salir la opción de solicitar club
						$sql->query("SELECT * FROM organizacion WHERE creador='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$creacion=$res['nombre'];
						if ($organizacion==''){
							//Si tenemos un club en espera de ser validado, no aparece solicitar club
							if ($creacion==''){
								echo "
									<li>
										<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitarOrg.php');\" data-toggle=\"pill\">Solicitar club</a>
									</li>";
							}
						}
						else{
							$sql->query("SELECT * FROM solicitudes WHERE validada=false AND tipo='club' AND organizacion='$organizacion'");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitudes.php');\" data-toggle=\"pill\">Solicitudes ";
									if ($numReg > 0) echo "<span class=\"badge pull-right\">".$numReg."</span>";
									echo "</a></a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/verOrg.php');\" data-toggle=\"pill\">Mi club</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/gestMember.php');\" data-toggle=\"pill\">Gestionar Usuarios</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/interconexion/gestAfiliaciones.php');\" data-toggle=\"pill\">Gestionar Afiliaciones</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/comunicados/comunicados.php');\" data-toggle=\"pill\">Comunicados</a>
								</li>
							";
						}
					}
					if ($sCphp->esRol('alumno')){
						//Solicitud y unión a un club
						//En caso de que el responsable del club, o el alumno ya esté unido a un club, no deberían salir estas opción en el menú
						$sql->query("SELECT * FROM users WHERE correo='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$organizacion=$res['organizacion'];
						if ($organizacion==''){
							echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/solicitarOrg.php');\" data-toggle=\"pill\">Solicitar club</a>
								</li>
							";
						}
						else{
							echo "
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/organizacion/verOrg.php');\" data-toggle=\"pill\">Mi club</a>
								</li>
								<li>
									<a href=\"#\" onClick=\"actualizar('#centro','modulos/comunicados/comunicados.php');\" data-toggle=\"pill\">Comunicados</a>
								</li>
							";
						}
					}
				}
			}
		}
		/* 									Menú de plantillas de campeonatos (Club/Federaciones)
						Mostramos el menú si el usuario está registrado, es un responsable (federación o club) y está unido a un club/federación
		*/
		if (isset($_GET['plantillas'])){
			if ($sCphp->esRol( array('federacion','club') )){
				$sql->query("SELECT * FROM users WHERE correo='$correo'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				$organizacion=$res['organizacion'];
				if ($organizacion!=''){
					echo "
					<li class=\"nav-header\">Plantillas de campeonatos</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/plantilla/gestplant.php?crear');\" data-toggle=\"pill\">Crear plantilla</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/plantilla/gestplant.php?mod');\" data-toggle=\"pill\">Modificar plantilla</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/plantilla/gestplant.php?sup');\" data-toggle=\"pill\">Eliminar plantilla</a>
					</li>
					";
				}
			}
		}
		/* 									Menú de gestión de campeonatos (Club/Federaciones)
						Mostramos el menú si el usuario está registrado, es un responsable (federación o club) y está unido a un club/federación
		*/
		if (isset($_GET['campeonatos'])){
			if ($sCphp->esRol( array('federacion','club') )){
				$sql->query("SELECT * FROM users WHERE correo='$correo'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				$organizacion=$res['organizacion'];
				if ($organizacion!=''){
					echo "
					<li class=\"nav-header\">Gestión de campeonatos</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?crear');\" data-toggle=\"pill\">Crear campeonato</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?mod');\" data-toggle=\"pill\">Modificar campeonato</a>
					</li>
					<li>
						<a href=\"#\" onClick=\"actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?sup');\" data-toggle=\"pill\">Eliminar campeonato</a>
					</li>
					";
				}
			}
		}
		/* 									Menú de gestión de papeles (Club/Federaciones/Gestores de papeles)
						Mostramos el menú si el usuario está registrado, es un responsable (federación o club) o es un gestor de papeles asignado
						a ese evento, y está unido a un club/federación en el caso de un responsable, o está asignado al evento, en el caso del gestor.
		*/
		if (isset($_GET['documentos'])){
			if ($sCphp->esRol( array('federacion','club','gestor') )){
				echo "
						<li class=\"nav-header\">Gestión de documentos</li>";
				$hagoInscripciones=0;
				if ($sCphp->esRol('club')){
					$hagoInscripciones=1;
					if ($organizacion!=''){
						$sql->query("SELECT * FROM users WHERE correo='$correo'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$organizacion=$res['organizacion'];
						
						//El primer caso se trata de realizar inscripciones a otros eventos, que se podrán encargar los gestores asignados al evento
						echo "
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/realizarInscripciones.php?crear');\" data-toggle=\"pill\">Realizar inscripciones</a>
						</li>";
					}
				}
				if ($sCphp->esRol( array('federacion','club') )){
					$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creador'") or DIE("No");
					$numRegistros=$sql->getNumRegistros();
					//Comprobamos que la organización haya creado algún campeonato, en donde pueda organizar los documentos
					if ($numRegistros > 0){
						echo "
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/inscripciones.php?crear');\" data-toggle=\"pill\">Inscripciones</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/listaInscritos.php?crear');\" data-toggle=\"pill\">Lista de inscritos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inventario/inventario.php?crear');\" data-toggle=\"pill\">Inventario</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/tiempos/tiempos.php?crear');\" data-toggle=\"pill\">Tiempos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/pagos/pagos.php?crear');\" data-toggle=\"pill\">Pagos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/dipticos/dipticos.php?crear');\" data-toggle=\"pill\">Dípticos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/jueces/jueces.php?crear');\" data-toggle=\"pill\">Jueces</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/calculadores/calculadores.php?crear');\" data-toggle=\"pill\">Calculadores</a>
						</li>
						";
					}
				}
				if ($sCphp->esRol('gestor')){
					//Comprobamos que ese gestor tenga asignado algún campeonato. No es necesario que esté unido a ninguna organización.
					//Para lo cual el campo accion deberá tener 'Todo', 'inscripciones' o 'resto'.
					//Si tiene todo, el gestor podrá realizar las inscripciones y el resto de papeles. Si tiene inscripciones, solo podrá realizar estas inscripciones.
					$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$correo' AND (accion='todo' OR accion='inscripciones')");
					$sql->ejecutarSQL();
					$numRegistros=$sql->getNumRegistros();
					if ($numRegistros>0){
						$hagoInscripciones=1;
						//El primer caso se trata de realizar inscripciones a otros eventos, que se podrán encargar los gestores asignados al evento
						echo "
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/realizarInscripciones.php?crear');\" data-toggle=\"pill\">Realizar inscripciones</a>
						</li>";
					}
					$sql->query("SELECT * FROM asignaciones WHERE correoGestor='$correo' AND (accion='todo' OR accion='resto')");
					$sql->ejecutarSQL();
					$numRegistros=$sql->getNumRegistros();
					if ($numRegistros>0){
						//Si tiene resto, o todo, el gestor podrá realizar el resto de documentos.
						echo "
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/inscripciones.php?crear');\" data-toggle=\"pill\">Inscripciones</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inscripciones/listaInscritos.php?crear');\" data-toggle=\"pill\">Lista de inscritos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/inventario/inventario.php?crear');\" data-toggle=\"pill\">Inventario</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/tiempos/tiempos.php?crear');\" data-toggle=\"pill\">Tiempos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/pagos/pagos.php?crear');\" data-toggle=\"pill\">Pagos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/dipticos/dipticos.php?crear');\" data-toggle=\"pill\">Dípticos</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/jueces/jueces.php?crear');\" data-toggle=\"pill\">Jueces</a>
						</li>
						<li>
						  <a href=\"#\" onClick=\"actualizar('#centro','modulos/documentos/calculadores/calculadores.php?crear');\" data-toggle=\"pill\">Calculadores</a>
						</li>
						";
					}
				}
			}
		}
		if (isset($_GET['clasificadores'])){
			echo "<li class=\"nav-header\">Clasificaciones</li>";
			if ($sCphp->esRol('clasificador')){
				echo "
				<li>
				  <a href=\"#\" onClick=\"actualizar('#centro','modulos/clasificaciones/gestClasificaciones.php?crear');\" data-toggle=\"pill\">Modificar clasificaciones</a>
				</li>";
			}
			echo "
			<li>
			  <a href=\"#\" onClick=\"actualizar('#centro','modulos/clasificaciones/verClasificaciones.php?crear');\" data-toggle=\"pill\">Ver clasificaciones</a>
			</li>";
		}
		echo "
			</ul>
		</div>
		";
	}
}
else{
	if (isset($_GET['clasificadores'])){
		echo "
		<div class=\"well sidebar-nav\" id=\"menu\">
			<ul class=\"nav nav-pills nav-stacked\">
				<li class=\"nav-header\">Clasificaciones</li>
				<li>
				  <a href=\"#\" onClick=\"actualizar('#centro','modulos/clasificaciones/verClasificaciones.php?crear');\" data-toggle=\"pill\">Ver clasificaciones</a>
				</li>
			</ul>
		</div>";
	}
}
?>