<?php
/*

			Módulo de plantilla de campeonatos
Comprobación de los datos del formulario para la plantilla de campeonatos
		
*/
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
if ((isset($_POST['org']))&&(isset($_POST['pais']))&&(isset($_POST['region']))&&(isset($_POST['datos']))&&(isset($_POST['nombre_pl']))&&(isset($_POST['creador']))){
	$pl_pais=$_POST['pais'];
	$pl_nombre_org=$_POST['org'];
	$pl_region=$_POST['region'];
	$pl_nombre=$_POST['nombre_pl'];
	$pl_creador=$_POST['creador'];
	$error=0;
	$champ=NULL;
	$categoria=NULL;
	$prueba=NULL;
	$mod=NULL;
	$num_juez=NULL;
	$hayMedal=false;
	$medalla=NULL;
	$tiempo=NULL;
	$puntuacion=NULL;
	$trofeo=NULL;
	$tipo_puntuacion="";
	//Recibimos en la variable $data los valores del array serializado con los campos del formulario dinámicos (tipos de campeonatos, categorías, etc)
	$data = json_decode(stripslashes($_POST['datos']),true);
	foreach ($data as $valor=>$datos) {
		$campoValue="Default";
		foreach ($datos as $campo=>$value) {
			//Para el array de campeonatos
			//Si en el campo "name" del array tenemos que es un tipo de campeonato
			if (($campo=="name")&&($value=="champ")) $campoValue="champ";
			if (($campo=="value")&&($campoValue=="champ")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($new_champ)) $new_champ= array($value);
			}
			//Si en el campo "name" del array tenemos el identificador
			if (($campo=="name")&&(($value=="id_tipoChamp")||($value=="esOficial"))) $campoValue="id_tipoChamp";
			if (($campo=="value")&&($campoValue=="id_tipoChamp")){
				array_push($new_champ,$value);
			}
			//Si en el campo "name" del array tenemos que es el fin del tipo de campeonato
			if (($campo=="name")&&($value=="finChamp")) $campoValue="finChamp";
			if (($campo=="value")&&($campoValue=="finChamp")){
				//Si no está creado, lo creamos
				if (!isset($champ)) $champ= array($new_champ);
				else array_push($champ,$new_champ);
				unset($new_champ);
			}
			
			//Para el array de categorías
			//Si en el campo "name" del array tenemos que es un tipo de categoría
			if (($campo=="name")&&(($value=="id_cat")||($value=="categoria")||($value=="categoria_desde")||($value=="categoria_edad1")||($value=="categoria_hasta"))) $campoValue="categoria";
			if (($campo=="value")&&($campoValue=="categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($categoria_temp)) $categoria_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($categoria_temp,$value);
			}
			//Si nos encontramos con el último valor de la categoría (categoria_hasta), entonces tenemos que cerrar el array y añadirlo al general
			if (($campo=="name")&&($value=="categoria_edad2")) $campoValue="categoria_fin";
			if (($campo=="value")&&($campoValue=="categoria_fin")){
				//Terminamos el array y lo sumamos al general, es decir, el que contiene las categorías
				array_push($categoria_temp,$value);
				if (!isset($categoria)) $categoria= array($categoria_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($categoria,$categoria_temp);
				//Vaciamos el array temporal
				unset($categoria_temp);
			}
			
			//Para el array de modalidades
			//Si en el campo "name" del array tenemos que es mod
			if (($campo=="name")&&(($value=="mod")||($value=="id_mod"))) $campoValue="mod";
			if (($campo=="value")&&($campoValue=="mod")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($mod_temp)) $mod_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($mod_temp,$value);
			}
			//Si nos encontramos con el último valor de la modalidad (mod_radio), entonces tenemos que cerrar el array y añadirlo al general
			//strpos encuentra la cadena "mod_radio" en la variable valor y devuelve la primera ocurrencia que ha encontrado (en este caso sería un cero)
			//Es necesario insertar strpos porque los radios "mod_radio" de los input radio tienen numeración al final "mod_radio, mod_radio2". De esta forma seleccionamos todas aquellas que tengan mod_radio
			if (($campo=="name")&&(strpos($value, "mod_radio")>-1)) $campoValue="mod_fin";
			if (($campo=="value")&&($campoValue=="mod_fin")){
				//Terminamos el array y lo sumamos al general, es decir, el que contiene las categorías
				array_push($mod_temp,$value);
				if (!isset($mod)) $mod= array($mod_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($mod,$mod_temp);
				//Vaciamos el array temporal
				unset($mod_temp);
			}
			
			//Para el array de pruebas
			//Si en el campo "name" encontramos "prueba_first", comenzamos a guardar en el vector prueba_temp
			if (($campo=="name")&&($value=="prueba_first")) $campoValue="prueba_first";
			if (($campo=="value")&&($campoValue=="prueba_first")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las pruebas (el título con la modalidad)
				if (!isset($prueba_temp)) $prueba_temp= array($value);
			}
			//Segundo control que va añadiendo elementos al vector de pruebas
			if (($campo=="name")&&(($value=="prueba")||($value=="id_prueba"))) $campoValue="prueba";
			if (($campo=="value")&&($campoValue=="prueba")){
				array_push($prueba_temp,$value);
			}
			//Si nos encontramos con el campo "prueba_fin" es que hemos llegado al final del vector y tenemos que cerrarlo y añadirlo al vector general de pruebas
			if (($campo=="name")&&($value=="prueba_fin")) $campoValue="prueba_fin";
			if (($campo=="value")&&($campoValue=="prueba_fin")){
				if (count($prueba_temp)>=2){
					if (!isset($prueba)) $prueba= array($prueba_temp);
					//Si ya está creado, añadimos más elementos al final
					else array_push($prueba,$prueba_temp);
				}
				//Vaciamos el array temporal
				unset($prueba_temp);
			}
			
			//Para el array de los números de jueces
			//Si en el campo "name" del array tenemos que es un num_juez
			if (($campo=="name")&&(($value=="num_juez")||($value=="num_juez_min")||($value=="id_numJuez"))) $campoValue="num_juez";
			if (($campo=="value")&&($campoValue=="num_juez")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($num_juez_temp)) $num_juez_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($num_juez_temp,$value);
			}
			//Si nos encontramos con el último valor del tipo num_juez (num_juez_max), entonces tenemos que cerrar el array y añadirlo al general
			if (($campo=="name")&&($value=="num_juez_max")) $campoValue="num_juez_fin";
			if (($campo=="value")&&($campoValue=="num_juez_fin")){
				//Terminamos el array y lo sumamos al general, es decir, el que contiene el número de jueces por tipos de campeonato
				array_push($num_juez_temp,$value);
				if (!isset($num_juez)) $num_juez= array($num_juez_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($num_juez,$num_juez_temp);
				//Vaciamos el array temporal
				unset($num_juez_temp);
			}
			
			//Para el array de las medallas
			//Si en el campo "name" del array tenemos una medalla_first, medalla_fem, medalla_masc; que contienen la modalidad
			if (($campo=="name")&&(($value=="medalla_fem")||($value=="medalla_masc")||($value=="medalla_first"))) $campoValue=$value;
			if (($campo=="value")&&(($campoValue=="medalla_fem")||($campoValue=="medalla_masc")||($campoValue=="medalla_first"))){
				if ($campoValue=="medalla_fem"){
					$valor="femenino";
				}
				if ($campoValue=="medalla_masc"){
					$valor="masculino";
				}
				if ($campoValue=="medalla_first"){
					$valor="otro";
				}
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($medalla_temp)){
					$medalla_temp= array($value);
					array_push($medalla_temp,$valor);
				}
				//Si ya está creado, creamos un nuevo vector cerrando el anterior
				else{
					if (isset($medalla_temp)){
						if (!isset($medalla)) $medalla= array($medalla_temp);
						//Si ya está creado, añadimos más elementos al final
						else array_push($medalla,$medalla_temp);
						//Vaciamos el array temporal
						unset($medalla_temp);
						$medalla_temp= array($value);
						array_push($medalla_temp,$valor);
					}
				}
			}
			//Segundo control que añade el nombre de la prueba al vector medallas
			if (($campo=="name")&&(($value=="id_inv")||($value=="medalla_prueba"))) $campoValue="medalla_prueba";
			if (($campo=="value")&&($campoValue=="medalla_prueba")){
				array_push($medalla_temp,$value);
			}
			//Tercer control que va añadiendo elementos al vector de medallas
			//Los elementos de las medallas pueden ser oro, bronce, plata y trofeo, que se encontrarán en el name, no en el value.
			if (($campo=="name")&&(($value=="bronce")||($value=="plata")||($value=="oro"))){
				array_push($medalla_temp,$value);
			}
			//Si nos encontramos con el último valor de las medallas (medalla_last), entonces tenemos que cerrar el array y añadirlo al general
			if (($campo=="name")&&($value=="medalla_last")){
				if (count($medalla_temp)>=4){
					if (!isset($medalla)) $medalla= array($medalla_temp);
					//Si ya está creado, añadimos más elementos al final
					else array_push($medalla,$medalla_temp);
				}
				//Vaciamos el array temporal
				unset($medalla_temp);
			}
			
			//Para el array de los trofeos
			//Cuando tenemos una modalidad (primera) y no es default_trofeo (está definida) va todo bien. Habrá error cuando la primera modalidad sea default_trofe.
			//No se contabilizarán aquellas segundas modalidades con default_trofeo. Se contabilizará solo la primera modalidad, o las 2 si están bien definidas.
			//Si en el campo "name" del array tenemos el campeonato
			if (($campo=="name")&&($value=="trofeoChamp")) $campoValue="trofeoChamp";
			if (($campo=="value")&&($campoValue=="trofeoChamp")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($trofeo_temp)) $trofeo_temp= array($value);
				
			}
			//Si en el campo "name" del array tenemos el número de alumnos
			if (($campo=="name")&&($value=="alumnos_trofeo")) $campoValue="alumnos_trofeo";
			if (($campo=="value")&&($campoValue=="alumnos_trofeo")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($trofeo_modtemp)) $trofeo_modtemp= array($value);
			}
			//Si en el campo "name" del array tenemos las modalidades y el id_trofeo
			if (($campo=="name")&&($value=="id_trofeo")) $campoValue="selectTrofeo0";
			if (($campo=="value")&&($campoValue=="selectTrofeo0")){
				if (isset($trofeo_modtemp)) array_push($trofeo_modtemp,$value);
			}
			//Si en el campo "name" del array tenemos las modalidades y el id_trofeo
			if (($campo=="name")&&($value=="selectTrofeo1")) $campoValue="selectTrofeo1";
			if (($campo=="value")&&($campoValue=="selectTrofeo1")){
				if (isset($trofeo_modtemp)) 
					if ($value=="default_trofeo") $error=-12;
					else array_push($trofeo_modtemp,$value);
			}
			//Si en el campo "name" del array tenemos las modalidades y el id_trofeo
			if (($campo=="name")&&($value=="selectTrofeo2")) $campoValue="selectTrofeo2";
			if (($campo=="value")&&($campoValue=="selectTrofeo2")){
				if (isset($trofeo_modtemp)) 
					if ($value!="default_trofeo") array_push($trofeo_modtemp,$value);
			}
			//Si en el campo "name" del array tenemos el fin del trofeo para las modalidades
			if (($campo=="name")&&($value=="finTrofeoMod")) $campoValue="finTrofeoMod";
			if (($campo=="value")&&($campoValue=="finTrofeoMod")){
				if (isset($trofeo_modtemp)&&(count($trofeo_modtemp)>2)){
					array_push($trofeo_temp,$trofeo_modtemp);
					unset($trofeo_modtemp);
				}
			}
			//Si en el campo "name" del array tenemos el fin del campeonato
			if (($campo=="name")&&($value=="fintrofeoChamp")) $campoValue="fintrofeoChamp";
			if (($campo=="value")&&($campoValue=="fintrofeoChamp")){
				if (isset($trofeo_temp)&&(count($trofeo_temp)>1)){
					if (isset($trofeo)) array_push($trofeo,$trofeo_temp);
					else $trofeo= array($trofeo_temp);
					unset($trofeo_temp);
				}
			}
			
			//Para el array de los pagos
			//Primer control que comprueba los pagos de las inscripciones
			if (($campo=="name")&&($value=="inicio_pago_inscripciones")) $campoValue="inicio_pago_inscripciones";
			if (($campo=="value")&&($campoValue=="inicio_pago_inscripciones")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array("inscripciones");
			}
			//Segundo control que añade la modalidad, el nombre de la prueba y los pagos correspondientes
			if (($campo=="name")&&(($value=="pago_first")||($value=="pago_prueba")||($value=="id_pago1")||($value=="pago"))) $campoValue="pago_inscripciones";
			if (($campo=="value")&&($campoValue=="pago_inscripciones")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($pago_temp,$value);
			}
			//Fin de los los pagos de las inscripciones. Cerramos el vector.
			if (($campo=="name")&&($value=="fin_pago_inscripciones")) $campoValue="fin_pago_inscripciones";
			if (($campo=="value")&&($campoValue=="fin_pago_inscripciones")){
				if (count($pago_temp)>=4){
					if (!isset($pago)) $pago= array($pago_temp);
					//Si ya está creado, añadimos más elementos al final
					else array_push($pago,$pago_temp);
				}
				//Vaciamos el array temporal
				unset($pago_temp);
			}
			//Para el array de los pagos II
			//Primer control que comprueba los pagos de los jueces y calculadores
			if (($campo=="name")&&($value=="inicio_pago_jueces")) $campoValue="inicio_pago_jueces";
			if (($campo=="value")&&($campoValue=="inicio_pago_jueces")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array("jueces");
			}
			//Segundo control que añade el tipo de juez, la tarifa por hora, la tarifa por kms y la dieta
			if (($campo=="name")&&(($value=="nombre_pago_juez")||($value=="tarifa_pago_juez")||($value=="id_pago2")||($value=="tarifa_pago_km")||($value=="tarifa_pago_dieta")||($value=="tarifa_pago_hora_dieta"))) $campoValue="pago_jueces";
			if (($campo=="value")&&($campoValue=="pago_jueces")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($pago_temp,$value);
			}
			//Fin de los los pagos de las inscripciones. Cerramos el vector.
			if (($campo=="name")&&($value=="fin_pago_jueces")) $campoValue="fin_pago_jueces";
			if (($campo=="value")&&($campoValue=="fin_pago_jueces")){
				if (!isset($pago)) $pago= array($pago_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($pago,$pago_temp);
				//Vaciamos el array temporal
				unset($pago_temp);
			}
			//Para el array de los pagos III
			//Primer control que comprueba los pagos de los jueces y calculadores
			if (($campo=="name")&&($value=="inicio_pago_medallas")) $campoValue="inicio_pago_medallas";
			if (($campo=="value")&&($campoValue=="inicio_pago_medallas")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array("medallas");
			}
			//Segundo control que añade el tipo de juez, la tarifa por hora, la tarifa por kms y la dieta
			if (($campo=="name")&&(($value=="tarifa_pago_medalla")||($value=="id_pago3"))) $campoValue="pago_medallas";
			if (($campo=="value")&&($campoValue=="pago_medallas")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pago_temp)) $pago_temp= array($value);
				//Si ya está creado, añadimos más elementos al final
				else array_push($pago_temp,$value);
			}
			//Fin de los los pagos de las inscripciones. Cerramos el vector.
			if (($campo=="name")&&($value=="fin_pago_medallas")) $campoValue="fin_pago_medallas";
			if (($campo=="value")&&($campoValue=="fin_pago_medallas")){
				if (!isset($pago)) $pago= array($pago_temp);
				//Si ya está creado, añadimos más elementos al final
				else array_push($pago,$pago_temp);
				//Vaciamos el array temporal
				unset($pago_temp);
			}
			
			//Para el array de calculadores
			//Si en el campo "name" encontramos "select_puntuacion", comenzamos a guardar en el vector puntuacion_temp
			if (($campo=="name")&&($value=="puntuacion_select")) $campoValue="puntuacion_select";
			if (($campo=="value")&&($campoValue=="puntuacion_select")){
				//Si no estaba creado, deberíamos crearlo para añadir el primer valor de las puntuaciones (si es por modalidades o por pruebas)
				if (!isset($puntuacion_temp)){
					$puntuacion_temp= array($value);
					$tipo_puntuacion=$value;
				}
			}
			//Segundo control que añade la modalidad en un nuevo vector
			if (($campo=="name")&&($value=="puntuacion_first")) $campoValue="puntuacion_first";
			if (($campo=="value")&&($campoValue=="puntuacion_first")){
				if (!isset($puntuacion_mod)) $puntuacion_mod= array($value);
			}
			//Otro control que añade otro vector con la prueba
			if (($campo=="name")&&($value=="puntuacion_prueba")) $campoValue="puntuacion_prueba";
			if (($campo=="value")&&($campoValue=="puntuacion_prueba")){
				if (!isset($puntuacion_prueba)) $puntuacion_prueba= array($value);
			}
			//Control que encuentra un elemento para la modalidad o prueba. Crea un nuevo vector en donde encontraremos al elemento y a quien va dirigido.
			//El primer elemento es el elemento.
			if (($campo=="name")&&(($value=="puntuacion")||($value=="id_calc"))) $campoValue="puntuacion";
			if (($campo=="value")&&($campoValue=="puntuacion")){
				if (!isset($puntuacion_elemento)) $puntuacion_elemento= array($value);
				else array_push($puntuacion_elemento,$value);
			}
			//Control que finaliza el vector de elementos y lo añade al vector de modalidades o de pruebas, según toque.
			if (($campo=="name")&&($value=="input_tipo_puntuacion")) $campoValue="input_tipo_puntuacion";
			if (($campo=="value")&&($campoValue=="input_tipo_puntuacion")){
				if ($tipo_puntuacion=="pormods"){
					array_push($puntuacion_elemento,$value);
					array_push($puntuacion_mod,$puntuacion_elemento);
					unset($puntuacion_elemento);
				}
				if ($tipo_puntuacion=="porpruebas"){
					array_push($puntuacion_elemento,$value);
					array_push($puntuacion_prueba,$puntuacion_elemento);
					unset($puntuacion_elemento);
				}
			}
			//Finaliza el vector de pruebas si lo tenemos definido así
			if (($campo=="name")&&($value=="puntuacionPrueba_fin")) $campoValue="puntuacionPrueba_fin";
			if (($campo=="value")&&($campoValue=="puntuacionPrueba_fin")){
				if (count($puntuacion_prueba)>=2){
					if (!isset($puntuacion_mod)) $puntuacion_mod= array($puntuacion_prueba);
					//Si ya está creado, añadimos más elementos al final
					else array_push($puntuacion_mod,$puntuacion_prueba);
				}
				//Vaciamos el array temporal
				unset($puntuacion_prueba);
			}
			//Si nos encontramos con el campo "puntuacion_fin" es que hemos llegado al final del vector y tenemos que cerrarlo y añadirlo al vector general de puntuaciones
			if (($campo=="name")&&($value=="puntuacion_fin")) $campoValue="puntuacion_fin";
			if (($campo=="value")&&($campoValue=="puntuacion_fin")){
				if (count($puntuacion_mod)>=2){
					if (!isset($puntuacion_temp)) $puntuacion_temp= array($puntuacion_mod);
					//Si ya está creado, añadimos más elementos al final
					else array_push($puntuacion_temp,$puntuacion_mod);
				}
				//Vaciamos el array temporal
				unset($puntuacion_mod);
				if (count($puntuacion_temp)>=2){
					if (!isset($puntuacion)) $puntuacion= array($puntuacion_temp);
					//Si ya está creado, añadimos más elementos al final
					else array_push($puntuacion,$puntuacion_temp);
				}
				unset($puntuacion_temp);
			}
			
			//Para el array de los tiempos
			//Cuando seleccionamos 'según categorías'
			//Según categorías I: Encontrando el input "inicio_segun_categoria"
			if (($campo=="name")&&($value=="inicio_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_categoria)) $tiempo_segun_categoria= array("segun_categoria");
			}
			//Según categorías II: Encontramos una categoría.
			if (($campo=="name")&&($value=="tiempo_segun_categoria")) $campoValue="tiempo_segun_categoria";
			if (($campo=="value")&&($campoValue=="tiempo_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_categoria_cat)){
					$tiempo_segun_categoria_cat= array("categoria");
					$tiempo_segun_categoria_cat[]=$value;
				}
			}
			//Según categorías II: Encontramos una modalidad en la categoría
			if (($campo=="name")&&($value=="modalidad_segun_categoria")) $campoValue="modalidad_segun_categoria";
			if (($campo=="value")&&($campoValue=="modalidad_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_categoria_mod)){
					$tiempo_segun_categoria_mod= array("modalidad");
					$tiempo_segun_categoria_mod[]=$value;
				}
			}
			//Según categorías II: Encontramos los minutos de la modalidad 'según categorias'
			if (($campo=="name")&&(($value=="id_time")||($value=="tiempo_minutos"))&&(isset($tiempo_segun_categoria_cat))) $campoValue="tiempo_minutos_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="tiempo_minutos_mod_segun_categoria")){
				$tiempo_segun_categoria_mod[]=$value;
			}
			//Según categorías II: Encontramos los segundos de la modalidad 'según categorias'. Cerramos el vector y lo añadimos a la categoría
			if (($campo=="name")&&($value=="tiempo_segundos")&&(isset($tiempo_segun_categoria_cat))) $campoValue="tiempo_segundos_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="tiempo_segundos_mod_segun_categoria")){
				$tiempo_segun_categoria_mod[]=$value;
				$tiempo_segun_categoria_cat[]=$tiempo_segun_categoria_mod;
				//Vaciamos el array temporal
				unset($tiempo_segun_categoria_mod);
			}
			//Según categorías II: Encontramos el fin de la categoria. Cerramos el vector, añadimos al vector general y lo borramos.
			if (($campo=="name")&&($value=="fin_cat_segun_categoria")){
				if (count($tiempo_segun_categoria_cat)>=3) $tiempo_segun_categoria[]= $tiempo_segun_categoria_cat;
				unset($tiempo_segun_categoria_cat);
			}
			//Según categorías III: Encontramos una modalidad.
			if (($campo=="name")&&($value=="boton_modalidad_segun_categoria")) $campoValue="boton_modalidad_segun_categoria";
			if (($campo=="value")&&($campoValue=="boton_modalidad_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_categoria_boton_mod)){
					$tiempo_segun_categoria_boton_mod = array("boton_modalidad");
					array_push($tiempo_segun_categoria_boton_mod,$value);
				}
			}
			//Según categorías III: Encontramos una prueba en la modalidad
			if (($campo=="name")&&($value=="prueba_segun_categoria")) $campoValue="prueba_segun_categoria";
			if (($campo=="value")&&($campoValue=="prueba_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_categoria_prueba)){
					$tiempo_segun_categoria_prueba= array("prueba");
					array_push($tiempo_segun_categoria_prueba,$value);
				}
			}
			//Según categorías III: Encontramos los minutos de la prueba 'según categorias'
			if (($campo=="name")&&(($value=="id_time")||($value=="tiempo_minutos"))&&(isset($tiempo_segun_categoria_boton_mod))) $campoValue="tiempo_minutos_boton_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="tiempo_minutos_boton_mod_segun_categoria")){
				$tiempo_segun_categoria_prueba[]=$value;
			}
			//Según categorías III: Encontramos los segundos de la prueba 'según categorias'. Cerramos el vector y lo añadimos a la modalidad
			if (($campo=="name")&&($value=="tiempo_segundos")&&(isset($tiempo_segun_categoria_boton_mod))) $campoValue="tiempo_segundos_boton_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="tiempo_segundos_boton_mod_segun_categoria")){
				$tiempo_segun_categoria_prueba[]=$value;
				$tiempo_segun_categoria_boton_mod[]=$tiempo_segun_categoria_prueba;
				//Vaciamos el array temporal
				unset($tiempo_segun_categoria_prueba);
			}
			//Según categorías III: Encontramos el fin de la modalidad. Cerramos el vector, añadimos al vector general y lo borramos.
			if (($campo=="name")&&($value=="fin_mod_segun_categoria")&&(isset($tiempo_segun_categoria_boton_mod))){
				if (count($tiempo_segun_categoria_boton_mod)>=3) array_push($tiempo_segun_categoria, $tiempo_segun_categoria_boton_mod);
				unset($tiempo_segun_categoria_boton_mod);
			}
			
			//Según categorías IV: Finalizamos el vector cuando encontramos el input "fin_segun_categoria"
			if (($campo=="name")&&($value=="fin_segun_categoria")&&(isset($tiempo_segun_categoria))){
				if (!isset($tiempo)){
					$tiempo[]= $tiempo_segun_categoria;
					unset($tiempo_segun_categoria);
				}
			}
			//Cuando seleccionamos 'según camepaonatos'
			//Según campeonatos I: Encontrando el input "inicio_segun_campeonato"
			if (($campo=="name")&&($value=="inicio_segun_campeonato")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato)) $tiempo_segun_campeonato= array("segun_campeonato");
			}
			//Según campeonatos II: Encontramos un campeonato.
			if (($campo=="name")&&($value=="champ_segun_categoria")) $campoValue="champ_segun_categoria";
			if (($campo=="value")&&($campoValue=="champ_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_champ)){
					$tiempo_segun_campeonato_champ= array("campeonato");
					$tiempo_segun_campeonato_champ[]=$value;
				}
			}
			//Según campeonatos II: Encontramos una modalidad en el campeonato
			if (($campo=="name")&&($value=="modalidad_segun_champ")) $campoValue="modalidad_segun_champ";
			if (($campo=="value")&&($campoValue=="modalidad_segun_champ")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_mod)){
					$tiempo_segun_campeonato_mod= array("modalidad");
					$tiempo_segun_campeonato_mod[]=$value;
				}
			}
			//Según campeonatos II: Encontramos una prueba en la modalidad de un campeonato
			if (($campo=="name")&&($value=="prueba_segun_champ")) $campoValue="prueba_segun_champ";
			if (($campo=="value")&&($campoValue=="prueba_segun_champ")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_prueba)){
					$tiempo_segun_campeonato_prueba= array("prueba");
					$tiempo_segun_campeonato_prueba[]=$value;
				}
			}
			//Según categorías II: Encontramos los minutos de la prueba 'según campeonatos'
			if (($campo=="name")&&(($value=="id_time")||($value=="tiempo_minutos")||(($value=="tiempo_segundos")))&&(isset($tiempo_segun_campeonato_prueba))) $campoValue="tiempo_minutos_prueba_segun_campeonato";
			if (($campo=="value")&&($campoValue=="tiempo_minutos_prueba_segun_campeonato")){
				$tiempo_segun_campeonato_prueba[]=$value;
			}
			//Según campeonatos II: Encontramos una categoría en la prueba de la modalidad de un campeonato
			if (($campo=="name")&&($value=="boton_categoria_single_segun_campeonato")) $campoValue="boton_categoria_single_segun_campeonato";
			if (($campo=="value")&&($campoValue=="boton_categoria_single_segun_campeonato")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_prueba_categoria)){
					$tiempo_segun_campeonato_prueba_categoria= array("prueba_categoria");
					$tiempo_segun_campeonato_prueba_categoria[]=$value;
				}
			}
			//Según campeonatos II: Encontramos los minutos de la categoría dentro de la prueba 'según campeonatos'
			if (($campo=="name")&&(($value=="id_time")||($value=="tiempo_minutos"))&&(isset($tiempo_segun_campeonato_prueba_categoria))) $campoValue="tiempo_minutos_prueba_categoria_segun_campeonato";
			if (($campo=="value")&&($campoValue=="tiempo_minutos_prueba_categoria_segun_campeonato")){
				$tiempo_segun_campeonato_prueba_categoria[]=$value;
			}
			
			//Según campeonatos II: Encontramos los segundos de la categoría dentr de la prueba, en la modalidad 'según campeonatos'. Cerramos el vector y lo añadimos a la modalidad.
			if (($campo=="name")&&($value=="tiempo_segundos")&&(isset($tiempo_segun_campeonato_prueba_categoria))) $campoValue="tiempo_segundos_prueba_categoria_segun_campeonato";
			if (($campo=="value")&&($campoValue=="tiempo_segundos_prueba_categoria_segun_campeonato")){
				$tiempo_segun_campeonato_prueba_categoria[]=$value;
				$tiempo_segun_campeonato_prueba[]=$tiempo_segun_campeonato_prueba_categoria;
				//Vaciamos el array temporal
				unset($tiempo_segun_campeonato_prueba_categoria);
			}
			//Según campeonatos II: Encontramos el fin de la prueba. Cerramos el vector y añadimos la prueba a la modalidad.
			if (($campo=="name")&&($value=="fin_prueba_segun_campeonato")&&(isset($tiempo_segun_campeonato_prueba))){
				if (count($tiempo_segun_campeonato_prueba)>=3) $tiempo_segun_campeonato_mod[]= $tiempo_segun_campeonato_prueba;
				unset($tiempo_segun_campeonato_prueba);
			}
			//Según campeonatos II: Encontramos el fin de la modalidad. Cerramos el vector y añadimos la modalidad al campeonato.
			if (($campo=="name")&&($value=="fin_mod_segun_campeonato")&&(isset($tiempo_segun_campeonato_mod))){
				if (count($tiempo_segun_campeonato_mod)>=3) $tiempo_segun_campeonato_champ[]= $tiempo_segun_campeonato_mod;
				unset($tiempo_segun_campeonato_mod);
			}
			//Según campeonatos II: Encontramos el fin del campeonato. Cerramos el vector y lo añadimos al general.
			if (($campo=="name")&&($value=="fin_champ_segun_campeonato")){
				if (count($tiempo_segun_campeonato_champ)>=3) $tiempo_segun_campeonato[]= $tiempo_segun_campeonato_champ;
				unset($tiempo_segun_campeonato_champ);
			}
			//Según campeonatos III: Añadimos una categoría con el botón 'Añadir categoría'.
			if (($campo=="name")&&($value=="boton_categoria_segun_campeonato")) $campoValue="boton_categoria_segun_campeonato";
			if (($campo=="value")&&($campoValue=="boton_categoria_segun_campeonato")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_boton_cat)){
					$tiempo_segun_campeonato_boton_cat = array("boton_categoria");
					array_push($tiempo_segun_campeonato_boton_cat,$value);
				}
			}
			//Según campeonatos III: Encontramos los minutos de la categoría
			if (($campo=="name")&&(($value=="id_time")||($value=="tiempo_minutos"))&&(isset($tiempo_segun_campeonato_boton_cat))) $campoValue="tiempo_minutos_boton_cat_segun_campeonato";
			if (($campo=="value")&&($campoValue=="tiempo_minutos_boton_cat_segun_campeonato")){
				$tiempo_segun_campeonato_boton_cat[]=$value;
			}
			//Según campeonatos III: Encontramos los segundos de la categoría. Cerramos el vector y lo añadimos al general
			if (($campo=="name")&&($value=="tiempo_segundos")&&(isset($tiempo_segun_campeonato_boton_cat))) $campoValue="tiempo_segundos_boton_cat_segun_campeonato";
			if (($campo=="value")&&($campoValue=="tiempo_segundos_boton_cat_segun_campeonato")){
				$tiempo_segun_campeonato_boton_cat[]=$value;
				$tiempo_segun_campeonato[]=$tiempo_segun_campeonato_boton_cat;
				//Vaciamos el array temporal
				unset($tiempo_segun_campeonato_boton_cat);
			}
			
			//Según categorías IV: Finalizamos el vector cuando encontramos el input "fin_segun_campeonato"
			if (($campo=="name")&&($value=="fin_segun_campeonato")&&(isset($tiempo_segun_campeonato))){
				if (!isset($tiempo)){
					$tiempo[]= $tiempo_segun_campeonato;
					unset($tiempo_segun_campeonato);
				}
			}
			
			
			//Para el array de los jueces
			//Cuando seleccionamos 'según categorías'
			//Según categorías I: Encontrando el input "inicio_documento_juez_segun_categoria"
			if (($campo=="name")&&($value=="inicio_documento_juez_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_categoria)) $jueces_segun_categoria= array("segun_categoria");
			}
			//Según categorías II: Encontramos una categoría.
			if (($campo=="name")&&($value=="jueces_segun_categoria")) $campoValue="jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="jueces_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_categoria_cat)){
					$jueces_segun_categoria_cat= array("categoria");
					$jueces_segun_categoria_cat[]=$value;
				}
			}
			//Según categorías II: Encontramos una modalidad en la categoría
			if (($campo=="name")&&($value=="modalidad_jueces_segun_categoria")) $campoValue="modalidad_jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="modalidad_jueces_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_categoria_mod)){
					$jueces_segun_categoria_mod= array("modalidad");
					$jueces_segun_categoria_mod[]=$value;
				}
			}
			//Según categorías II: Encontramos un elemento en la modalidad
			if (($campo=="name")&&(($value=="elemento_jueces")||($value=="id_jueces"))&&(isset($jueces_segun_categoria_mod))) $campoValue="elemento_jueces_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="elemento_jueces_mod_segun_categoria")){
				$jueces_segun_categoria_mod[]=$value;
			}
			//Según categorías II: Encontramos el fin de la modalidad. Cerramos el vector y lo añadimos a la categoría
			if (($campo=="name")&&($value=="fin_modalidad_jueces_segun_categoria")) $campoValue="fin_modalidad_jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="fin_modalidad_jueces_segun_categoria")){
				if (count($jueces_segun_categoria_mod)>=3) $jueces_segun_categoria_cat[]=$jueces_segun_categoria_mod;
				//Vaciamos el array temporal
				unset($jueces_segun_categoria_mod);
			}
			//Según categorías II: Encontramos el fin de la categoria. Cerramos el vector, añadimos al vector general y lo borramos.
			if (($campo=="name")&&($value=="fin_jueces_segun_categoria")){
				if (count($jueces_segun_categoria_cat)>=3) $jueces_segun_categoria[]= $jueces_segun_categoria_cat;
				unset($jueces_segun_categoria_cat);

			}
			//Según categorías III: Encontramos una modalidad.
			if (($campo=="name")&&($value=="boton_jueces_modalidad_segun_categoria")) $campoValue="boton_jueces_modalidad_segun_categoria";
			if (($campo=="value")&&($campoValue=="boton_jueces_modalidad_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_categoria_boton_mod)){
					$jueces_segun_categoria_boton_mod = array("boton_modalidad");
					array_push($jueces_segun_categoria_boton_mod,$value);
				}
			}
			//Según categorías III: Encontramos una prueba en la modalidad
			if (($campo=="name")&&($value=="prueba_jueces_segun_categoria")) $campoValue="prueba_jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="prueba_jueces_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_categoria_prueba)){
					$jueces_segun_categoria_prueba= array("prueba");
					array_push($jueces_segun_categoria_prueba,$value);
				}
			}
			//Según categorías III: Encontramos Encontramos un elemento en la prueba 'según categorias'
			if (($campo=="name")&&(($value=="elemento_jueces")||($value=="id_jueces"))&&(isset($jueces_segun_categoria_boton_mod))) $campoValue="elemento_boton_mod_segun_categoria";
			if (($campo=="value")&&($campoValue=="elemento_boton_mod_segun_categoria")){
				$jueces_segun_categoria_prueba[]=$value;
			}
			//Según categorías III: Encontramos el fin de la prueba. Cerramos el vector y lo añadimos a la modalidad
			if (($campo=="name")&&($value=="fin_prueba_jueces_segun_categoria")) $campoValue="fin_prueba_jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="fin_prueba_jueces_segun_categoria")){
				if (count($jueces_segun_categoria_prueba)>=3) $jueces_segun_categoria_boton_mod[]=$jueces_segun_categoria_prueba;
				//Vaciamos el array temporal
				unset($jueces_segun_categoria_prueba);
			}
			//Según categorías III: Encontramos el fin de la modalidad. Cerramos el vector, añadimos al vector general y lo borramos.
			if (($campo=="name")&&($value=="fin_mod_segun_categoria")&&(isset($jueces_segun_categoria_boton_mod))){
				if (count($jueces_segun_categoria_boton_mod)>=3) array_push($jueces_segun_categoria, $jueces_segun_categoria_boton_mod);
				unset($jueces_segun_categoria_boton_mod);
			}
			
			//Según categorías IV: Finalizamos el vector cuando encontramos el input "fin_documento_juez_segun_categoria"
			if (($campo=="name")&&($value=="fin_documento_juez_segun_categoria")&&(isset($jueces_segun_categoria))){
				if (!isset($juez)){
					$juez[]= $jueces_segun_categoria;
					unset($jueces_segun_categoria);
				}
			}
			//Cuando seleccionamos 'según camepaonatos'
			//Según campeonatos I: Encontrando el input "inicio_segun_campeonato"
			if (($campo=="name")&&($value=="inicio_jueces_segun_campeonato")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_campeonato)) $jueces_segun_campeonato= array("segun_campeonato");
			}
			//Según campeonatos II: Encontramos un campeonato.
			if (($campo=="name")&&($value=="champ_jueces_segun_categoria")) $campoValue="champ_jueces_segun_categoria";
			if (($campo=="value")&&($campoValue=="champ_jueces_segun_categoria")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_campeonato_champ)){
					$jueces_segun_campeonato_champ= array("campeonato");
					$jueces_segun_campeonato_champ[]=$value;
				}
			}
			//Según campeonatos II: Encontramos una modalidad en el campeonato
			if (($campo=="name")&&($value=="modalidad_jueces_segun_champ")) $campoValue="modalidad_jueces_segun_champ";
			if (($campo=="value")&&($campoValue=="modalidad_jueces_segun_champ")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($tiempo_segun_campeonato_mod)){
					$jueces_segun_campeonato_mod= array("modalidad");
					$jueces_segun_campeonato_mod[]=$value;
				}
			}
			//Según campeonatos II: Encontramos una prueba en la modalidad de un campeonato
			if (($campo=="name")&&($value=="prueba_jueces_segun_champ")) $campoValue="prueba_jueces_segun_champ";
			if (($campo=="value")&&($campoValue=="prueba_jueces_segun_champ")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_campeonato_prueba)){
					$jueces_segun_campeonato_prueba= array("prueba");
					$jueces_segun_campeonato_prueba[]=$value;
				}
			}
			//Según categorías II: Encontramos un elemento_jueces de la prueba 'según campeonatos'
			if (($campo=="name")&&(($value=="elemento_jueces")||($value=="id_jueces"))&&(isset($jueces_segun_campeonato_prueba))) $campoValue="elemento_jueces_prueba_segun_campeonato";
			if (($campo=="value")&&($campoValue=="elemento_jueces_prueba_segun_campeonato")){
				$jueces_segun_campeonato_prueba[]=$value;
			}			
			//Según campeonatos II: Encontramos el fin de la prueba, en la modalidad 'según campeonatos'. Cerramos el vector y lo añadimos a la modalidad.
			if (($campo=="name")&&($value=="fin_prueba_jueces_segun_campeonato")&&(isset($jueces_segun_campeonato_prueba))){
				if (count($jueces_segun_campeonato_prueba)>=3) $jueces_segun_campeonato_mod[]=$jueces_segun_campeonato_prueba;
				//Vaciamos el array temporal
				unset($jueces_segun_campeonato_prueba);
			}
			//Según campeonatos II: Encontramos el fin de la modalidad. Cerramos el vector y añadimos la modalidad al campeonato.
			if (($campo=="name")&&($value=="fin_mod_jueces_segun_campeonato")&&(isset($jueces_segun_campeonato_mod))){
				if (count($jueces_segun_campeonato_mod)>=3) $jueces_segun_campeonato_champ[]= $jueces_segun_campeonato_mod;
				unset($jueces_segun_campeonato_mod);
			}
			//Según campeonatos II: Encontramos el fin del campeonato. Cerramos el vector y lo añadimos al general.
			if (($campo=="name")&&($value=="fin_champ_jueces_segun_campeonato")){
				if (count($jueces_segun_campeonato_champ)>=3) $jueces_segun_campeonato[]= $jueces_segun_campeonato_champ;
				unset($jueces_segun_campeonato_champ);
			}
			//Según campeonatos III: Añadimos una categoría con el botón 'Añadir categoría'.
			if (($campo=="name")&&($value=="boton_categoria_jueces_segun_campeonato")) $campoValue="boton_categoria_jueces_segun_campeonato";
			if (($campo=="value")&&($campoValue=="boton_categoria_jueces_segun_campeonato")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($jueces_segun_campeonato_boton_cat)){
					$jueces_segun_campeonato_boton_cat = array("boton_categoria");
					array_push($jueces_segun_campeonato_boton_cat,$value);
				}
			}
			//Según campeonatos III: Encontramos un elemento_jueces en la categoría
			if (($campo=="name")&&(($value=="elemento_jueces")||($value=="id_jueces"))&&(isset($jueces_segun_campeonato_boton_cat))) $campoValue="elemento_jueces_boton_cat_segun_campeonato";
			if (($campo=="value")&&($campoValue=="elemento_jueces_boton_cat_segun_campeonato")){
				$jueces_segun_campeonato_boton_cat[]=$value;
			}
			//Según campeonatos III: Encontramos el fin de la categoría. Cerramos el vector y lo añadimos al general.
			if (($campo=="name")&&($value=="fin_boton_categoria_jueces_segun_campeonato")){
				if (count($jueces_segun_campeonato_boton_cat)>=3) $jueces_segun_campeonato[]=$jueces_segun_campeonato_boton_cat;
				//Vaciamos el array temporal
				unset($jueces_segun_campeonato_boton_cat);
			}
			//Según categorías IV: Finalizamos el vector cuando encontramos el input "fin_segun_campeonato"
			if (($campo=="name")&&($value=="fin_jueces_segun_campeonato")&&(isset($jueces_segun_campeonato))){
				if (!isset($juez)){
					$juez[]= $jueces_segun_campeonato;
					unset($jueces_segun_campeonato);
				}
			}
		}
	}
	if ($categoria!=NULL){
		//Control de datos
		//Controlamos el array de los tipos de categoría
		foreach ($categoria as $valor=>$datos) {
			foreach ($datos as $campo=>$value) {
				switch ($campo){
					case 2:
						$menor=$value;
						break;
					case 3:
						$edad1=$value;
						break;
					case 4:
						$mayor=$value;
						break;
					case 5:
						$edad2=$value;
						break;
				}
			}
			if (($menor=="Menos de")&&($mayor=="Menos de")){
				//El segundo número debe ser mayor que el primero.
				if ($edad2<=$edad1){$error=1;}
			}
			if (($menor=="Menos de")&&($mayor=="los")){
				//El segundo número debe ser mayor o igual que el primero. No puede ser menor.
				if ($edad2<$edad1){$error=2;}
			}
			if (($menor=="Menos de")&&($mayor=="Más de")){
				//El segundo número debe ser mayor o igual que el primero. No puede ser menor.
				if ($edad2<$edad1){$error=2;}
			}
			if (($menor=="los")&&($mayor=="los")){
				//El segundo número debe ser mayor o igual que el primero.
				if ($edad2<$edad1){$error=2;}
			}
			if (($menor=="los")&&($mayor=="Menos de")){
				//El segundo número debe ser mayor que el primero.
				if ($edad2<=$edad1){$error=1;}
			}
			if (($menor=="los")&&($mayor=="Más de")){
				//El segundo número debe ser mayor o igual que el primero.
				if ($edad2<$edad1){$error=2;}
			}
			if (($menor=="Más de")&&($mayor=="Menos de")){
				//Más de 10, menos de 20 sí. Más de 10, menos de 10 no. El segundo número debe ser mayor en este caso.
				if ($edad2<=$edad1){$error=1;}
			}
			if (($menor=="Más de")&&($mayor=="los")){
				//Más de 10, los 10 no. Debe ser mayor.
				if ($edad2<=$edad1){$error=1;}
			}
		}
	}
	//print_r($trofeo);
	//Comprobación para que no existan dos plantillas con el mismo nombre.
	$sql= new cMySQL(); 
	$sql->conectar();
	$sql->query("SELECT * FROM plantilla WHERE nombre_pl='$pl_nombre'");
	$sql->ejecutarSQL();
	$resultadoPl=$sql->getUnRegistro();
	if (!(isset($_POST['state']))){ if ($resultadoPl['creador'] !='') $error=-10;}
	if ($tiempo==NULL) $error=-8;
	if ($juez==NULL) $error=-9;
	if ($puntuacion==NULL) $error=-10;
	if ($trofeo==NULL) $error=-11;
	if ($num_juez==NULL) $error=-5;
	if ($medalla==NULL) $error=-6;
	if ($pago==NULL) $error=-7;
	if ($champ==NULL) $error=-1;
	if ($prueba==NULL) $error=-2;
	if ($categoria==NULL) $error=-3;
	if ($mod==NULL) $error=-4;
	if ($error==0){
		//Actualizamos
		if ((isset($_POST['state'])&&($_POST['state']=="mod"))){
			$id=$_POST['id'];
			$sql->ejecutarSQL("SELECT fecha_creacion FROM plantilla WHERE id_plantilla='$id'") or DIE("No se puede seleccionar.");
			$res=$sql->getUnRegistro();
			$fecha_create=$res['fecha_creacion'];
			$resu=$sql->ejecutarSQL("UPDATE plantilla SET nombre_pl='$pl_nombre', nombre_org='$pl_nombre_org', pais_pl='$pl_pais', region_pl='$pl_region', fecha_creacion='$fecha_create', ult_mod=now() WHERE id_plantilla='$id'") or die(mysql_error());
			//Actualizo el resto de bases de datos
			
			//Campeonatos
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM tipos_campeonato WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_tipoChamp'];
					foreach ($champ as &$campeonato) {
						$id_temp=$campeonato[1];
						//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
						if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM tipos_campeonato WHERE id_tipoChamp='$id_bbdd'");
				}
			}
			foreach ($champ as &$campeonato) {
				$var_campeonato=$campeonato[0];
				$id_temp=$campeonato[1];
				//Es oficial
				if (count($campeonato) > 2) $oficial=true;
				//No es oficial
				else $oficial=false;
				$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE id_tipoChamp='$id_temp'");
				$res=$sql->getUnRegistro();
				//Actualizo
				if ($res['id_tipoChamp']!="")
					$resu=$sql->ejecutarSQL("UPDATE tipos_campeonato SET nombre='$var_campeonato', oficial='$oficial' WHERE id_tipoChamp='$id_temp'");
				//o inserto
				else
					$sql->ejecutarSQL("INSERT INTO `tipos_campeonato` (`id_tipoChamp`, `id_pl`, `nombre`, `oficial`) VALUES ('', '$id','$var_campeonato','$oficial')");
			}
			
			//Categorías
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM categorias WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_cat'];
					foreach ($categoria as &$cat) {
						$id_temp=$cat[1];
						//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
						if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM categorias WHERE id_cat='$id_bbdd'");
				}
			}
			foreach ($categoria as &$elemento) {
				$var_nombre=$elemento[0];
				$var_desde=$elemento[2];
				$var_edad1=$elemento[3];
				$var_hasta=$elemento[4];
				$var_edad2=$elemento[5];
				$id_temp=$elemento[1];
				$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE id_cat='$id_temp'");
				$res=$sql->getUnRegistro();
				//Actualizo
				if ($res['id_cat']!="")
					$resu=$sql->ejecutarSQL("UPDATE categorias SET nombre='$var_nombre', desde='$var_desde', minimo='$var_edad1', hasta='$var_hasta', maximo='$var_edad2' WHERE id_cat='$id_temp'");
				//o inserto
				else
					$sql->ejecutarSQL("INSERT INTO `categorias`(`id_cat`, `id_pl`, `nombre`, `minimo`, `maximo`, `desde`, `hasta`) VALUES ('', '$id','$var_nombre','$var_edad1','$var_edad2','$var_desde','$var_hasta')") or die(mysql_error());
			}
			
			//Modalidades
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM modalidades WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_mod'];
					foreach ($mod as &$modalidades) {
						$id_temp=$modalidades[1];
						//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
						if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM modalidades WHERE id_mod='$id_bbdd'");
				}
			}
			foreach ($mod as &$elemento) {
				$var_nombre=$elemento[0];
				$var_tipo=$elemento[2];
				$id_temp=$elemento[1];
				$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE id_mod='$id_temp'");
				$res=$sql->getUnRegistro();
				//Actualizo
				if ($res['id_mod']!="")
					$resu=$sql->ejecutarSQL("UPDATE modalidades SET nombre='$var_nombre', tipo='$var_tipo' WHERE id_mod='$id_temp'");
				//o inserto
				else
					$sql->ejecutarSQL("INSERT INTO `modalidades` (`id_mod`, `id_pl`, `nombre`, `tipo`) VALUES ('', '$id','$var_nombre','$var_tipo')") or die(mysql_error());
			}
			
			//Pruebas
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM pruebas WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_prueba'];
					foreach ($prueba as &$elemento) {
						for ($i=0;$i<count($elemento);) {
							if ($i==0){
								$id_temp=$elemento[$i+2];
								$i=$i+3;
							}
							else{
								$id_temp=$elemento[$i+1];
								$i=$i+2;
							}
							//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
							if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM pruebas WHERE id_prueba='$id_bbdd'");
				}
			}
			foreach ($prueba as &$elemento) {
				for ($i=0;$i<count($elemento);) {
					if ($i==0){
						$var_mod=$elemento[$i];
						$var_nombre=$elemento[$i+1];
						$id_temp=$elemento[$i+2];
						$i=$i+3;
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$id'");
						$res=$sql->getUnRegistro();
						$var_id_mod=$res['id_mod'];
					}
					else{
						$var_nombre=$elemento[$i];
						$id_temp=$elemento[$i+1];
						$i=$i+2;
					}
					$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE id_prueba='$id_temp'");
					$res=$sql->getUnRegistro();
					//Actualizo
					if ($res['id_prueba']!="")
						$resu=$sql->ejecutarSQL("UPDATE pruebas SET nombre='$var_nombre' WHERE id_prueba='$id_temp'");
					//o inserto
					else
						$sql->ejecutarSQL("INSERT INTO `pruebas`(`id_prueba`, `id_pl`, `id_mod`, `nombre`) VALUES ('', '$id','$var_id_mod','$var_nombre')") or die(mysql_error());
				}
			}
			
			//Número de jueces
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM num_jueces WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_numJuez'];
					foreach ($num_juez as &$num) {
						$id_temp=$num[2];
						//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
						if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM num_jueces WHERE id_numJuez='$id_bbdd'");
				}
			}
			foreach ($num_juez as &$elemento) {
				$var_nombre_champ=$elemento[0];
				$var_min=$elemento[1];
				$id_temp=$elemento[2];
				$var_max=$elemento[3];
				$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$id'");
				$res=$sql->getUnRegistro();
				$var_id_champ=$res['id_tipoChamp'];
				$sql->ejecutarSQL("SELECT id_numJuez FROM num_jueces WHERE id_numJuez='$id_temp'");
				$res=$sql->getUnRegistro();
				//Actualizo
				if ($res['id_numJuez']!="")
					$resu=$sql->ejecutarSQL("UPDATE num_jueces SET maximo='$var_max', minimo='$var_min' WHERE id_numJuez='$id_temp'");
				//o inserto
				else
					$sql->ejecutarSQL("INSERT INTO `num_jueces` (`id_numJuez`, `id_pl`, `id_tipoChamp`, `minimo`, `maximo`) VALUES ('', '$id','$var_id_champ','$var_min','$var_max')") or die(mysql_error());
			}
			
			//Medallas
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM inventario WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_inv'];
					$sexo_bbdd=$element['sexo'];
					foreach ($medalla as &$elemento) {
						$sexo_temp=$elemento[1];
						$id_temp=$elemento[3];
						//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
						if (($id_temp!="")&&($id_temp==$id_bbdd)&&($sexo_bbdd==$sexo_temp)) $borrar=false;
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM inventario WHERE id_inv='$id_bbdd'");
				}
			}
			foreach ($medalla as &$elemento){
				$bronce = $plata = $oro = false;
				$var_mod=$elemento[0];
				$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$id'");
				$res=$sql->getUnRegistro();
				$var_id_mod=$res['id_mod'];
				//masculino, femenino, otro (parejas, grupo)
				$var_tipo=$elemento[1];
				$var_prueba=$elemento[2];
				$id_temp=$elemento[3];
				$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
				$res=$sql->getUnRegistro();
				$var_id_prueba=$res['id_prueba'];
				//Si tenemos medallas o trofeo seleccionados
				if (count($elemento) > 3){
					for ($i=4;$i<count($elemento);$i++) {
						if ($elemento[$i]=="bronce") $bronce=true;
						if ($elemento[$i]=="plata") $plata=true;
						if ($elemento[$i]=="oro") $oro=true;
					}
				}
				$sql->ejecutarSQL("SELECT id_inv FROM inventario WHERE id_inv='$id_temp'");
				$res=$sql->getUnRegistro();
				//Actualizo
				if ($res['id_inv']!="")
					$resu=$sql->ejecutarSQL("UPDATE inventario SET sexo='$var_tipo', bronce='$bronce', plata='$plata', oro='$oro' WHERE id_inv='$id_temp'");
				//o inserto
				else
					$sql->ejecutarSQL("INSERT INTO `inventario`(`id_inv`, `id_pl`, `id_prueba`, `sexo`, `bronce`, `plata`, `oro`) VALUES ('', '$id','$var_id_prueba','$var_tipo','$bronce','$plata','$oro')") or die(mysql_error());
			}
			
			//Trofeos
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM trofeos WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_trofeo'];
					foreach ($trofeo as &$champion){
						foreach ($champion as &$elemento){
							if (is_array($elemento)){
								$id_temp=$elemento[1];
								//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
								if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM trofeos WHERE id_trofeo='$id_bbdd'");
				}
			}
			$var_nombre_tipochamp="";
			foreach ($trofeo as &$champion){
				foreach ($champion as &$elemento){
					if (is_array($elemento)){
						$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_tipochamp' AND id_pl='$id'");
						$res=$sql->getUnRegistro();
						//Identificador del tipo de campeonato
						$var_id_tipoChamp=$res['id_tipoChamp'];
						$var_num=$elemento[0];
						//id_trofeo sería $elemento[1];
						$id_temp=$elemento[1];
						$var_mod1=$elemento[2];
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod1' AND id_pl='$id'");
						$res=$sql->getUnRegistro();
						$var_id_mod1=$res['id_mod'];
						if (count($elemento)>3){
							$var_mod2=$elemento[3];
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod2' AND id_pl='$id'");
							$res=$sql->getUnRegistro();
							$var_id_mod2=$res['id_mod'];
						}
						else $var_id_mod2='';
						$sql->ejecutarSQL("SELECT id_trofeo FROM trofeos WHERE id_trofeo='$id_temp'");
						$res=$sql->getUnRegistro();
						//Actualizo
						if ($res['id_trofeo']!=""){
							if ($var_id_mod2!='') $sql->ejecutarSQL("UPDATE `trofeos` SET `num`='$var_num',`mod1`='$var_id_mod1',`mod2`='$var_id_mod2' WHERE id_trofeo='$id_temp'");
							else $sql->ejecutarSQL("UPDATE `trofeos` SET `num`='$var_num',`mod1`='$var_id_mod1',`mod2`= NULL WHERE id_trofeo='$id_temp'");
						}//o inserto
						else{
							if ($var_id_mod2!='') $sql->ejecutarSQL("INSERT INTO `trofeos`(`id_trofeo`, `id_pl`, `id_tipoChamp`, `num`, `mod1`, `mod2`) VALUES ('', '$id','$var_id_tipoChamp','$var_num','$var_id_mod1','$var_id_mod2')") or die(mysql_error());
							else $sql->ejecutarSQL("INSERT INTO `trofeos`(`id_trofeo`, `id_pl`, `id_tipoChamp`, `num`, `mod1`, `mod2`) VALUES ('', '$id','$var_id_tipoChamp','$var_num','$var_id_mod1',NULL)") or die(mysql_error());
						}
					}
					else $var_nombre_tipochamp=$elemento;
				}
			}
			
			//Pagos
			//Tabla pagos por inscripciones
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM pagos_inscripciones WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_pago1'];
					foreach ($pago as &$elemento) {
						if ($elemento[0]=="inscripciones"){
							for ($i=1;$i<count($elemento);){
								$id_temp=$elemento[$i+2];
								//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
								if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
								$i=$i+4;
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM pagos_inscripciones WHERE id_pago1='$id_bbdd'");
				}
			}
			//Tabla pagos por gestores
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM pagos_gestores WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_pago2'];
					foreach ($pago as &$elemento) {
						if ($elemento[0]=="jueces"){
							for ($i=1;$i<count($elemento);){
								$id_temp=$elemento[$i+2];
								//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
								if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
								$i=$i+6;
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM pagos_gestores WHERE id_pago2='$id_bbdd'");
				}
			}
			//Tabla pagos por medallas
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM pagos_medallas WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_pago3'];
					foreach ($pago as &$elemento) {
						if ($elemento[0]=="medallas"){
							for ($i=1;$i<count($elemento);){
								$id_temp=$elemento[$i+1];
								//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
								if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
								$i=$i+2;
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM pagos_medallas WHERE id_pago3='$id_bbdd'");
				}
			}
			foreach ($pago as &$elemento){
				//Tabla de inscripciones
				if ($elemento[0]=="inscripciones"){
					for ($i=1;$i<count($elemento);){
						$var_mod=$elemento[$i];
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$id'");
						$res=$sql->getUnRegistro();
						$var_id_mod=$res['id_mod'];
						$var_prueba=$elemento[$i+1];
						//$i + 2 sería id_pago1
						$id_temp=$elemento[$i+2];
						$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
						$res=$sql->getUnRegistro();
						$var_id_prueba=$res['id_prueba'];
						$cantidad=$elemento[$i+3];
						$sql->ejecutarSQL("SELECT id_pago1 FROM pagos_inscripciones WHERE id_pago1='$id_temp'");
						$res=$sql->getUnRegistro();
						//Actualizo
						if ($res['id_pago1']!="")
							$resu=$sql->ejecutarSQL("UPDATE pagos_inscripciones SET cantidad='$cantidad' WHERE id_pago1='$id_temp'");
						//o inserto
						else
							$sql->ejecutarSQL("INSERT INTO `pagos_inscripciones`(`id_pago1`, `id_pl`, `id_prueba`, `cantidad`) VALUES ('', '$id','$var_id_prueba','$cantidad')") or die(mysql_error());
						$i=$i+4;
					}
				}
				//Tabla de gestores
				if ($elemento[0]=="jueces"){
					for ($i=1;$i<count($elemento);){
						$tipo=$elemento[$i];
						$tarifa=$elemento[$i+1];
						//$i + 2 sería id_pago2
						$id_temp=$elemento[$i+2];
						$distancia=$elemento[$i+3];
						$dieta=$elemento[$i+4];
						$horas=$elemento[$i+5];
						$sql->ejecutarSQL("SELECT id_pago2 FROM pagos_gestores WHERE id_pago2='$id_temp'");
						$res=$sql->getUnRegistro();
						//Actualizo
						if ($res['id_pago2']!="")
							$resu=$sql->ejecutarSQL("UPDATE pagos_gestores SET tipo='$tipo', tarifa='$tarifa', distancia='$distancia', dieta='$dieta', horas='$horas' WHERE id_pago2='$id_temp'");
						//o inserto
						else
							$sql->ejecutarSQL("INSERT INTO `pagos_gestores`(`id_pago2`, `id_pl`, `tipo`, `tarifa`, `distancia`, `dieta`, `horas`) VALUES ('', '$id','$tipo','$tarifa','$distancia','$dieta','$horas')") or die(mysql_error());
						$i=$i+6;
					}
				}
				//Tabla de medallas
				if ($elemento[0]=="medallas"){
					for ($i=1;$i<count($elemento);){
						$cantidad=$elemento[$i];
						//$i + 1 sería id_pago3
						$id_temp=$elemento[$i+1];
						$sql->ejecutarSQL("SELECT id_pago3 FROM pagos_medallas WHERE id_pago3='$id_temp'");
						$res=$sql->getUnRegistro();
						//Actualizo
						if ($res['id_pago3']!="")
							$resu=$sql->ejecutarSQL("UPDATE pagos_medallas SET cantidad='$cantidad' WHERE id_pago3='$id_temp'");
						//o inserto
						else
							$sql->ejecutarSQL("INSERT INTO `pagos_medallas`(`id_pago3`, `id_pl`, `cantidad`) VALUES ('', '$id','$cantidad')") or die(mysql_error());
						$i=$i+2;
					}
				}
			}
			
			//Calculadores
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM calculadores WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_calc'];
					foreach ($puntuacion as &$elemento){
						$tipo=$elemento[0];
						//Por modalidades
						if ($tipo=="pormods"){
							foreach ($elemento[1] as &$vector_sig){
								if (is_array($vector_sig)) $id_temp=$vector_sig[1];
								//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
								if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
							}
						}
						//Por pruebas
						if ($tipo=="porpruebas"){
							foreach ($elemento[1] as &$vector_sig){
								if (is_array($vector_sig)){
									foreach ($vector_sig as &$vector_sig_prueba){
										if (is_array($vector_sig_prueba)) $id_temp=$vector_sig_prueba[1];
										//Si el elemento de la base de datos se encuentra en la nueva lista, no lo borro
										if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
									}
								}
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM calculadores WHERE id_calc='$id_bbdd'");
				}
			}
			foreach ($puntuacion as &$elemento){
				$tipo=$elemento[0];
				//Por modalidades
				if ($tipo=="pormods"){
					foreach ($elemento[1] as &$vector_sig){
						if (!is_array($vector_sig)){
							$var_mod=$vector_sig;
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$id'");
							$res=$sql->getUnRegistro();
							$var_id_mod=$res['id_mod'];
						}
						else{
							$var_elemento=$vector_sig[0];
							$id_temp=$vector_sig[1];
							$tipo_elemento=$vector_sig[2];
							$sql->ejecutarSQL("SELECT id_calc FROM calculadores WHERE id_calc='$id_temp'");
							$res=$sql->getUnRegistro();
							//Actualizo
							if ($res['id_calc']!="")
								$resu=$sql->ejecutarSQL("UPDATE calculadores SET elemento='$var_elemento', tipo_elemento='$tipo_elemento' WHERE id_calc='$id_temp'");
							//o inserto
							else
								$sql->ejecutarSQL("INSERT INTO `calculadores`(`id_calc`, `id_pl`, `id_mod`, `id_prueba`, `elemento`, `tipo_elemento`, `tipo`) VALUES ('', '$id','$var_id_mod',NULL,'$var_elemento','$tipo_elemento','$tipo')") or die(mysql_error());
						}
					}
				}
				//Por pruebas
				if ($tipo=="porpruebas"){
					foreach ($elemento[1] as &$vector_sig){
						if (!is_array($vector_sig)){
							$var_mod=$vector_sig;
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$id'");
							$res=$sql->getUnRegistro();
							$var_id_mod=$res['id_mod'];
						}
						else{
							foreach ($vector_sig as &$vector_sig_prueba){
								if (!is_array($vector_sig_prueba)){
									$var_prueba=$vector_sig_prueba;
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
								}
								else{
									$var_elemento=$vector_sig_prueba[0];
									$id_temp=$vector_sig_prueba[1];
									$tipo_elemento=$vector_sig_prueba[2];
									$sql->ejecutarSQL("SELECT id_calc FROM calculadores WHERE id_calc='$id_temp'");
									$res=$sql->getUnRegistro();
									//Actualizo
									if ($res['id_calc']!="")
										$resu=$sql->ejecutarSQL("UPDATE calculadores SET elemento='$var_elemento', tipo_elemento='$tipo_elemento' WHERE id_calc='$id_temp'");
									//o inserto
									else
										$sql->ejecutarSQL("INSERT INTO `calculadores`(`id_calc`, `id_pl`, `id_mod`, `id_prueba`, `elemento`, `tipo_elemento`, `tipo`) VALUES ('', '$id','$var_id_mod','$var_id_prueba','$var_elemento','$tipo_elemento','$tipo')") or die(mysql_error());
								}
							}
						}
					}
				}
			}
			
			//Tiempos
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM tiempos WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_time'];
					foreach ($tiempo as &$subvector){
						foreach ($subvector as &$subvector2){
							if (!is_array($subvector2)) $tipo=$subvector2;
							else{
								if ($tipo=="segun_campeonato"){
									if ($subvector2[0]=="campeonato"){
										for ($i=2;$i<count($subvector2);$i++){
											foreach ($subvector2[$i] as &$subvector3){
												for ($j=2;$j<count($subvector3);){
													if (is_array($subvector3[$j])){
														$id_temp=$subvector3[$j][2];
														if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
														$j++;
													}
													else{
														$id_temp=$subvector3[$j];
														if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
														$j=$j+3;
													}
												}
											}
										}
									}
									if ($subvector2[0]=="boton_categoria"){
										$id_temp=$subvector2[2];
										if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
									}
								}
								if ($tipo=="segun_categoria"){
									if ($subvector2[0]=="categoria"){
										for ($i=2;$i<count($subvector2);$i++){
											$id_temp=$subvector2[$i][2];
											if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
										}
									}
									if ($subvector2[0]=="boton_modalidad"){
										for ($j=2;$j<count($subvector2);$j++){
											$id_temp=$subvector2[$j][2];
											if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
										}
									}
								}
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM tiempos WHERE id_time='$id_bbdd'");
				}
			}
			foreach ($tiempo as &$subvector){
				foreach ($subvector as &$subvector2){
					if (!is_array($subvector2)) $tipo=$subvector2;
					else{
						if ($tipo=="segun_campeonato"){
							if ($subvector2[0]=="campeonato"){
								$var_nombre_champ=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_tipoChamp=$res['id_tipoChamp'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									foreach ($subvector2[$i] as &$subvector3){
										for ($j=2;$j<count($subvector3);){
											$var_nombre_prueba=$subvector3[1];
											$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
											$res=$sql->getUnRegistro();
											$var_id_prueba=$res['id_prueba'];
											if (is_array($subvector3[$j])){
												$tipo2=$subvector3[$j][0];
												$var_nombre_cat=$subvector3[$j][1];
												$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
												$res=$sql->getUnRegistro();
												$var_id_cat=$res['id_cat'];
												//id_temp sería $subvector3[$j][2]
												$id_temp=$subvector3[$j][2];
												$var_minutos=$subvector3[$j][3];
												$var_segundos=$subvector3[$j][4];
												$j++;
												$sql->ejecutarSQL("SELECT id_time FROM tiempos WHERE id_time='$id_temp'");
												$res=$sql->getUnRegistro();
												//Actualizo
												if ($res['id_time']!="")
													$resu=$sql->ejecutarSQL("UPDATE tiempos SET minutos='$var_minutos', segundos='$var_segundos' WHERE id_time='$id_temp'");
												//o inserto
												else
													$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$id','$tipo','$tipo2','$var_id_tipoChamp','$var_id_mod','$var_id_prueba','$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
											
											}
											else{
												//id_temp sería $subvector3[$j]
												$id_temp=$subvector3[$j];
												$var_minutos=$subvector3[$j+1];
												$var_segundos=$subvector3[$j+2];
												$j=$j+3;
												$sql->ejecutarSQL("SELECT id_time FROM tiempos WHERE id_time='$id_temp'");
												$res=$sql->getUnRegistro();
												//Actualizo
												if ($res['id_time']!="")
													$resu=$sql->ejecutarSQL("UPDATE tiempos SET minutos='$var_minutos', segundos='$var_segundos' WHERE id_time='$id_temp'");
												//o inserto
												else
													$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$id','$tipo',NULL,'$var_id_tipoChamp','$var_id_mod','$var_id_prueba',NULL,'$var_minutos','$var_segundos')") or die(mysql_error());
											}
										}
									}
								}
							}
							if ($subvector2[0]=="boton_categoria"){
								$tipo2=$subvector2[0];
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								//id_temp sería $subvector2[2];
								$id_temp=$subvector2[2];
								$var_minutos=$subvector2[3];
								$var_segundos=$subvector2[4];
								$sql->ejecutarSQL("SELECT id_time FROM tiempos WHERE id_time='$id_temp'");
								$res=$sql->getUnRegistro();
								//Actualizo
								if ($res['id_time']!="")
									$resu=$sql->ejecutarSQL("UPDATE tiempos SET minutos='$var_minutos', segundos='$var_segundos' WHERE id_time='$id_temp'");
								//o inserto
								else
									$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$id','$tipo','$tipo2',NULL,NULL,NULL,'$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
							}
						}
						if ($tipo=="segun_categoria"){
							if ($subvector2[0]=="categoria"){
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									//id_temp sería $subvector2[$i][2]
									$id_temp=$subvector2[$i][2];
									$var_minutos=$subvector2[$i][3];
									$var_segundos=$subvector2[$i][4];
									$sql->ejecutarSQL("SELECT id_time FROM tiempos WHERE id_time='$id_temp'");
									$res=$sql->getUnRegistro();
									//Actualizo
									if ($res['id_time']!="")
										$resu=$sql->ejecutarSQL("UPDATE tiempos SET minutos='$var_minutos', segundos='$var_segundos' WHERE id_time='$id_temp'");
									//o inserto
									else
										$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$id','$tipo',NULL,NULL,'$var_id_mod',NULL,'$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
								}
							}
							if ($subvector2[0]=="boton_modalidad"){
								$tipo2=$subvector2[0];
								$var_nombre_mod=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_mod=$res['id_mod'];
								for ($j=2;$j<count($subvector2);$j++){
									$var_nombre_prueba=$subvector2[$j][1];
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
									//id_temp sería $subvector2[$j][2]
									$id_temp=$subvector2[$j][2];
									$var_minutos=$subvector2[$j][3];
									$var_segundos=$subvector2[$j][4];
									$sql->ejecutarSQL("SELECT id_time FROM tiempos WHERE id_time='$id_temp'");
									$res=$sql->getUnRegistro();
									//Actualizo
									if ($res['id_time']!="")
										$resu=$sql->ejecutarSQL("UPDATE tiempos SET minutos='$var_minutos', segundos='$var_segundos' WHERE id_time='$id_temp'");
									//o inserto
									else
										$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$id','$tipo','$tipo2',NULL,'$var_id_mod','$var_id_prueba',NULL,'$var_minutos','$var_segundos')") or die(mysql_error());
								}
							}
						}
					}
				}
			}
			
			//Jueces
			//Primero borro aquellos elementos que no se encuentren en la nueva lista
			$sql->ejecutarSQL("SELECT * FROM jueces WHERE id_pl='$id'");
			$numReg=$sql->getNumRegistros();
			if ($numReg>0){
				$resVector=$sql->getTodosRegistro();
				foreach ($resVector as &$element){
					$borrar=true;
					$id_bbdd=$element['id_jueces'];
					foreach ($juez as &$subvector){
						foreach ($subvector as &$subvector2){
							if (!is_array($subvector2)) $tipo=$subvector2;
							else{
								if ($tipo=="segun_campeonato"){
									if ($subvector2[0]=="campeonato"){
										if ($subvector2[0]=="campeonato"){
											//Modalidades
											for ($i=2;$i<count($subvector2);$i++){
												//Pruebas
												foreach ($subvector2[$i] as &$subvector3){
													for ($j=2;$j<count($subvector3);){
														//id_temp sería $subvector3[$j]
														$id_temp=$subvector3[$j];
														if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
														$j=$j+2;
													}
												}
											}
										}
									}
									if ($subvector2[0]=="boton_categoria"){
										for ($i=2;$i<count($subvector2);){
											//id_temp sería $subvector2[$i];
											$id_temp=$subvector2[$i];
											if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
											$i=$i+2;
										}
									}
								}
								if ($tipo=="segun_categoria"){
									if ($subvector2[0]=="categoria"){
										for ($i=2;$i<count($subvector2);$i++){
											for ($j=2;$j<count($subvector2[$i]);){
												//id_temp sería $subvector2[$i][$j]
												$id_temp=$subvector2[$i][$j];
												if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
												$j=$j+2;
											}
										}
									}
									if ($subvector2[0]=="boton_modalidad"){
										for ($j=2;$j<count($subvector2);$j++){
											for ($k=2;$k<count($subvector2[$j]);){
												//id_temp sería $subvector2[$j][$k]
												$id_temp=$subvector2[$j][$k];
												if (($id_temp!="")&&($id_temp==$id_bbdd)) $borrar=false;
												$k=$k+2;
											}
										}
									}
								}
							}
						}
					}
					if ($borrar)
						$sql->ejecutarSQL("DELETE FROM jueces WHERE id_jueces='$id_bbdd'");
				}
			}
			foreach ($juez as &$subvector){
				foreach ($subvector as &$subvector2){
					if (!is_array($subvector2)) $tipo=$subvector2;
					else{
						if ($tipo=="segun_campeonato"){
							if ($subvector2[0]=="campeonato"){
								$var_nombre_champ=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_tipoChamp=$res['id_tipoChamp'];
								//Modalidades
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									//Pruebas
									foreach ($subvector2[$i] as &$subvector3){
										$var_nombre_prueba=$subvector3[1];
										$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
										$res=$sql->getUnRegistro();
										$var_id_prueba=$res['id_prueba'];
										for ($j=2;$j<count($subvector3);){
											//id_temp sería $subvector3[$j]
											$id_temp=$subvector3[$j];
											$var_elemento=$subvector3[$j+1];
											$sql->ejecutarSQL("SELECT id_jueces FROM jueces WHERE id_jueces='$id_temp'");
											$res=$sql->getUnRegistro();
											//Actualizo
											if ($res['id_jueces']!="")
												$resu=$sql->ejecutarSQL("UPDATE jueces SET elemento='$var_elemento' WHERE id_jueces='$id_temp'");
											//o inserto
											else
												$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$id','$tipo',NULL,'$var_id_tipoChamp','$var_id_mod','$var_id_prueba',NULL,'$var_elemento')") or die(mysql_error());
											$j=$j+2;
										}
									}
								}
							}
							if ($subvector2[0]=="boton_categoria"){
								$tipo2=$subvector2[0];
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);){
									$var_elemento=$subvector2[$i+1];
									//id_temp sería $subvector2[$i];
									$id_temp=$subvector2[$i];
									$sql->ejecutarSQL("SELECT id_jueces FROM jueces WHERE id_jueces='$id_temp'");
									$res=$sql->getUnRegistro();
									//Actualizo
									if ($res['id_jueces']!="")
										$resu=$sql->ejecutarSQL("UPDATE jueces SET elemento='$var_elemento' WHERE id_jueces='$id_temp'");
									//o inserto
									else
										$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$id','$tipo','$tipo2',NULL,NULL,NULL,'$var_id_cat','$var_elemento')") or die(mysql_error());
									$i=$i+2;
								}
							}
						}
						if ($tipo=="segun_categoria"){
							if ($subvector2[0]=="categoria"){
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									for ($j=2;$j<count($subvector2[$i]);){
										$var_elemento=$subvector2[$i][$j+1];
										//id_temp sería $subvector2[$i][$j]
										$id_temp=$subvector2[$i][$j];
										$sql->ejecutarSQL("SELECT id_jueces FROM jueces WHERE id_jueces='$id_temp'");
										$res=$sql->getUnRegistro();
										//Actualizo
										if ($res['id_jueces']!="")
											$resu=$sql->ejecutarSQL("UPDATE jueces SET elemento='$var_elemento' WHERE id_jueces='$id_temp'");
										//o inserto
										else
											$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$id','$tipo',NULL,NULL,'$var_id_mod',NULL,'$var_id_cat','$var_elemento')") or die(mysql_error());
										$j=$j+2;
									}
								}
							}
							if ($subvector2[0]=="boton_modalidad"){
								$tipo2=$subvector2[0];
								$var_nombre_mod=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$id'");
								$res=$sql->getUnRegistro();
								$var_id_mod=$res['id_mod'];
								for ($j=2;$j<count($subvector2);$j++){
									$var_nombre_prueba=$subvector2[$j][1];
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$id' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
									for ($k=2;$k<count($subvector2[$j]);){
										$var_elemento=$subvector2[$j][$k+1];
										//id_temp sería $subvector2[$j][$k]
										$id_temp=$subvector2[$j][$k];
										$sql->ejecutarSQL("SELECT id_jueces FROM jueces WHERE id_jueces='$id_temp'");
										$res=$sql->getUnRegistro();
										//Actualizo
										if ($res['id_jueces']!="")
											$resu=$sql->ejecutarSQL("UPDATE jueces SET elemento='$var_elemento' WHERE id_jueces='$id_temp'");
										//o inserto
										else
											$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$id','$tipo','$tipo2',NULL,'$var_id_mod','$var_id_prueba',NULL,'$var_elemento')") or die(mysql_error());
										$k=$k+2;
									}
								}
							}
						}
					}
				}
			}
		}
		//Insertamos
		else{
			$sql->ejecutarSQL("INSERT INTO `plantilla` (`id_plantilla`, `creador`, `nombre_pl`, `nombre_org`, `pais_pl`, `region_pl`, `fecha_creacion`, `ult_mod`) VALUES ('', '$pl_creador','$pl_nombre', '$pl_nombre_org', '$pl_pais', '$pl_region', now(), now())");
			//Seleccionamos la plantilla
			$sql->query("SELECT id_plantilla FROM plantilla WHERE nombre_pl='$pl_nombre'");
			$sql->ejecutarSQL();
			$resultadoPl=$sql->getUnRegistro();
			$var_id_pl=$resultadoPl['id_plantilla'];
			
			//Campeonatos
			$var_campeonato="";
			$oficial=false;
			foreach ($champ as &$campeonato) {
				$var_campeonato=$campeonato[0];
				//Es oficial
				if (count($campeonato) > 2) $oficial=true;
				//No es oficial
				else $oficial=false;
				$sql->ejecutarSQL("INSERT INTO `tipos_campeonato` (`id_tipoChamp`, `id_pl`, `nombre`, `oficial`) VALUES ('', '$var_id_pl','$var_campeonato','$oficial')") or die(mysql_error());
			}
			
			//Categorías
			$var_nombre="";
			foreach ($categoria as &$elemento) {
				$var_nombre=$elemento[0];
				$var_desde=$elemento[2];
				$var_edad1=$elemento[3];
				$var_hasta=$elemento[4];
				$var_edad2=$elemento[5];
				$sql->ejecutarSQL("INSERT INTO `categorias` (`id_cat`, `id_pl`, `nombre`, `minimo`, `maximo`, `desde`, `hasta`) VALUES ('', '$var_id_pl','$var_nombre','$var_edad1','$var_edad2','$var_desde','$var_hasta')") or die(mysql_error());
			}
			
			//Modalidades
			$var_nombre="";
			foreach ($mod as &$elemento) {
				$var_nombre=$elemento[0];
				$var_tipo=$elemento[2];
				$sql->ejecutarSQL("INSERT INTO `modalidades` (`id_mod`, `id_pl`, `nombre`, `tipo`) VALUES ('', '$var_id_pl','$var_nombre','$var_tipo')") or die(mysql_error());
			}
			
			//Pruebas
			$var_nombre="";
			foreach ($prueba as &$elemento){
				for ($i=0;$i<count($elemento);) {
					if ($i==0){
						$var_mod=$elemento[$i];
						$var_nombre=$elemento[$i+1];
						$i=$i+3;
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$var_id_pl'");
						$res=$sql->getUnRegistro();
						$var_id_mod=$res['id_mod'];
					}
					else{
						$var_nombre=$elemento[$i];
						$i=$i+2;
					}
					$sql->ejecutarSQL("INSERT INTO `pruebas`(`id_prueba`, `id_pl`, `id_mod`, `nombre`) VALUES ('', '$var_id_pl','$var_id_mod','$var_nombre')") or die(mysql_error());
				}
			}
			
			//Número de jueces
			$var_min="";
			$var_max="";
			foreach ($num_juez as &$elemento) {
				$var_nombre_champ=$elemento[0];
				$var_min=$elemento[1];
				$var_max=$elemento[3];
				$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$var_id_pl'");
				$res=$sql->getUnRegistro();
				$var_id_champ=$res['id_tipoChamp'];
				$sql->ejecutarSQL("INSERT INTO `num_jueces` (`id_numJuez`, `id_pl`, `id_tipoChamp`, `minimo`, `maximo`) VALUES ('', '$var_id_pl','$var_id_champ','$var_min','$var_max')") or die(mysql_error());
			}
			
			//Medallas
			foreach ($medalla as &$elemento){
				$bronce = $plata = $oro = false;
				$var_mod=$elemento[0];
				$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$var_id_pl'");
				$res=$sql->getUnRegistro();
				$var_id_mod=$res['id_mod'];
				//masculino, femenino, otro (parejas, grupo)
				$var_tipo=$elemento[1];
				$var_prueba=$elemento[2];
				$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
				$res=$sql->getUnRegistro();
				$var_id_prueba=$res['id_prueba'];
				//Si tenemos medallas o trofeo seleccionados
				if (count($elemento) > 3){
					for ($i=4;$i<count($elemento);$i++) {
						if ($elemento[$i]=="bronce") $bronce=true;
						if ($elemento[$i]=="plata") $plata=true;
						if ($elemento[$i]=="oro") $oro=true;
					}
				}
				$sql->ejecutarSQL("INSERT INTO `inventario`(`id_inv`, `id_pl`, `id_prueba`, `sexo`, `bronce`, `plata`, `oro`) VALUES ('', '$var_id_pl','$var_id_prueba','$var_tipo','$bronce','$plata','$oro')") or die(mysql_error());
			}
			
			//Trofeos
			$var_nombre_tipochamp="";
			foreach ($trofeo as &$champion){
				foreach ($champion as &$elemento){
					if (is_array($elemento)){
						$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_tipochamp' AND id_pl='$var_id_pl'");
						$res=$sql->getUnRegistro();
						//Identificador del tipo de campeonato
						$var_id_tipoChamp=$res['id_tipoChamp'];
						$var_num=$elemento[0];
						//id_trofeo sería $elemento[1];
						$var_mod1=$elemento[2];
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod1' AND id_pl='$var_id_pl'");
						$res=$sql->getUnRegistro();
						$var_id_mod1=$res['id_mod'];
						if (count($elemento)>3){
							$var_mod2=$elemento[3];
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod2' AND id_pl='$var_id_pl'");
							$res=$sql->getUnRegistro();
							$var_id_mod2=$res['id_mod'];
						}
						else $var_id_mod2='';
						if ($var_id_mod2!='') $sql->ejecutarSQL("INSERT INTO `trofeos`(`id_trofeo`, `id_pl`, `id_tipoChamp`, `num`, `mod1`, `mod2`) VALUES ('', '$var_id_pl','$var_id_tipoChamp','$var_num','$var_id_mod1','$var_id_mod2')") or die(mysql_error());
						else $sql->ejecutarSQL("INSERT INTO `trofeos`(`id_trofeo`, `id_pl`, `id_tipoChamp`, `num`, `mod1`, `mod2`) VALUES ('', '$var_id_pl','$var_id_tipoChamp','$var_num','$var_id_mod1',NULL)") or die(mysql_error());
					}
					else $var_nombre_tipochamp=$elemento;
				}
			}
			
			//Pagos (3 tablas)
			foreach ($pago as &$elemento){
				//Tabla de inscripciones
				if ($elemento[0]=="inscripciones"){
					for ($i=1;$i<count($elemento);){
						$var_mod=$elemento[$i];
						$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$var_id_pl'");
						$res=$sql->getUnRegistro();
						$var_id_mod=$res['id_mod'];
						$var_prueba=$elemento[$i+1];
						//$i + 2 sería id_pago1
						$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
						$res=$sql->getUnRegistro();
						$var_id_prueba=$res['id_prueba'];
						$cantidad=$elemento[$i+3];
						$sql->ejecutarSQL("INSERT INTO `pagos_inscripciones`(`id_pago1`, `id_pl`, `id_prueba`, `cantidad`) VALUES ('', '$var_id_pl','$var_id_prueba','$cantidad')") or die(mysql_error());
						$i=$i+4;
					}
				}
				//Tabla de gestores
				if ($elemento[0]=="jueces"){
					for ($i=1;$i<count($elemento);){
						$tipo=$elemento[$i];
						$tarifa=$elemento[$i+1];
						//$i + 2 sería id_pago2
						$distancia=$elemento[$i+3];
						$dieta=$elemento[$i+4];
						$horas=$elemento[$i+5];
						$sql->ejecutarSQL("INSERT INTO `pagos_gestores`(`id_pago2`, `id_pl`, `tipo`, `tarifa`, `distancia`, `dieta`, `horas`) VALUES ('', '$var_id_pl','$tipo','$tarifa','$distancia','$dieta','$horas')") or die(mysql_error());
						$i=$i+6;
					}
				}
				//Tabla de medallas
				if ($elemento[0]=="medallas"){
					for ($i=1;$i<count($elemento);){
						$cantidad=$elemento[$i];
						//$i + 1 sería id_pago3
						$sql->ejecutarSQL("INSERT INTO `pagos_medallas`(`id_pago3`, `id_pl`, `cantidad`) VALUES ('', '$var_id_pl','$cantidad')") or die(mysql_error());
						$i=$i+2;
					}
				}
			}
			
			//Calculadores
			foreach ($puntuacion as &$elemento){
				$tipo=$elemento[0];
				//Por modalidades
				if ($tipo=="pormods"){
					foreach ($elemento[1] as &$vector_sig){
						if (!is_array($vector_sig)){
							$var_mod=$vector_sig;
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$var_id_pl'");
							$res=$sql->getUnRegistro();
							$var_id_mod=$res['id_mod'];
						}
						else{
							$var_elemento=$vector_sig[0];
							$tipo_elemento=$vector_sig[2];
							$sql->ejecutarSQL("INSERT INTO `calculadores`(`id_calc`, `id_pl`, `id_mod`, `id_prueba`, `elemento`, `tipo_elemento`, `tipo`) VALUES ('', '$var_id_pl','$var_id_mod',NULL,'$var_elemento','$tipo_elemento','$tipo')") or die(mysql_error());
						}
					}
				}
				//Por pruebas
				if ($tipo=="porpruebas"){
					foreach ($elemento[1] as &$vector_sig){
						if (!is_array($vector_sig)){
							$var_mod=$vector_sig;
							$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_mod' AND id_pl='$var_id_pl'");
							$res=$sql->getUnRegistro();
							$var_id_mod=$res['id_mod'];
						}
						else{
							foreach ($vector_sig as &$vector_sig_prueba){
								if (!is_array($vector_sig_prueba)){
									$var_prueba=$vector_sig_prueba;
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
								}
								else{
									$var_elemento=$vector_sig_prueba[0];
									$tipo_elemento=$vector_sig_prueba[2];
									$sql->ejecutarSQL("INSERT INTO `calculadores`(`id_calc`, `id_pl`, `id_mod`, `id_prueba`, `elemento`, `tipo_elemento`, `tipo`) VALUES ('', '$var_id_pl','$var_id_mod','$var_id_prueba','$var_elemento','$tipo_elemento','$tipo')") or die(mysql_error());
								}
							}
						}
					}
				}
			}
			
			//Tiempos
			foreach ($tiempo as &$subvector){
				foreach ($subvector as &$subvector2){
					if (!is_array($subvector2)) $tipo=$subvector2;
					else{
						if ($tipo=="segun_campeonato"){
							if ($subvector2[0]=="campeonato"){
								$var_nombre_champ=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_tipoChamp=$res['id_tipoChamp'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									foreach ($subvector2[$i] as &$subvector3){
										for ($j=2;$j<count($subvector3);){
											$var_nombre_prueba=$subvector3[1];
											$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
											$res=$sql->getUnRegistro();
											$var_id_prueba=$res['id_prueba'];
											if (is_array($subvector3[$j])){
												$tipo2=$subvector3[$j][0];
												$var_nombre_cat=$subvector3[$j][1];
												$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$var_id_pl'");
												$res=$sql->getUnRegistro();
												$var_id_cat=$res['id_cat'];
												//id_temp sería $subvector3[$j][2]
												$var_minutos=$subvector3[$j][3];
												$var_segundos=$subvector3[$j][4];
												$j++;
												$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$var_id_pl','$tipo','$tipo2','$var_id_tipoChamp','$var_id_mod','$var_id_prueba','$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
											}
											else{
												//id_temp sería $subvector3[$j]
												$var_minutos=$subvector3[$j+1];
												$var_segundos=$subvector3[$j+2];
												$j=$j+3;
												$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$var_id_pl','$tipo',NULL,'$var_id_tipoChamp','$var_id_mod','$var_id_prueba',NULL,'$var_minutos','$var_segundos')") or die(mysql_error());
											}
										}
									}
								}
							}
							if ($subvector2[0]=="boton_categoria"){
								$tipo2=$subvector2[0];
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								//id_temp sería $subvector2[2];
								$var_minutos=$subvector2[3];
								$var_segundos=$subvector2[4];
								$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$var_id_pl','$tipo','$tipo2',NULL,NULL,NULL,'$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
							}
						}
						if ($tipo=="segun_categoria"){
							if ($subvector2[0]=="categoria"){
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									//id_temp sería $subvector2[$i][2]
									$var_minutos=$subvector2[$i][3];
									$var_segundos=$subvector2[$i][4];
									$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$var_id_pl','$tipo',NULL,NULL,'$var_id_mod',NULL,'$var_id_cat','$var_minutos','$var_segundos')") or die(mysql_error());
								}
							}
							if ($subvector2[0]=="boton_modalidad"){
								$tipo2=$subvector2[0];
								$var_nombre_mod=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_mod=$res['id_mod'];
								for ($j=2;$j<count($subvector2);$j++){
									$var_nombre_prueba=$subvector2[$j][1];
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
									//id_temp sería $subvector2[$j][2]
									$var_minutos=$subvector2[$j][3];
									$var_segundos=$subvector2[$j][4];
									$sql->ejecutarSQL("INSERT INTO `tiempos`(`id_time`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `minutos`, `segundos`) VALUES ('', '$var_id_pl','$tipo','$tipo2',NULL,'$var_id_mod','$var_id_prueba',NULL,'$var_minutos','$var_segundos')") or die(mysql_error());
								}
							}
						}
					}
				}
			}
			
			//Jueces
			foreach ($juez as &$subvector){
				foreach ($subvector as &$subvector2){
					if (!is_array($subvector2)) $tipo=$subvector2;
					else{
						if ($tipo=="segun_campeonato"){
							if ($subvector2[0]=="campeonato"){
								$var_nombre_champ=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_tipoChamp FROM tipos_campeonato WHERE nombre='$var_nombre_champ' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_tipoChamp=$res['id_tipoChamp'];
								//Modalidades
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									//Pruebas
									foreach ($subvector2[$i] as &$subvector3){
										$var_nombre_prueba=$subvector3[1];
										$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
										$res=$sql->getUnRegistro();
										$var_id_prueba=$res['id_prueba'];
										for ($j=2;$j<count($subvector3);){
											//id_temp sería $subvector3[$j]
											$var_elemento=$subvector3[$j+1];
											$j=$j+2;
											$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$var_id_pl','$tipo',NULL,'$var_id_tipoChamp','$var_id_mod','$var_id_prueba',NULL,'$var_elemento')") or die(mysql_error());
										}
									}
								}
							}
							if ($subvector2[0]=="boton_categoria"){
								$tipo2=$subvector2[0];
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);){
									//id_temp sería $subvector2[$i];
									$var_elemento=$subvector2[$i+1];
									$i=$i+2;
									$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$var_id_pl','$tipo','$tipo2',NULL,NULL,NULL,'$var_id_cat','$var_elemento')") or die(mysql_error());
								}
							}
						}
						if ($tipo=="segun_categoria"){
							if ($subvector2[0]=="categoria"){
								$var_nombre_cat=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_cat FROM categorias WHERE nombre='$var_nombre_cat' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_cat=$res['id_cat'];
								for ($i=2;$i<count($subvector2);$i++){
									$var_nombre_mod=$subvector2[$i][1];
									$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									for ($j=2;$j<count($subvector2[$i]);){
										//id_temp sería $subvector2[$i][$j]
										$var_elemento=$subvector2[$i][$j+1];
										$j=$j+2;
										$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$var_id_pl','$tipo',NULL,NULL,'$var_id_mod',NULL,'$var_id_cat','$var_elemento')") or die(mysql_error());
									}
								}
							}
							if ($subvector2[0]=="boton_modalidad"){
								$tipo2=$subvector2[0];
								$var_nombre_mod=$subvector2[1];
								$sql->ejecutarSQL("SELECT id_mod FROM modalidades WHERE nombre='$var_nombre_mod' AND id_pl='$var_id_pl'");
								$res=$sql->getUnRegistro();
								$var_id_mod=$res['id_mod'];
								for ($j=2;$j<count($subvector2);$j++){
									$var_nombre_prueba=$subvector2[$j][1];
									$sql->ejecutarSQL("SELECT id_prueba FROM pruebas WHERE nombre='$var_nombre_prueba' AND id_pl='$var_id_pl' AND id_mod='$var_id_mod'");
									$res=$sql->getUnRegistro();
									$var_id_prueba=$res['id_prueba'];
									for ($k=2;$k<count($subvector2[$j]);){
										//id_temp sería $subvector2[$j][$k]
										$var_elemento=$subvector2[$j][$k+1];
										$k=$k+2;
										$sql->ejecutarSQL("INSERT INTO `jueces`(`id_jueces`, `id_pl`, `tipo`, `tipo2`, `id_tipoChamp`, `id_mod`, `id_prueba`, `id_cat`, `elemento`) VALUES ('', '$var_id_pl','$tipo','$tipo2',NULL,'$var_id_mod','$var_id_prueba',NULL,'$var_elemento')") or die(mysql_error());
									}
								}
							}
						}
					}
				}
			}
		}
	}
	echo $error;
	
}
else echo 2;

?>