<?php
/*

			Módulo de gestión de documentos
					Guardar pagos
		
*/
session_start();
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp(); 
//Función que comprueba si se está registrado y se es un responsable del club., de la federacion, o un gestor.
$resultado=$sCphp->controlRegistro(array('federacion','club','gestor'),4);
if ($resultado==1){
	//Guardar dítpicos
	if ((isset($_POST['id']))&&(isset($_POST['datos']))){
		$id_champ=$_POST['id'];
		$creador=$sCphp->val('creador');
		$data = json_decode(stripslashes($_POST['datos']),true);
		//Tendremos el array pagos con los pagos que recibimos del formulario.
		$pagos=array();
		foreach ($data as $valor=>$datos) {
			$campoValue="Default";
			foreach ($datos as $campo=>$value) {
				//Pagos
				//Si en el campo "name" encontramos "id_asginacion", comenzamos un nuevo vector temporal
				if (($campo=="name")&&($value=="id_asginacion")) $campoValue="nuevoTipo";
				if (($campo=="value")&&($campoValue=="nuevoTipo")){
					//Si no estaba creado, deberíamos crearlo para añadir el primer valor.
					if (!isset($temp_array)) $temp_array= array($value);
				}
				if (($campo=="name")&&($value=="horas_bd")) $campoValue="medium";
				if (($campo=="value")&&($campoValue=="medium")){
					//Añadimos mas elementos al vector
					array_push($temp_array,$value);
				}
				if (($campo=="name")&&($value=="km_bd")) $campoValue="last";
				if (($campo=="value")&&($campoValue=="last")){
					//Finalizamos el vector temporal y lo añadimos al general
					if (isset($temp_array)){
						array_push($temp_array,$value);
						$pagos[]=$temp_array;
						unset($temp_array);
					}
				}
			}
		}
		$error=0;
		if ($pagos=='') $error=1;
		if ($error==0){
			//Primero borramos aquellos elementos que estén en la base de datos, pero no estén en la nueva tabla.
			$sql->ejecutarSQL("SELECT * FROM pagos WHERE id_champ='$id_champ'");
			$numRegPagos=$sql->getNumRegistros();
			if ($numRegPagos>0){
				$resulPagos=$sql->getTodosRegistro();
				//Necesito borrar aquellos registros que ya no estén en la tabla.
				foreach ($resulPagos as $pagosBD){
					$id_pagoBorrar=$pagosBD['id_pago'];
					$id_asignacionBorrar=$pagosBD['id_asignacion'];
					$encontrado=false;
					//Lo busco en el programa que me pasan nuevo.
					foreach ($pagos as $pagoTabla){
						$id_asignacionPago=$pagoTabla[0];
						if ($id_asignacionPago==$id_asignacionBorrar) $encontrado=true;
					}
					if (!$encontrado)
						$sql->ejecutarSQL("DELETE FROM pagos WHERE id_pago='$id_pagoBorrar' AND id_champ='$id_champ'");
				}
			}
			foreach ($pagos as $resultado){
				$id_asignacion=$resultado[0];
				$horas=$resultado[1];
				$km=$resultado[2];
				//Hago este select a ver si inserto o actualizo
				$sql->ejecutarSQL("SELECT id_pago FROM pagos WHERE id_asignacion='$id_asignacion' AND id_champ='$id_champ'");
				$actualizar=$sql->getNumRegistros();
				if ($actualizar > 0)
					$sql->ejecutarSQL("UPDATE pagos SET id_asignacion='$id_asignacion', horas='$horas', km='$km'");
				else 
					$sql->ejecutarSQL("INSERT INTO `pagos` (`id_pago`, `id_champ`, `id_asignacion`, `horas`, `km`) VALUES (NULL, '$id_champ', '$id_asignacion', '$horas', '$km');");
			}
		}
		echo $error;
	}
}
else echo $resultado;
?>