<?php
/*

			Módulo de modificación de alumnos
Comprobación de los datos del formulario para la modificación de alumnos.
		
*/
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
if ((isset($_POST['id_user']))&&(isset($_POST['licencia']))&&(isset($_POST['id_alumno']))&&(isset($_POST['datos']))){
	$id_user=$_POST['id_user'];
	$licencia=$_POST['licencia'];
	$id_alumno=$_POST['id_alumno'];
	$pruebas_alumno="";
	$error=0;
	//Recibimos en la variable $data los valores del array serializado con los campos del formulario dinámicos
	$data = json_decode(stripslashes($_POST['datos']),true);
	foreach ($data as $valor=>$datos) {
		$campoValue="Default";
		foreach ($datos as $campo=>$value) {
			//Para el array de pruebas del alumno
			//Si en el campo "name" del array tenemos que es un tipo de categoría
			if (($campo=="name")&&($value=="tipoChamp")) $campoValue="tipoChamp";
			if (($campo=="value")&&($campoValue=="tipoChamp")){
				//Comprobamos que el array esté creado ya
				//Si no está creado, lo creamos
				if (!isset($pruebas_temp)){
					if ($value!="") $pruebas_temp= array($value);
				}
			}
			//Si nos encontramos con el valores intermedios, vamos insertando
			if (($campo=="name")&&($value=="id_alumno_pruebas")) $campoValue="id_alumno_pruebas";
			if (($campo=="value")&&($campoValue=="id_alumno_pruebas")){
				if (isset($pruebas_temp)) $pruebas_temp[]= $value;
			}
			//Si nos encontramos con el valores intermedios, vamos insertando
			if (($campo=="name")&&(($value=="modalidad")||($value=="prueba"))) $campoValue="prueba";
			if (($campo=="value")&&($campoValue=="prueba")){
				if (isset($pruebas_temp)){
					if ($value!="") $pruebas_temp[]= $value;
				}
			}
			//Finalizamos el array temporal cuando encontramos los años competidos
			if (($campo=="name")&&($value=="competidos")) $campoValue="competidos";
			if (($campo=="value")&&($campoValue=="competidos")){
				if (isset($pruebas_temp)){
					if ($value!="") $pruebas_temp[]= $value;
					$pruebas_alumno[]= $pruebas_temp;
					unset($pruebas_temp);
				}
			}
		}
	}
	if ($pruebas_alumno==NULL) $error=-1;
	if ($error==0){
		//Pruebas para los alumnos
		//Primero borro aquellas que se encuentren en la base de datos pero no en la nueva lista
		$sql= new cMySQL(); 
		$sql->conectar();
		$sql->query("SELECT * FROM alumno_pruebas WHERE id_alumno='$id_alumno'");
		$sql->ejecutarSQL();
		$numAlumGeneral=$sql->getNumRegistros();
		if ($numAlumGeneral){
			$proofs_noTeachers=$sql->getTodosRegistro();
			foreach ($proofs_noTeachers as &$alumno){
				$borrar=true;
				$id_bbdd=$alumno['id_alumno_pruebas'];
				foreach ($pruebas_alumno as &$prueba_alumno){
					$var_id_alumno_temp=$prueba_alumno[1];
					if ($var_id_alumno_temp==$id_bbdd) $borrar=false;
				}
				if ($borrar)
					$sql->ejecutarSQL("DELETE FROM alumno_pruebas WHERE id_alumno_pruebas='$id_bbdd'");
			}
		}
		foreach ($pruebas_alumno as &$prueba_alumno){
			$tipoChamp=$prueba_alumno[0];
			$id_alumno_pruebas=$prueba_alumno[1];
			$modalidad=$prueba_alumno[2];
			$pruebita=$prueba_alumno[3];
			if (count($prueba_alumno)>4) $competidos=$prueba_alumno[4];
			else $competidos=0;
			$sql->query("SELECT id_alumno_pruebas FROM alumno_pruebas WHERE id_alumno_pruebas='$id_alumno_pruebas'");
			$sql->ejecutarSQL();
			$resultado=$sql->getUnRegistro();
			//Inserto si no estaba esta categoría
			if ($resultado['id_alumno_pruebas']=="")
				$sql->ejecutarSQL("INSERT INTO `alumno_pruebas`(`id_alumno_pruebas`, `id_alumno`, `tipoChamp`, `modalidad`, `prueba`, `competidos`) VALUES ('', '$id_alumno', '$tipoChamp', '$modalidad', '$pruebita', '$competidos')") or DIE(mysql_error());
			else
				$sql->ejecutarSQL("UPDATE `alumno_pruebas` SET `tipoChamp`='$tipoChamp',`modalidad`='$modalidad',`prueba`='$pruebita',`competidos`='$competidos' WHERE id_alumno_pruebas='$id_alumno_pruebas'") or DIE(mysql_error());
		}
		
		//Licencia
		$sql->ejecutarSQL("UPDATE `users` SET `licencia`='$licencia' WHERE idUser='$id_user'") or DIE(mysql_error());
	}
	echo $error;
}
else echo 2;

?>