<?php
session_start();
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
$resultado=$sCphp->controlRegistro('administrador',1);
if ($resultado==1){
	$sql= new cMySQL(); 
	$sql->conectar();
	//Si recibimos los valores para validar, aceptar o rechazar, se actualizará la bbdd
	if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))){
		//Nombre de la organización a actualizar
		$name=$_GET['valor2'];
		if ($_GET['valor1']==0) $bool=false;
		else $bool=true;
		//Comprobamos si ya está vinculado a la organización
		$sql->query("SELECT organizacion,tipo FROM users WHERE correo='$name'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		$nombre_org=$res['organizacion'];
		$tipo=$res['tipo'];
		if (($nombre_org==NULL)&&($bool)){
			//Necesitamos el nombre de la organización
			$sql->query("SELECT nombre FROM organizacion WHERE creador='$name'");
			$sql->ejecutarSQL();
			$nombre_org=$sql->getCampoN();
			$sql->ejecutarSQL("UPDATE users SET organizacion='$nombre_org' WHERE correo='$name'") or DIE("No se puede");
			//Si aceptamos, tenemos que añadir la solicitud, por si hay cambio de dueño más tarde
			$sql->ejecutarSQL("INSERT INTO solicitudes (`idSol`, `solicitor`, `solicitado`, `organizacion`, `validada`, `aceptada`, `tipo`) VALUES ('','$name','$name', '$nombre_org',true,true,'$tipo')");
		}
		//Si la activo por primera vez, tengo que 
		$sql->ejecutarSQL("UPDATE organizacion SET validada=true, activa='$bool' WHERE creador='$name'");
	}
	if (isset($_GET['club'])){ 
		$sql->query("SELECT * FROM organizacion WHERE tipo='club' ORDER BY validada, activa, nombre DESC");
		$tipo='club';
		$sql->ejecutarSQL();
		$numReg=$sql->getNumRegistros();
		$res=$sql->getTodosRegistro();
	}
	else{
		$sql->query("SELECT * FROM organizacion WHERE tipo='federacion' ORDER BY validada, activa, nombre DESC");
		$tipo='federacion';
		$sql->ejecutarSQL();
		$numReg=$sql->getNumRegistros();
		$res=$sql->getTodosRegistro();
	}
	if (isset($_GET['club'])) echo "<h2 style='text-align:center;'>Clubes <small>Puede realizar los cambios en cualquier momento</small></h2>";
	else echo "<h2 style='text-align:center;'>Federaciones <small>Puede realizar los cambios en cualquier momento</small></h2>";
	if ($numReg > 0){
		echo "
		<div id='div_borrar'>
		<table class='table table-bordered table-striped'>
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Integrantes</th>
					<th>Creador</th>
					<th>País</th>
					<th>Región</th>
					<th>Estado</th>
				</tr>
			</thead>
			<tbody>";
		foreach ($res as &$valor) {
				//En espera de ser validada
				if ($valor['validada']==0) echo "<tr class=\"warning\">";
				else{
					//Rechazada
					if ($valor['activa']==0) echo "<tr class=\"danger\">";
					//Aceptada
					else echo "<tr class=\"success\">";
				}
				echo "
				<td>".$valor['nombre']."</td>
				<td>".$valor['integrantes']."</td>
				<td>".$valor['creador']."</td>
				<td>".$paises[$valor['pais']]."</td>
				<td>".$regiones[$valor['pais']][$valor['region']]."</td>";
				//En espera de ser validada
				if ($valor['validada']==0) echo "<td>Esperando ser validada</td>";
				else{
					//Rechazada
					if ($valor['activa']==0) echo "<td>Rechazada</td>";
					//Aceptada
					else echo "<td>Activa</td>";
				}
				echo "
					<td>";
						//Si ha sido aceptada, se puede rechazar
						if (($valor['validada']==1)&&($valor['activa']==1)) echo "<button class=\"btn btn-success disabled\">Aceptar</button>&nbsp;";
						else echo "<button class=\"btn btn-success\" onClick=\"validar('1','".$valor['creador']."')\">Aceptar</button>&nbsp;";
						//Si ha sido rechazada, se puede aceptar
						if (($valor['validada']==1)&&($valor['activa']==0)) echo "<button class=\"btn btn-danger disabled\">Rechazar</button>&nbsp;";
						else echo "<button class=\"btn btn-danger\" onClick=\"validar('0','".$valor['creador']."')\">Rechazar</button>&nbsp;";
					echo "	
					</td>
				</tr>
				";
		}
		echo "</tbody>
			</table></div>
			<script>
			function validar(valido,org){
				var ruta='modulos/organizacion/validaciones.php?".$tipo."' + '&valor1=' + valido + '&valor2=' + org;
				actualizar('#centro',ruta);
				$('#menu-iz-uno').load('menu.php?admin');
			}
			</script>
			";
	}
	else echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">Todavía no se ha creado ninguna organización para validar.</div>";
}
else{
	echo $resultado;
}
?>
