<?php
/*
-----------------------------------------------------------------------------------------------------------
							Ver alumno
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) No se puede realizar ninguna operación. Solo es para ver en detalle al alumno seleccionado.
			
*/
session_start();
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable de la federación. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable de la federación.
$resultado=$sCphp->controlRegistro(array('club','alumno'),4);
if ($resultado==1){
	$correo=$sCphp->val('correo');
	$rol=$sCphp->val('tipo');
	$organizacion=$sCphp->val('org');
	$creador=$sCphp->val('creador');
	//Si recibimos el id_alumno, vamos a ver la información del alumno
	if (isset($_GET['id_alumno'])){
		$id_alumno=$_GET['id_alumno'];
		$sql->query("SELECT * FROM alumno LEFT JOIN users ON (users.idUser=alumno.id_user) WHERE id_alumno='$id_alumno'");
		$sql->ejecutarSQL();
		$alumno=$sql->getUnRegistro();
		$id_alumno=$alumno['id_alumno'];
		$sql->query("SELECT * FROM alumno_pruebas WHERE id_alumno='$id_alumno'");
		$sql->ejecutarSQL();
		$numRegistros=$sql->getNumRegistros();
		echo "<h2 style='text-align:center;'>Ver información alumno</h2>";
		$nacimiento= strtotime($alumno['nacimiento']);
		$fecha = time() -  $nacimiento;
		$edad = floor((($fecha / 3600) / 24) / 360);
		echo "
			<div class=\"well\">
				<div class=\"panel panel-primary\">
				  <div class=\"panel-heading\">
					<h3 class=\"panel-title\">".$alumno['username']." ".$alumno['apellidos']."</h3>
				  </div>
				  <div class=\"panel-body\">
					<div class=\"row\">
						<div class=\"col-md-6\">
							<div class=\"panel panel-info\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">Información básica</h3>
								</div>
								<div class=\"panel-body\">
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Club</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$alumno['organizacion']."</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Nacimiento</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".date('d-m-Y',$nacimiento)."</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Edad</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$edad." años</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Sexo</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$alumno['sexo']."</p>
										</div>
									</div>
									<div class=\"form-group\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Licencia</label>
										<div class=\"col-lg-10\">
											<p class=\"form-control-static\">".$alumno['licencia']."</p>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class=\"col-md-6\">
							<div class=\"panel panel-danger\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">Pruebas</h3>
								</div>
								<div class=\"panel-body\" id=\"pruebas\">
									
									
									";
									$i=1;
									if ($numRegistros>0){
										$alumnoInfo=$sql->getTodosRegistro();
										foreach ($alumnoInfo as &$info){
											echo "<div class=\"panel panel-default\" id=\"prueba_alumno".$i."\">
												<div class=\"panel-body\">
													<div class=\"form-group\" style=\"height: 40px;\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Tipo de campeonato</label>
														<div class=\"col-lg-10\">
														  <p class=\"form-control-static\">".$info['tipoChamp']."</p>
														</div>
													</div>
													<input type=\"hidden\" name=\"id_alumno_pruebas\" value=\"".$info['id_alumno_pruebas']."\">
													<div class=\"form-group\" style=\"height: 40px;\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Modalidad</label>
														<div class=\"col-lg-10\">
														  <p class=\"form-control-static\">".$info['modalidad']."</p>
														</div>
													</div>
													<div class=\"form-group\" style=\"height: 40px;\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Prueba</label>
														<div class=\"col-lg-10\">
														  <p class=\"form-control-static\">".$info['prueba']."</p>
														</div>
													</div>";
													if ($info['competidos']==NULL) $competidos=0;
													else $competidos=$info['competidos'];
													echo "
														<div class=\"form-group\" style=\"height: 40px;\">
															<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Años competidos</label>
															<div class=\"col-lg-10\">
															  <p class=\"form-control-static\">".$competidos."</p>
															</div>
														</div>";
													echo "
												</div>
											</div>";
											$i++;
										}
									}
									else{
										echo "<div class=\"alert alert-info\" style=\"text-align:center;\">No se han definido pruebas todavía. Esta acción la puede realizar el responsable de la federación a la que esté afiliado el club.</div>";
									}
									echo "
								</div>
							</div>
						</div>
					</div>
				  </div>
				</div>
			</div>
			<button type=\"button\" class=\"btn btn-primary\" onClick=\"actualizar('#centro', 'modulos/organizacion/verOrg.php');\">Volver</button>";
	}
}
else echo $resultado;
?>
