<?php
/*
							PRECONDICIONES (Ver Federación/Ver Club)
		1.	Debe estar registrado en la base de datos como responsable.
		2.	Debe haber accedido al sistema con su nombre de usuario y contraseña.
		3.	Debe pertenecer a la federación.
		1.	Debe estar registrado en la base de datos como responsable o alumno.
		2.	Debe haber accedido al sistema con su nombre de usuario y contraseña.
		3.	Debe pertenecer a ese club o el club debe pertenecer a la federación del responsable de la federación.


*/
session_start();
include_once('../../bbdd/general.php');
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','alumno','juez','federacion'),4);
if ($resultado==1){
		//Control de los datos para modificar el nombre, mensaje y creador de una organización
		if (isset($_POST['creador'])){
			if ((isset($_POST['idOrg']))&&(isset($_POST['nombre']))&&(isset($_POST['mensaje']))){
				$idOrg2=$_POST['idOrg'];
				$welcome2=$_POST['mensaje'];
				$nombre2=$_POST['nombre'];
				$creador2=$_POST['creador'];
				$sql->ejecutarSQL("UPDATE organizacion SET nombre='$nombre2', welcome='$welcome2', creador='$creador2' WHERE idOrg='$idOrg2'") or DIE(mysql_error());
				echo $resultado;
			}
			if ((isset($_POST['idOrg']))&&(isset($_POST['correo']))){
				$correo2=$_POST['correo'];
				$creador2=$_POST['creador'];
				$idOrg2=$_POST['idOrg'];
				$sql->ejecutarSQL("UPDATE users SET organizacion=NULL WHERE correo='$correo2'") or DIE(mysql_error());
				$sql->ejecutarSQL("DELETE FROM solicitudes  WHERE solicitor='$correo2' AND solicitado='$creador2'") or DIE(mysql_error());
				$sql->ejecutarSQL("UPDATE organizacion SET integrantes=integrantes-1 WHERE idOrg='$idOrg2'") or DIE(mysql_error());
				echo $resultado;
			}
		}
		else{
			$tipo=$sCphp->val('tipo');
			$creator=$sCphp->val('creador');
			$correo=$sCphp->val('correo');
			$organizacion=$sCphp->val('org');
			//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
			switch($tipo){
				case "federacion":
					$rol="Responsable de la federación";
					break;
				case "club":
					$rol="Responsable del club";
					break;
				case "gestor":
					$rol="Gestor de papeles";
					break;
				case "clasificador":
					$rol="Gestor de clasificaciones";
					break;
				case "alumno":
					$rol="Alumno";
					break;
				case "juez":
					$rol="Juez";
					break;
				default: $rol=$_SESSION['tipo'];
			}
			if ($sCphp->esRol(array('federacion','juez'))) $org="federacion";
			else $org="club";
			$sql->query("SELECT * FROM users WHERE correo='$correo'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$sql->query("SELECT * FROM organizacion WHERE nombre='$organizacion'");
			$sql->ejecutarSQL();
			$resInt=$sql->getUnRegistro();
			$integrantes=$resInt['integrantes'];
			$welcome=$resInt['welcome'];
			$idOrg=$resInt['idOrg'];
			echo "<h2 style='text-align:center;'>";
			if ($org=="federacion") echo "Federación: ".$organizacion." <small>".$integrantes." miembro";
			if ($org=="club") echo "Club: ".$organizacion." <small>".$integrantes." miembro";
			if ($integrantes > 1) echo "s";
			
			//Menú
			echo "</small></h2><ul id=\"miTab\" class=\"nav nav-tabs\" style=\"margin-bottom:0px;\">
					<li class=\"active\">
						<a href=\"#home\" data-toggle=\"tab\">Home</a>
					</li>
					<li>
						<a href=\"#usuarios\" data-toggle=\"tab\">Ver usuarios</a>
					</li>
					<li>
						<a href=\"#campeonatos\" data-toggle=\"tab\">Ver campeonatos</a>
					</li>";
					if (($_SESSION['tipo']=="club")||($_SESSION['tipo']=="federacion")){
						echo "
						<li>
							<a href=\"#mod_org\" data-toggle=\"tab\">Editar ".$org."</a>		
						</li>";
					}
					echo "<li>
						<a href=\"#baja\" data-toggle=\"tab\">Darse de baja</a>
					</li>
				</ul>
				<div class=\"tab-content\" style=\"border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-bottom: 1px solid #ddd;\">
					<div class=\"tab-pane fade active in\" id=\"home\" style=\"margin-left: 10px;margin-right:10px;\">";
						if ($org=="federacion"){
							if ($welcome=="")
								echo "<br><div class=\"jumbotron\"><h3 style=\"text-aling:left\">Bienvenido/a a su federación ".$res['username']." ".$res['apellidos']."</h3></div>";
							else
								echo "<br><div class=\"jumbotron\"><h3 style=\"text-aling:left\">".$welcome."</h3></div>";
						}
						if ($org=="club"){
							if ($welcome=="")
								echo "<br><div class=\"jumbotron\"><h3 style=\"text-aling:left\">Bienvenido/a a su club ".$res['username']." ".$res['apellidos']."</h3></div>";
							else
								echo "<br><div class=\"jumbotron\"><h3 style=\"text-aling:left\">".$welcome."</h3></div>";
						}
						if ($org=="federacion") echo "<h3 style=\"text-aling:left\">Datos de la federación</h3>";
						if ($org=="club") echo "<h3 style=\"text-aling:left\">Datos del club</h3>";
						$sql->query("SELECT * FROM organizacion WHERE nombre='$organizacion'");
						$sql->ejecutarSQL();
						$resOrg=$sql->getUnRegistro();
						echo "
						<table class='table table-bordered table-striped'>
						<thead>
							<tr>
								<th>Nombre</th>
								<th>Integrantes</th>
								<th>Afiliado a</th>
								<th>Creador</th>
								<th>País</th>
								<th>Región</th>
							</tr>
						</thead>
						<tbody><tr>
						<td>".$resOrg['nombre']."</td>
						<td>".$resOrg['integrantes']."</td>";
						if ($resOrg['afiliadoA']=="") echo	"<td>Sin afiliación</td>";
						else echo "<td>".$resOrg['afiliadoA']."</td>";
						$tmp=$resOrg['creador'];
						$sql->query("SELECT username,apellidos FROM users WHERE correo='$tmp'");
						$sql->ejecutarSQL();
						$resName=$sql->getUnRegistro();
						echo "
						<td>".$resName['username']." ".$resName['apellidos']."</td>
						<td>".$paises[$resOrg['pais']]."</td>
						<td>".$regiones[$resOrg['pais']][$resOrg['region']]."</td>
						</tr></tbody></table>";
					echo "
					</div>
					<div class=\"tab-pane fade\" id=\"usuarios\" style=\"margin-left: 10px;margin-right:10px;\">
					";
			if ($org=="federacion"){
				$sql->query("SELECT * FROM users WHERE organizacion='$organizacion' AND tipo='federacion' ORDER BY tipo, username");
			}
			else{
				$sql->query("SELECT * FROM users WHERE organizacion='$organizacion' AND tipo='club' ORDER BY tipo, username");
			}
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				if ($org=="federacion"){
					echo "<br><h3 style=\"text-align:left;\">Responsables de la federación</h3>";
				}
				else{
					echo "<br><h3 style=\"text-align:left;\">Responsables del club</h3>";
				}
				$res=$sql->getTodosRegistro();
				echo "
				<table class='table table-bordered table-striped'>
					<thead>
						<tr>
							<th>Nombre</th>
							<th>Apellidos</th>
							<th>Correo</th>
							<th>Rol</th>
							<th>Última modificación</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($res as &$valor) {
					//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
					switch($valor['tipo']){
						case "federacion":
							$tipo="Responsable de la federación";
							break;
						case "club":
							$tipo="Responsable del club";
							break;
						default: $tipo=$valor['tipo'];
					}
					//En espera de ser validada
					echo "<tr>";
					echo "
					<td>".$valor['username']."</td>
					<td>".$valor['apellidos']."</td>
					<td>".$valor['correo']."</td>
					<td>".$tipo."</td>
					<td>".$valor['hora']."</td>
					</tr>
					";
				}
				echo "</tbody>
					</table>";	
			}
			else{
				echo "<div class=\"alert alert-warning\" style=\"text-align:center;\">No existen responsables en esta organización.</div>";
			}
			if ($org=="federacion"){
				$sql->query("SELECT * FROM users WHERE organizacion='$organizacion' AND tipo='juez' ORDER BY tipo, username");
			}
			else{
				$sql->query("SELECT * FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE organizacion='$organizacion' AND tipo='alumno' ORDER BY tipo, username");
			}
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				if ($org=="federacion"){
					echo "<h3 style=\"text-align:left;\">Jueces</h3>";
				}
				else{
					echo "<h3 style=\"text-align:left;\">Alumnos</h3>";
				}
				$res=$sql->getTodosRegistro();
				echo "
				<table class='table table-bordered table-striped'>
					<thead>
						<tr>
							<th>Nombre</th>
							<th>Apellidos</th>
							<th>Correo</th>";
					if ($org!="federacion"){
						echo "
							<th>Edad</th>
							<th>Sexo</th>
							<th>Licencia</th>
						";
					}
							echo "
							<th>Rol</th>
							<th>Última modificación</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($res as &$valor) {
					//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
					switch($valor['tipo']){
						case "juez":
							$tipo="Juez";
							break;
						case "alumno":
							$tipo="Alumno";
							break;
						default: $tipo=$valor['tipo'];
					}
					//En espera de ser validada
					echo "<tr>";
					echo "
					<td>".$valor['username']."</td>
					<td>".$valor['apellidos']."</td>
					<td>".$valor['correo']."</td>";
					if ($org!="federacion"){
					$fecha = time() - strtotime($valor['nacimiento']) ;
					$edad = floor((($fecha / 3600) / 24) / 360);
					echo "
					<td>".$edad."</td>
					<td>".$valor['sexo']."</td>
					<td>".$valor['licencia']."</td>
					";
					}
					echo "
					<td>".$tipo."</td>
					<td>".$valor['hora']."</td>";
					//Esta información solo la ven los responsables del club y la modifican los responsables de la federación en mod_inf_alu.
					if ($_SESSION['tipo']=="club")
						if ($org!="federacion") 
							echo "<td><button type=\"button\" class=\"btn btn-default\" onClick=\"cargar_alumno('".$valor['id_alumno']."');\"><span class=\"glyphicon glyphicon-list-alt\"></span> </button></td>";
					echo "
					</tr>
					";
				}
				echo "</tbody>
					</table>
				";				
			}
			echo "</div>
				<div class=\"tab-pane fade\" id=\"campeonatos\" style=\"margin-left: 10px;margin-right:10px;\">";
					if ($org=="federacion"){
						echo "<br><h3 style=\"text-aling:left\">Campeonatos de la federación</h3>";
						$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator' ORDER BY fecha DESC") or DIE(mysql_error());
						$numRegistrosJOIN0=$sql->getNumRegistros();
						if ($numRegistrosJOIN0 > 0){
							echo "
							<table class='table table-bordered table-striped table-responsive'>
								<thead>
									<tr>
										<th>Nombre campeonato</th>
										<th>Tipo</th>
										<th>Plantilla utilizada</th>
										<th>Inscripciones</th>
										<th>Fecha celebración</th>
										<th>Lugar celebración</th>
										<th>Fecha creación</th>
										<th>Última modificación</th>
									</tr>
								</thead>
								<tbody>";
								$registroJOIN0=$sql->getTodosRegistro();
								foreach ($registroJOIN0 as &$resultado){
									$pieces1 = explode("-", $resultado['fecha']);
									$pieces2 = explode("-", $resultado['fecha_fin']);
									$PrimerDia=$pieces1[2];
									$Mes=$pieces1[1];
									$Year=$pieces2[0];
									$UltimoDia=$pieces2[2];
									$id_tipoChamp=$resultado['tipo_evento'];
									$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
									$sql->ejecutarSQL();
									$resulTipoEvento=$sql->getUnRegistro();
									$tipo_evento=$resulTipoEvento['nombre'];
									$tiempo2=strtotime($resultado['creacion']);
									$tiempo3=strtotime($resultado['ult_modificacion']);
									echo "<tr><td>".$resultado['nombreChamp']."</td>
									<td>".$tipo_evento."</td>
									<td>".$resultado['nombre_pl']."</td>
									<td>";
									if ($resultado['visible']==1) echo "Abiertas";
									else "Cerradas";
									echo "</td>";
									if ($PrimerDia==$UltimoDia) echo "<td>".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
									else echo "<td>Del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
									echo "<td>".$resultado['lugar']."</td>
									<td>".date('d-m-Y G:i:s',$tiempo2)."</td>
									<td>".date('d-m-Y G:i:s',$tiempo3)."</td>
									</tr>";	
								}
								echo "</tbody>
									</table>";
						}
						else
							echo "<ul>En este módulo se visualizarán los campeonatos organizados por la federación correspondientes.</ul>";
					}
					if ($org=="club"){ 
						echo "<br><h3 style=\"text-aling:left\">Campeonatos del club</h3>";
						$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE(mysql_error());
						$numRegistrosJOIN0=$sql->getNumRegistros();
						if ($numRegistrosJOIN0 > 0){
							echo "
							<table class='table table-bordered table-striped table-responsive'>
								<thead>
									<tr>
										<th>Nombre campeonato</th>
										<th>Tipo</th>
										<th>Plantilla utilizada</th>
										<th>Inscripciones</th>
										<th>Fecha celebración</th>
										<th>Lugar celebración</th>
										<th>Fecha creación</th>
										<th>Última modificación</th>
									</tr>
								</thead>
								<tbody>";
								$registroJOIN0=$sql->getTodosRegistro();
								foreach ($registroJOIN0 as &$resultado){
									$pieces1 = explode("-", $resultado['fecha']);
									$pieces2 = explode("-", $resultado['fecha_fin']);
									$PrimerDia=$pieces1[2];
									$Mes=$pieces1[1];
									$Year=$pieces2[0];
									$UltimoDia=$pieces2[2];
									$id_tipoChamp=$resultado['tipo_evento'];
									$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
									$sql->ejecutarSQL();
									$resulTipoEvento=$sql->getUnRegistro();
									$tipo_evento=$resulTipoEvento['nombre'];
									$tiempo2=strtotime($resultado['creacion']);
									$tiempo3=strtotime($resultado['ult_modificacion']);
									echo "<tr><td>".$resultado['nombreChamp']."</td>
									<td>".$tipo_evento."</td>
									<td>".$resultado['nombre_pl']."</td>
									<td>";
									if ($resultado['visible']==1) echo "Abiertas";
									else "Cerradas";
									echo "</td>";
									if ($PrimerDia==$UltimoDia) echo "<td>".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
									else echo "<td>Del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
									echo "
									<td>".$resultado['lugar']."</td>
									<td>".date('d-m-Y G:i:s',$tiempo2)."</td>
									<td>".date('d-m-Y G:i:s',$tiempo3)."</td>
									</tr>";	
								}
								echo "</tbody>
									</table>";
						}
						else
							echo "<ul>En este módulo se visualizarán los campeonatos organizados por el club, o en los que ha participado si son oficiales.</ul>";
						
					}
			echo "
				</div>";
			if (($_SESSION['tipo']=="club")||($_SESSION['tipo']=="federacion")){
				echo "
					<div class=\"tab-pane fade\" id=\"mod_org\" style=\"margin-left: 10px;margin-right:10px;\">";
						if ($org=="federacion"){
							echo "<br><h3 style=\"text-aling:left\">Modificar la federación</h3>";
							echo "<form role=\"form\" id=\"verOrg-form\" action=\"modulos/organizacion/verOrg.php\">
								<div class=\"form-group\">
									<label for=\"nombre\">Nombre de la federación</label>
									<input type=\"text\" class=\"form-control\" id=\"nombre\" name=\"nombre\" placeholder=\"Nombre de la federación\" value=\"".$organizacion."\">
									<input type=\"hidden\" name=\"idOrg\" value=\"".$idOrg."\">
								</div>
								<div class=\"form-group\">
									<label for=\"mensaje\">Mensaje de bienvenida</label>
									<textarea class=\"form-control\" rows=\"5\" name=\"mensaje\" required>".$welcome."</textarea>
								</div>";
								$sql->ejecutarSQL("SELECT username,apellidos,correo FROM users WHERE organizacion='$organizacion' AND tipo='federacion'");
								$numReg=$sql->getNumRegistros();
								if ($numReg>0){
									echo "<div class=\"form-group\">
										<label for=\"creador\">Creador del club</label>
										<select class=\"form-control\" id=\"creador\" name=\"creador\">";
											$resResponsables=$sql->getTodosRegistro();
											foreach ($resResponsables as &$responsable){
												if ($creator==$responsable['correo'])
													echo "<option value=\"".$responsable['correo']."\" selected>".$responsable['username']." ".$responsable['apellidos']."</option>";
												else
													echo "<option value=\"".$responsable['correo']."\">".$responsable['username']." ".$responsable['apellidos']."</option>";
											}
									  echo "</select>
									  <p class=\"help-block\">Cambie el dueño de la federación.</p>
									</div>";
								}
								echo "<button type=\"submit\" class=\"btn btn-default\" id=\"botonVerOrg\" data-loading-text=\"Modificando...\">Modificar información</button>
							</form>";
						}
						if ($org=="club"){ 
							echo "<br><h3 style=\"text-aling:left\">Modificar el club</h3>";
							echo "<form role=\"form\" id=\"verOrg-form\" action=\"modulos/organizacion/verOrg.php\">
								<div class=\"form-group\">
									<label for=\"nombre\">Nombre del club</label>
									<input type=\"text\" class=\"form-control\" id=\"nombre\" name=\"nombre\" placeholder=\"Nombre del club\" value=\"".$organizacion."\">
									<input type=\"hidden\" name=\"idOrg\" value=\"".$idOrg."\">
								</div>
								<div class=\"form-group\">
									<label for=\"mensaje\">Mensaje de bienvenida</label>
									<textarea class=\"form-control\" rows=\"5\" name=\"mensaje\" required>".$welcome."</textarea>
								</div>";
								$sql->ejecutarSQL("SELECT username,apellidos,correo FROM users WHERE organizacion='$organizacion' AND tipo='club'");
								$numReg=$sql->getNumRegistros();
								if ($numReg>0){
									echo "<div class=\"form-group\">
										<label for=\"creador\">Creador del club</label>
										<select class=\"form-control\" id=\"creador\" name=\"creador\">";
											$resResponsables=$sql->getTodosRegistro();
											foreach ($resResponsables as &$responsable){
												if ($creator==$responsable['correo'])
													echo "<option value=\"".$responsable['correo']."\" selected>".$responsable['username']." ".$responsable['apellidos']."</option>";
												else
													echo "<option value=\"".$responsable['correo']."\">".$responsable['username']." ".$responsable['apellidos']."</option>";
											}
									  echo "</select>
									  <p class=\"help-block\">Cambie el dueño del club.</p>
									</div>";
								}
								echo "<button type=\"submit\" class=\"btn btn-default\" id=\"botonVerOrg\" data-loading-text=\"Modificando...\">Modificar información</button>
							</form>";
						}
				echo "
					</div>";
			}
			echo "
				<div class=\"tab-pane fade\" id=\"baja\" style=\"margin-left: 10px;margin-right:10px;\">
					<form role=\"form\" id=\"verOrg-darsebaja-form\" action=\"modulos/organizacion/verOrg.php\">
						<input type=\"hidden\" name=\"idOrg\" value=\"".$idOrg."\">
						<input type=\"hidden\" name=\"correo\" value=\"".$correo."\">
						<input type=\"hidden\" name=\"creador\" value=\"".$creator."\">
						<br><button type=\"submit\" class=\"btn btn-default\" id=\"botonVerOrgDarseBaja\" data-loading-text=\"Procesando baja...\">Darse de baja</button>
					</form>
				</div>
			</div>
			<script>
			function cargar_alumno(id){
				var pl='modulos/organizacion/verAlumno.php?id_alumno=' + id;
				var texto='¿Deseas ver en detalle la información del alumno?';
				if (confirm(texto)) actualizar('#centro', pl);
			}
			$('#botonVerOrg').click(function () {
				var btn = $(this)
				btn.button('loading')
				setTimeout(function () {btn.button('reset')}, 3000)
			});
			$('#botonVerOrgDarseBaja').click(function () {
				var btn = $(this)
				btn.button('loading')
				setTimeout(function () {btn.button('reset')}, 3000)
			});
			$('#verOrg-darsebaja-form').submit(function(event) {
			  //Evita que se ejecute el botón de submit
			  event.preventDefault();
			  var error=0;
			  //Recoge ciertos valores del formulario
			  var form = $( this ),
				  term0 = form.find( 'input[name=\"correo\"]' ).val(),
				  //Primer término será el identificador de la organización
				  term1 = form.find( 'input[name=\"idOrg\"]' ).val(),
				  //Segundo término será el país
				  term2 = form.find( 'input[name=\"creador\"]' ).val(),
				  url = form.attr( 'action' );
			  if (term0==term2){
				alert('No puede darse de baja mientras sea el creador. Debe cambiarlo primero en editar ".$org.".');
				error=1;
				$('#botonVerOrgDarseBaja').button('reset');
			  }
			  if (error==0){
				  //Envía los datos mediante jquery y json
				  var posting = $.post( url, { correo:term0, idOrg: term1, creador: term2 } );
				  //Devuelve los resultados en data.
				  posting.done(function( data ) {
						$('#botonVerOrgDarseBaja').button('reset');
						if (data == 1){
							alert('Baja tramitada correctamente.');
							location.reload();
						}
						else alert(data);
				  });
			  }
			});
			$('#verOrg-form').submit(function(event) {
			  //Evita que se ejecute el botón de submit
			  event.preventDefault();
			  //Serializamos el formulario
			  //Recoge ciertos valores del formulario
			  var form = $( this ),
				  term0 = form.find( 'input[name=\"idOrg\"]' ).val(),
				  //Primer término será el nombre de la organización
				  term1 = form.find( 'input[name=\"nombre\"]' ).val(),
				  //Segundo término será el país
				  term2 = form.find( 'textarea[name=\"mensaje\"]' ).val(),
				  term3 = form.find( 'select[name=\"creador\"]' ).val(),
				  url = form.attr( 'action' );
			  //Envía los datos mediante jquery y json
			  var posting = $.post( url, { idOrg:term0, nombre: term1, mensaje: term2, creador: term3 } );
			  //Devuelve los resultados en data.
			  posting.done(function( data ) {
					$('#botonVerOrg').button('reset');
					if (data == 1){
						alert('Cambios realizados con éxito.');
						actualizar('#centro','modulos/organizacion/verOrg.php');
					}
					else alert(data);
			  });
			});
			</script>
			";
		}
}
else echo $resultado;
?>
