<?php
session_start();
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../bbdd/general.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
$resultado=$sCphp->controlRegistro('administrador',1);
if ($resultado==1){
	$sql= new cMySQL(); 
	$sql->conectar();
	$correo=$sCphp->val('correo');
	//Borramos al usuario en caso de que se haya seleccionado ya
	if (isset($_GET['name'])){
		$name=$_GET['name'];
		$sql->query("SELECT organizacion FROM users WHERE correo='$name'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		//Si el usuario que se intenta borrar pertence a una organización, se debe decrementar en esta el número de integrantes
		$organizacion=$res['organizacion'];
		if ($organizacion!=''){
			$sql->query("SELECT creador FROM organizacion WHERE nombre='$organizacion'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$creador=$res['creador'];
			//Comprobamos que no se trate del creador, ya que por una restricción en la bdd no se borra, pero se decrementa, por lo que hay que controlar que no decremente.
			if ($creador!=$name){
				$sql->ejecutarSQL("UPDATE organizacion SET integrantes=integrantes-1 WHERE nombre='$organizacion'");
			}
		}
		$sql->query("DELETE FROM users WHERE correo='$name'");
		$sql->ejecutarSQL();
	}
	//Borramos a la organización en caso de que se haya seleccionado ya
	if (isset($_GET['org'])){
		$org=$_GET['org'];
		$sql->query("DELETE FROM organizacion WHERE creador='$org'");
		$sql->ejecutarSQL();
	}
	//Borramos a la organización en caso de que se haya seleccionado ya
	if (isset($_GET['champ'])){
		$id_campeonato=$_GET['champ'];
		$sql->ejecutarSQL("DELETE FROM campeonato WHERE id_campeonato='$id_campeonato'");
	}
	$sql->query("SELECT * FROM users WHERE correo!='$correo' ORDER BY tipo,username ASC");
	$sql->ejecutarSQL();
	$numReg=$sql->getNumRegistros();
	$res=$sql->getTodosRegistro();
	if (!isset($_GET['ver'])){
		echo "
		<h2 style='text-align:center;'>Elimine un usuario
		<small> Haga clíc en la papelera</small></h2>
		<div class=\"alert alert-info\" style=\"text-align:center;\"><span class=\"glyphicon glyphicon-info-sign\"></span>  No se puede borrar un usuario si es creador de una organización. Primero debe borrar la organización, o el creador debe cambiarse.</div>";
	}
	else echo "<h2 style='text-align:center;'>Usuarios del sistema</h2>";
	if ($numReg >0 ){
		echo "
		<div id='div_borrar'>
		<table class='table table-bordered table-striped'>
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Apellidos</th>
					<th>Correo electrónico</th>
					<th>Rol que desempeña</th>
					<th>Nombre de la organización</th>
					<th>Licencia federativa</th>
					<th>Última modificación</th>
				</tr>
			</thead>
			<tbody>";
		foreach ($res as &$valor) {
			//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
			switch($valor['tipo']){
				case "federacion":
					$tipo="Responsable de la federación";
					echo "<tr class=\"warning\">";
					break;
				case "club":
					$tipo="Responsable del club";
					echo "<tr class=\"info\">";
					break;
				case "gestor":
					$tipo="Gestor de papeles";
					echo "<tr class=\"success\">";
					break;
				case "clasificador":
					$tipo="Gestor de clasificaciones";
					echo "<tr class=\"danger\">";
					break;
				case "alumno":
					$tipo="Alumno";
					echo "<tr class=\"info\">";
					break;
				case "juez":
					$tipo="Juez";
					echo "<tr class=\"warning\">";
					break;
				case "administrador":
					$tipo="Administrador";
					break;
				default: $tipo=$res['tipo'];
			}
			
			echo "
				<td>".$valor['username']."</td>
				<td>".$valor['apellidos']."</td>
				<td>".$valor['correo']."</td>
				<td>".$tipo."</td>";
				if ($valor['organizacion']==''){
					 echo "<td>No está unido a ninguna organización</td>";
				}
				else{
					echo "<td>".$valor['organizacion']."</td>";
				}
				if ($valor['licencia']=='0'){
					 echo "<td>No tiene licencia</td>";
				}
				else{
					echo "<td>".$valor['licencia']."</td>";
				}
				echo "
				<td>".$valor['hora']."</td>";
				if (!isset($_GET['ver'])){
					echo "
					<td><a href=\"#\" title=\"Borre el usuario\" onClick=\"borrarUsuario('".$valor['correo']."','usuario');\"><span class=\"glyphicon glyphicon-trash\" style=\"color:black;\"></span></a></td>";
				}
				echo "
				</tr>
				";
		}
		echo "</tbody>
			</table></div>
			";
	}
	else echo "<div class=\"alert alert-warning\" style=\"text-align:center;\">Todavía no existe ningún usuario.</div>";
	$sql->query("SELECT * FROM organizacion ORDER BY tipo,nombre ASC");
	$sql->ejecutarSQL();
	$numReg=$sql->getNumRegistros();
	$resultado=$sql->getTodosRegistro();
	if (!isset($_GET['ver'])){
		echo "
		<h2 style='text-align:center;'>Elimine una organización
		<small> Haga clíc en la papelera</small></h2>";
	}
	else echo "<h2 style='text-align:center;'>Organizaciones del sistema</h2>";
	if ($numReg > 0){
		echo "
		<table class='table table-bordered table-striped'>
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Integrantes</th>
					<th>Afiliado a</th>
					<th>Creador</th>
					<th>País</th>
					<th>Región</th>
					<th>¿Ha sido validada?</th>
					<th>Estado</th>
					<th>Tipo</th>
				</tr>
			</thead>
			<tbody>";
		foreach ($resultado as &$valores) {
			if ($valores['validada']==false) echo "<tr class=\"warning\">";
			else{
				if ($valores['activa']==false) echo "<tr class=\"danger\">";
				else echo "<tr class=\"success\">";
			}
			echo "
				<td>".$valores['nombre']."</td>
				<td>".$valores['integrantes']."</td>";
				if ($valores['afiliadoA']=="") echo	"<td>Sin afiliación</td>";
				else echo "<td>".$valores['afiliadoA']."</td>";
				echo "
				<td>".$valores['creador']."</td>
				<td>".$paises[$valores['pais']]."</td>
				<td>".$regiones[$valores['pais']][$valores['region']]."</td>";
				if ($valores['validada']==false) echo "<td>No</td><td>Sin validar</td>";
				else{
					echo "<td>Sí</td>";
					if ($valores['activa']==false) echo "<td>Rechazada</td>";
					else echo "<td>Activa</td>";
				}
				if ($valores['tipo']=="federacion") echo "<td>Federación</td>";
				else echo "<td>Club</td>";
				if (!isset($_GET['ver'])){
					echo "
					<td><a href=\"#\" title=\"Borrar organización\" onClick=\"borrarUsuario('".$valores['creador']."','organizacion');\"><span class=\"glyphicon glyphicon-trash\" style=\"color:black;\"></span></a></td>";
				}
				echo "
				</tr>
				";
		}
		echo "</tbody>
			</table></div>
			";
	}
	else echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">Todavía no existe ninguna organizacion.</div>";
	$sql->query("SELECT * FROM campeonato ORDER BY creacion ASC");
	$sql->ejecutarSQL();
	$numReg=$sql->getNumRegistros();
	$resultado=$sql->getTodosRegistro();
	if (!isset($_GET['ver'])){
		echo "
		<h2 style='text-align:center;'>Elimine un evento
		<small> Haga clíc en la papelera</small></h2>";
	}
	else echo "<h2 style='text-align:center;'>Eventos del sistema</h2>";
	if ($numReg > 0){
		echo "
		<table class='table table-bordered table-striped'>
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Organizado por</th>
					<th>Tipo</th>
					<th>País</th>
					<th>Región</th>
					<th>Fecha celebración</th>
					<th>Lugar</th>
					<th>Fecha creación</th>
				</tr>
			</thead>
			<tbody>";
		foreach ($resultado as &$valores) {
			echo "<tr>
				<td>".$valores['nombreChamp']."</td>";
				$creadorChamp=$valores['creadorChamp'];
				$sql->ejecutarSQL("SELECT nombre,pais,region FROM organizacion WHERE creador='$creadorChamp'");
				$resul=$sql->getUnRegistro();
				echo "<td>".$resul['nombre']."</td>
				<td>".$valores['tipo_evento']."</td>
				<td>".$paises[$resul['pais']]."</td>
				<td>".$regiones[$resul['pais']][$resul['region']]."</td>";
				$pieces1 = explode("-", $valores['fecha']);
				$pieces2 = explode("-", $valores['fecha_fin']);
				$PrimerDia=$pieces1[2];
				$Mes=$pieces1[1];
				$Year=$pieces2[0];
				$UltimoDia=$pieces2[2];
				if ($PrimerDia==$UltimoDia) echo "<td>".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
				else echo "<td>Del ".$PrimerDia." al ".$UltimoDia." de ".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year."</td>";
				echo "<td>".$valores['lugar']."</td>
				<td>".$valores['creacion']."</td>";
				if (!isset($_GET['ver'])){
					echo "
					<td><a href=\"#\" title=\"Borrar evento\" onClick=\"borrarUsuario('".$valores['id_campeonato']."','campeonato');\"><span class=\"glyphicon glyphicon-trash\" style=\"color:black;\"></span></a></td>";
				}
				echo "
				</tr>
				";
		}
		echo "</tbody>
			</table></div>
			";
	}
	else echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">Todavía no existe ningún campeonato.</div>";
	
}
else echo $resultado;
?>
