<?php
session_start();
//Fichero de comprobación para la modificación del perfil. 
/*Hay que comprobar que: 
	1) El correo no coincida con otro de la base de datos si se quiere cambiar.
	2) El nombre de usuario puede coincidir.
	3) El usuario que desea cambiar los datos está registrado.
	4) El usuario registrado que desea modificar los datos es el dueño de estos.
*/
//Comprobación 3.
if ((isset($_SESSION['registrado']))&&($_SESSION['registrado']==true)){
	//Incluyo la clase de manejo de la base de datos.
	include_once('../../clases/cMySQL.php');
	$sql= new cMySQL(); 
	$sql->conectar();
	if ((isset($_POST['correo'])&&(isset($_POST['apellidos'])))&&(isset($_POST['username']))&&(isset($_POST['correoPre']))){
		//Comprobación 4.
		if ($_SESSION['correo']==$_POST['correoPre']){
			if (isset($_POST['tipo_ext'])) $tipo_ext=$_POST['tipo_ext'];
			else $tipo_ext="";
			$username=$_POST['username'];
			$correo=$_POST['correo'];
			$apellidos=$_POST['apellidos'];
			$correo_previo=$_POST['correoPre'];
			//Actualizamos nombre de usuario y apellidos. No hay que realizar más comprobaciones.
			if ($correo==$correo_previo){
				$sql->ejecutarSQL("UPDATE users SET username='$username', apellidos='$apellidos' WHERE correo='$correo'");
				$_SESSION['username']=$username;
				$_SESSION['correo']=$correo;
				echo 0;
			}
			//Comprobamos que el nuevo correo no esté ya registrado.
			else{
				$sql->ejecutarSQL("SELECT correo,idUser FROM users WHERE correo='$correo'");
				$res=$sql->getUnRegistro();
				//El correo no está registrado. Se pueden insertar los valores.
				if ($res['correo'] == ''){
					$sql->ejecutarSQL("UPDATE users SET username='$username', apellidos='$apellidos', correo='$correo' WHERE correo='$correo_previo'");
					$_SESSION['correo']=$correo;
					$_SESSION['username']=$username;
					echo 2;
				}
				//El correo ya está registrado.
				else echo 1;
			}
			//Actualiza en la tabla alumno los datos que quiere modificar el alumno
			if (isset($_POST['fecha'])&&(isset($_POST['sexo']))){
				$sql->ejecutarSQL("SELECT idUser FROM users WHERE correo='$correo'") or DIE("No");
				$numRegistros=$sql->getNumRegistros();
				if ($numRegistros>0){
					$idUser=$sql->getCampoN();
					$fecha=$_POST['fecha'];
					$sexo=$_POST['sexo'];
					$sql->ejecutarSQL("UPDATE alumno SET nacimiento='$fecha', sexo='$sexo' WHERE id_user='$idUser'");
				}
			}
			//Si es un juez, actualizamos su tipo extendido (que indica qué tipo de juez se trata).
			if ($tipo_ext!="") $sql->ejecutarSQL("UPDATE users SET tipo_ext='$tipo_ext' WHERE correo='$correo'");
		}
		else echo -2;
	}
	else echo -3;
}
else echo -1;
?>